
DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=189 DEFAULT CHARSET=utf8;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 0, 327, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":{"6":1},"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 16, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 17, 112, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.options":[],"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 113, 114, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 115, 116, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 117, 118, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 119, 120, 1, 'com_login', 'com_login', '{}'),
(13, 1, 121, 122, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 123, 124, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 125, 126, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1}}'),
(16, 1, 127, 128, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.options":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 129, 130, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 131, 260, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 261, 264, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(20, 1, 265, 266, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 267, 268, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 269, 270, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 271, 272, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 273, 276, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.options":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(26, 1, 277, 278, 1, 'com_wrapper', 'com_wrapper', '{}'),
(27, 8, 18, 25, 2, 'com_content.category.2', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(30, 19, 262, 263, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(32, 24, 274, 275, 1, 'com_users.category.7', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(33, 1, 279, 280, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 1, 281, 282, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(35, 1, 283, 284, 1, 'com_tags', 'com_tags', '{"core.admin":[],"core.manage":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(36, 1, 285, 286, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(37, 1, 287, 288, 1, 'com_ajax', 'com_ajax', '{}'),
(38, 1, 289, 290, 1, 'com_postinstall', 'com_postinstall', '{}'),
(39, 18, 132, 133, 2, 'com_modules.module.1', 'Main Menu', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(40, 18, 134, 135, 2, 'com_modules.module.2', 'Login', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(41, 18, 136, 137, 2, 'com_modules.module.3', 'Popular Articles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 18, 138, 139, 2, 'com_modules.module.4', 'Recently Added Articles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(43, 18, 140, 141, 2, 'com_modules.module.8', 'Toolbar', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(44, 18, 142, 143, 2, 'com_modules.module.9', 'Quick Icons', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 18, 144, 145, 2, 'com_modules.module.10', 'Logged-in Users', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 18, 146, 147, 2, 'com_modules.module.12', 'Admin Menu', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 18, 148, 149, 2, 'com_modules.module.13', 'Admin Submenu', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(48, 18, 150, 151, 2, 'com_modules.module.14', 'User Status', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(49, 18, 152, 153, 2, 'com_modules.module.15', 'Title', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(50, 18, 154, 155, 2, 'com_modules.module.16', 'Login Form', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(51, 18, 156, 157, 2, 'com_modules.module.17', 'Breadcrumbs', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(52, 18, 158, 159, 2, 'com_modules.module.79', 'Multilanguage status', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(53, 18, 160, 161, 2, 'com_modules.module.86', 'Joomla Version', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(54, 1, 291, 292, 1, 'com_kunena', 'com_kunena', '{}'),
(55, 8, 26, 71, 2, 'com_content.category.8', 'Platon in the news', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(56, 8, 72, 75, 2, 'com_content.category.9', 'Platon in the news', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(57, 18, 162, 163, 2, 'com_modules.module.87', 'Footer', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(58, 75, 81, 82, 3, 'com_content.article.1', 'How To Add Rigor To Anything', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(59, 75, 79, 80, 3, 'com_content.article.2', 'Why Teaching Is Still The Best Job In The World', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(60, 75, 77, 78, 3, 'com_content.article.3', 'What Close Reading Actually Means', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(61, 75, 87, 88, 3, 'com_content.article.4', 'Why Questions Are More Important Than Answers', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(62, 75, 85, 86, 3, 'com_content.article.5', '60 Ways To Help Students Think For Themselves', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(63, 75, 83, 84, 3, 'com_content.article.6', 'Critical Thinking Creating Students That Solve Problems', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(64, 18, 164, 165, 2, 'com_modules.module.88', 'Login', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(65, 18, 166, 167, 2, 'com_modules.module.89', 'Language Switcher', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(66, 18, 168, 169, 2, 'com_modules.module.90', 'Platon in the news', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(67, 18, 170, 171, 2, 'com_modules.module.91', 'Video', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(68, 56, 73, 74, 3, 'com_content.article.7', 'International Relations Students of Platon University Collaborate with The World Leadership Alliance', '{"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
(69, 18, 172, 173, 2, 'com_modules.module.92', 'Slideshow', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(70, 55, 27, 42, 3, 'com_content.category.10', 'Teaching & Learning', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(71, 55, 43, 56, 3, 'com_content.category.11', 'Arts & Humanities', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(72, 55, 57, 70, 3, 'com_content.category.12', 'Critical Thinking', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(73, 1, 293, 294, 1, '#__ucm_content.1', '#__ucm_content.1', '[]'),
(74, 1, 295, 296, 1, '#__ucm_content.2', '#__ucm_content.2', '[]'),
(75, 8, 76, 101, 2, 'com_content.category.13', 'Blog', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(76, 1, 297, 298, 1, '#__ucm_content.3', '#__ucm_content.3', '[]'),
(78, 18, 174, 175, 2, 'com_modules.module.93', 'Dark Module', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(79, 18, 176, 177, 2, 'com_modules.module.94', 'Dark Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
(80, 18, 178, 179, 2, 'com_modules.module.95', 'Light Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
(81, 18, 180, 181, 2, 'com_modules.module.96', 'Tabs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(99, 1, 299, 300, 1, '#__ucm_content.5', '#__ucm_content.5', '[]'),
(100, 75, 89, 90, 3, 'com_content.article.8', 'Universities and the UK’s EU referendum', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(101, 1, 301, 302, 1, '#__ucm_content.6', '#__ucm_content.6', '[]'),
(102, 75, 91, 92, 3, 'com_content.article.9', 'Negative educational equity?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(103, 75, 93, 94, 3, 'com_content.article.10', 'The academic network', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(104, 75, 95, 96, 3, 'com_content.article.11', 'Knocking louder on Europe’s door', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(105, 75, 97, 98, 3, 'com_content.article.12', 'A testing time for university admissions', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(106, 1, 303, 304, 1, '#__ucm_content.7', '#__ucm_content.7', '[]'),
(107, 75, 99, 100, 3, 'com_content.article.13', 'Parental care', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(108, 1, 305, 306, 1, '#__ucm_content.8', '#__ucm_content.8', '[]'),
(109, 18, 182, 183, 2, 'com_modules.module.113', 'Graduate Degrees', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(110, 27, 19, 20, 3, 'com_content.article.14', 'Error page', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(111, 27, 21, 22, 3, 'com_content.article.15', 'Offline Page', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(112, 70, 40, 41, 4, 'com_content.article.16', 'National Census of Writing releases survey results', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(113, 70, 38, 39, 4, 'com_content.article.17', 'From sensitivity into intellectual vacuity', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(114, 70, 36, 37, 4, 'com_content.article.18', 'Study questions whether elite college courses are of higher quality than others', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(115, 70, 34, 35, 4, 'com_content.article.19', 'On this day in AD284 Diocletian became emperor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(116, 70, 32, 33, 4, 'com_content.article.20', 'Learn how to lead by example and empower others: the Leadership in Sport module', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(117, 72, 64, 65, 4, 'com_content.article.21', 'Discovering the Future of Gen Y in Health Sciences', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(118, 70, 30, 31, 4, 'com_content.article.22', 'Sustainability focus on health and gardening!', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(119, 72, 62, 63, 4, 'com_content.article.23', 'It’s time to think creatively about higher education funding', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(120, 70, 28, 29, 4, 'com_content.article.24', 'Thoughts and challenges for your journey to becoming a teacher ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(121, 72, 58, 59, 4, 'com_content.article.25', 'International Relations Students of Platon University Collaborate with The World Leadership Alliance', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(122, 72, 60, 61, 4, 'com_content.article.26', 'The 2030 Agenda for Sustainable Development', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(123, 18, 184, 185, 2, 'com_modules.module.114', 'Tabs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(124, 18, 186, 187, 2, 'com_modules.module.115', 'Teaching & Learing', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(125, 18, 188, 189, 2, 'com_modules.module.116', 'Critical Thinking', '{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
(126, 18, 190, 191, 2, 'com_modules.module.117', 'Arts & Humanities', '{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
(127, 18, 192, 193, 2, 'com_modules.module.118', 'No Padding', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(129, 18, 194, 195, 2, 'com_modules.module.120', 'Students', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(130, 1, 307, 308, 1, '#__ucm_content.9', '#__ucm_content.9', '[]'),
(131, 72, 66, 67, 4, 'com_content.article.27', 'Research Centres and Research Groups at the University of Nottingham Malaysia Campus', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(132, 1, 309, 310, 1, '#__ucm_content.10', '#__ucm_content.10', '[]'),
(133, 72, 68, 69, 4, 'com_content.article.28', 'Tracking the progress of a Hotline query', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(134, 18, 196, 197, 2, 'com_modules.module.121', 'Graduate Degrees', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(135, 18, 198, 199, 2, 'com_modules.module.122', 'Who\'s online', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(136, 71, 44, 45, 4, 'com_content.article.29', 'A postgraduate perspective on the Faculty of Arts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(137, 1, 311, 312, 1, '#__ucm_content.11', '#__ucm_content.11', '[]'),
(138, 71, 46, 47, 4, 'com_content.article.30', 'Digital Time Travellers: MayFest 2015 at the Digital Humanities Centre.', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(139, 71, 48, 49, 4, 'com_content.article.31', 'Hearts of Heritage project update by volunteer bloggers Laura and Caterina', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(140, 1, 313, 314, 1, '#__ucm_content.12', '#__ucm_content.12', '[]'),
(141, 71, 50, 51, 4, 'com_content.article.32', 'Model Making: Part two by DHC Leonardo Fellow James E Smith', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(142, 1, 315, 316, 1, '#__ucm_content.13', '#__ucm_content.13', '[]'),
(143, 71, 52, 53, 4, 'com_content.article.33', '‘Lest we forget\': Life Lines’ World War I digitisation workshop in DHC', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(144, 1, 317, 318, 1, '#__ucm_content.14', '#__ucm_content.14', '[]'),
(145, 71, 54, 55, 4, 'com_content.article.34', 'A day trip to the University’s Manuscripts and Special Collections', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(146, 1, 319, 320, 1, '#__ucm_content.15', '#__ucm_content.15', '[]'),
(147, 18, 200, 201, 2, 'com_modules.module.123', 'Images', '{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
(148, 18, 202, 203, 2, 'com_modules.module.124', 'Support Platon', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(149, 18, 204, 205, 2, 'com_modules.module.125', 'Become a member of a living tradition.', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(150, 18, 206, 207, 2, 'com_modules.module.126', 'Testimonial', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(151, 18, 208, 209, 2, 'com_modules.module.127', 'Latest Articles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(152, 18, 210, 211, 2, 'com_modules.module.128', 'Tags Popular', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(153, 18, 212, 213, 2, 'com_modules.module.129', 'Articles Category', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(154, 18, 214, 215, 2, 'com_modules.module.130', 'Layouts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(155, 18, 216, 217, 2, 'com_modules.module.131', 'News', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(156, 18, 218, 219, 2, 'com_modules.module.132', 'Colors', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(157, 18, 220, 221, 2, 'com_modules.module.133', 'Training Department', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(158, 18, 222, 223, 2, 'com_modules.module.134', 'Scholarship', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(159, 18, 224, 225, 2, 'com_modules.module.135', 'Share your story', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(160, 18, 226, 227, 2, 'com_modules.module.136', 'The Aurora Prize Link', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(161, 18, 228, 229, 2, 'com_modules.module.137', 'Search Form', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(163, 18, 230, 231, 2, 'com_modules.module.139', 'Head Links', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(164, 18, 232, 233, 2, 'com_modules.module.140', 'Our professors', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(165, 18, 234, 235, 2, 'com_modules.module.141', 'Follow Us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(166, 18, 236, 237, 2, 'com_modules.module.142', 'Login Form', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(167, 18, 238, 239, 2, 'com_modules.module.143', 'Off Canvas', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(168, 18, 240, 241, 2, 'com_modules.module.144', 'Menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(169, 18, 242, 243, 2, 'com_modules.module.145', 'Latest news', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(170, 18, 244, 245, 2, 'com_modules.module.146', 'Most read', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(171, 8, 102, 111, 2, 'com_content.category.14', 'Pages', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(172, 171, 103, 104, 3, 'com_content.article.35', 'One Sidebar Left', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(173, 18, 246, 247, 2, 'com_modules.module.147', 'Sample banner', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(174, 18, 248, 249, 2, 'com_modules.module.148', 'Articles Category', '{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
(176, 18, 250, 251, 2, 'com_modules.module.150', 'No Padding', '{}'),
(178, 18, 252, 253, 2, 'com_modules.module.152', 'Who\'s online', '{}'),
(179, 18, 254, 255, 2, 'com_modules.module.153', 'Tags Popular', '{}'),
(180, 171, 105, 106, 3, 'com_content.article.36', 'One Sidebar Right', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(181, 171, 107, 108, 3, 'com_content.article.37', 'No Sidebar', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(182, 171, 109, 110, 3, 'com_content.article.38', 'Two Sidebar', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(183, 27, 23, 24, 3, 'com_content.article.39', 'Typography', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(184, 18, 256, 257, 2, 'com_modules.module.154', 'Latest Blog', '{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
(185, 18, 258, 259, 2, 'com_modules.module.155', 'Events', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(186, 1, 321, 322, 1, 'com_jaextmanager', 'com_jaextmanager', '{}'),
(187, 1, 323, 324, 1, 'com_fields', 'com_fields', '{}'),
(188, 1, 325, 326, 1, 'com_associations', 'com_associations', '{}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` mediumtext NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1,
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `type` int(11) NOT NULL DEFAULT 0,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT 0,
  `impmade` int(11) NOT NULL DEFAULT 0,
  `clicks` int(11) NOT NULL DEFAULT 0,
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `description` mediumtext NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` mediumtext NOT NULL,
  `params` mediumtext NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT -1,
  `track_clicks` tinyint(4) NOT NULL DEFAULT -1,
  `track_impressions` tinyint(4) NOT NULL DEFAULT -1,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) unsigned NOT NULL DEFAULT 0,
  `path` varchar(400) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL DEFAULT '',
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 25, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '{}', 42, '2018-01-15 02:18:43', 0, '0000-00-00 00:00:00', 0, '*', 1),
(2, 27, 1, 1, 2, 1, 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '0000-00-00 00:00:00', 0, '*', 1),
(3, 28, 1, 3, 4, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '0000-00-00 00:00:00', 0, '*', 1),
(4, 29, 1, 5, 6, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '0000-00-00 00:00:00', 0, '*', 1),
(5, 30, 1, 7, 8, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '0000-00-00 00:00:00', 0, '*', 1),
(7, 32, 1, 9, 10, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '0000-00-00 00:00:00', 0, '*', 1),
(8, 55, 1, 11, 18, 1, 'platon-in-the-news', 'com_content', 'Platon in the news', 'platon-in-the-news', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', 0, '*', 1),
(9, 56, 1, 19, 20, 1, 'platon', 'com_content', 'Platon in the news', 'platon', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', 0, '*', 1),
(10, 70, 8, 12, 13, 2, 'platon-in-the-news/teaching-learning', 'com_content', 'Teaching & Learning', 'teaching-learning', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', 0, '*', 1),
(11, 71, 8, 14, 15, 2, 'platon-in-the-news/arts-humanities', 'com_content', 'Arts & Humanities', 'arts-humanities', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', 0, '*', 1),
(12, 72, 8, 16, 17, 2, 'platon-in-the-news/critical-thinking', 'com_content', 'Critical Thinking', 'critical-thinking', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '2018-01-15 02:18:43', 0, '*', 1),
(13, 75, 1, 21, 22, 1, 'blog', 'com_content', 'Blog', 'blog', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '2018-01-15 02:18:43', 0, '*', 1),
(14, 171, 1, 23, 24, 1, 'pages', 'com_content', 'Pages', 'pages', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","image_alt":""}', '', '', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', 0, '2018-01-15 02:18:43', 0, '*', 1);

DROP TABLE IF EXISTS `#__community_activities`;
CREATE TABLE `#__community_activities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `actor` int(10) unsigned NOT NULL,
  `target` int(10) unsigned NOT NULL,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `app` varchar(200) NOT NULL,
  `verb` varchar(200) NOT NULL,
  `cid` int(10) NOT NULL,
  `groupid` int(10) DEFAULT NULL,
  `eventid` int(10) DEFAULT NULL,
  `group_access` tinyint(4) NOT NULL DEFAULT 0,
  `event_access` tinyint(4) NOT NULL DEFAULT 0,
  `created` datetime NOT NULL,
  `access` tinyint(3) unsigned NOT NULL,
  `params` text NOT NULL,
  `points` int(4) NOT NULL DEFAULT 1,
  `archived` tinyint(3) NOT NULL,
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `longitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `comment_id` int(10) NOT NULL,
  `comment_type` varchar(200) NOT NULL,
  `like_id` int(10) NOT NULL,
  `like_type` varchar(200) NOT NULL,
  `actors` text NOT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `actor` (`actor`),
  KEY `target` (`target`),
  KEY `app` (`app`),
  KEY `created` (`created`),
  KEY `archived` (`archived`)
) ENGINE=MyISAM AUTO_INCREMENT=75 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_activities_hide`;
CREATE TABLE `#__community_activities_hide` (
  `activity_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_apps`;
CREATE TABLE `#__community_apps` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userid` int(10) unsigned NOT NULL,
  `apps` varchar(200) NOT NULL,
  `ordering` int(10) unsigned NOT NULL,
  `position` varchar(50) NOT NULL DEFAULT 'content',
  `params` text NOT NULL,
  `privacy` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_userid` (`userid`),
  KEY `idx_user_apps` (`userid`,`apps`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_avatar`;
CREATE TABLE `#__community_avatar` (
  `id` int(10) unsigned NOT NULL,
  `apptype` varchar(255) NOT NULL,
  `path` text NOT NULL,
  `type` tinyint(3) unsigned NOT NULL COMMENT '0 = small, 1 = medium, 2=large',
  UNIQUE KEY `id` (`id`,`apptype`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_badges`;
CREATE TABLE `#__community_badges` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(64) NOT NULL,
  `points` int(11) NOT NULL DEFAULT 0,
  `image` varchar(256) NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `points` (`points`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_blocklist`;
CREATE TABLE `#__community_blocklist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `blocked_userid` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`),
  KEY `blocked_userid` (`blocked_userid`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_config`;
CREATE TABLE `#__community_config` (
  `name` varchar(64) NOT NULL,
  `params` longtext NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_connect_users`;
CREATE TABLE `#__community_connect_users` (
  `connectid` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `userid` int(11) NOT NULL,
  PRIMARY KEY (`connectid`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_connection`;
CREATE TABLE `#__community_connection` (
  `connection_id` int(11) NOT NULL AUTO_INCREMENT,
  `connect_from` int(11) NOT NULL,
  `connect_to` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `group` int(11) NOT NULL,
  `msg` text NOT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`connection_id`),
  KEY `connect_from` (`connect_from`,`connect_to`,`status`,`group`),
  KEY `idx_connect_to` (`connect_to`),
  KEY `idx_connect_from` (`connect_from`),
  KEY `idx_connect_tofrom` (`connect_to`,`connect_from`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_engagement`;
CREATE TABLE `#__community_engagement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action` varchar(64) NOT NULL,
  `user_id` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `week` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=55 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_event_stats`;
CREATE TABLE `#__community_event_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `count` int(11) NOT NULL,
  `date` date NOT NULL,
  `params` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_events`;
CREATE TABLE `#__community_events` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL COMMENT 'parent for recurring event',
  `catid` int(11) unsigned NOT NULL,
  `contentid` int(11) unsigned DEFAULT 0 COMMENT '0 - if type == profile, else it hold the group id',
  `type` varchar(255) NOT NULL DEFAULT 'profile' COMMENT 'profile, group',
  `title` varchar(255) NOT NULL,
  `location` text NOT NULL,
  `summary` text NOT NULL,
  `unlisted` tinyint(1) NOT NULL,
  `description` text DEFAULT NULL,
  `creator` int(11) unsigned NOT NULL,
  `startdate` datetime NOT NULL,
  `enddate` datetime NOT NULL,
  `permission` tinyint(4) unsigned NOT NULL DEFAULT 0 COMMENT '0 - Open (Anyone can mark attendence), 1 - Private (Only invited can mark attendence)',
  `avatar` varchar(255) DEFAULT NULL,
  `thumb` varchar(255) DEFAULT NULL,
  `cover` text NOT NULL,
  `invitedcount` int(11) unsigned DEFAULT 0,
  `confirmedcount` int(11) unsigned DEFAULT 0 COMMENT 'treat this as member count as well',
  `declinedcount` int(11) unsigned DEFAULT 0,
  `maybecount` int(11) unsigned DEFAULT 0,
  `wallcount` int(11) unsigned DEFAULT 0,
  `ticket` int(11) unsigned DEFAULT 0 COMMENT 'Represent how many guest can be joined or invited.',
  `allowinvite` tinyint(1) unsigned DEFAULT 1 COMMENT '0 - guest member cannot invite thier friends to join. 1 - yes, guest member can invite any of thier friends to join.',
  `created` datetime DEFAULT NULL,
  `hits` int(11) unsigned DEFAULT 0,
  `published` int(11) unsigned DEFAULT 1,
  `latitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `longitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `offset` varchar(5) DEFAULT NULL,
  `allday` tinyint(11) NOT NULL DEFAULT 0,
  `repeat` varchar(50) DEFAULT NULL COMMENT 'null,daily,weekly,monthly',
  `repeatend` date NOT NULL,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_creator` (`creator`),
  KEY `idx_period` (`startdate`,`enddate`),
  KEY `idx_type` (`type`),
  KEY `idx_catid` (`catid`),
  KEY `idx_published` (`published`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_events_category`;
CREATE TABLE `#__community_events_category` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT 0,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_events_members`;
CREATE TABLE `#__community_events_members` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL,
  `memberid` int(11) unsigned NOT NULL,
  `status` tinyint(1) unsigned NOT NULL DEFAULT 0 COMMENT '[Join / Invite]: 0 - [pending approval/pending invite], 1 - [approved/confirmed], 2 - [rejected/declined], 3 - [maybe/maybe], 4 - [blocked/blocked]',
  `permission` tinyint(1) unsigned NOT NULL DEFAULT 3 COMMENT '1 - creator, 2 - admin, 3 - member',
  `invited_by` int(11) unsigned DEFAULT 0,
  `approval` tinyint(1) unsigned DEFAULT 0 COMMENT '0 - no approval required, 1 - required admin approval',
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_eventid` (`eventid`),
  KEY `idx_status` (`status`),
  KEY `idx_invitedby` (`invited_by`),
  KEY `idx_permission` (`eventid`,`permission`),
  KEY `idx_member_event` (`eventid`,`memberid`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_featured`;
CREATE TABLE `#__community_featured` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `target_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_fields`;
CREATE TABLE `#__community_fields` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `ordering` int(11) DEFAULT 0,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `min` int(5) NOT NULL,
  `max` int(5) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tips` text NOT NULL,
  `visible` tinyint(1) DEFAULT 0,
  `required` tinyint(1) DEFAULT 0,
  `searchable` tinyint(1) DEFAULT 1,
  `registration` tinyint(1) DEFAULT 1,
  `options` text DEFAULT NULL,
  `fieldcode` varchar(255) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fieldcode` (`fieldcode`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_fields_values`;
CREATE TABLE `#__community_fields_values` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `field_id` int(10) NOT NULL,
  `value` text NOT NULL,
  `access` tinyint(3) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`),
  KEY `user_id` (`user_id`),
  KEY `idx_user_fieldid` (`user_id`,`field_id`),
  KEY `access` (`access`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_files`;
CREATE TABLE `#__community_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `groupid` int(11) NOT NULL,
  `discussionid` int(11) NOT NULL,
  `bulletinid` int(11) NOT NULL,
  `eventid` int(11) NOT NULL,
  `profileid` int(11) NOT NULL,
  `messageid` int(11) NOT NULL,
  `filepath` varchar(255) NOT NULL,
  `filesize` int(11) NOT NULL,
  `hits` int(11) NOT NULL,
  `storage` varchar(64) NOT NULL,
  `creator` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discussionid` (`discussionid`),
  KEY `groupid` (`groupid`),
  KEY `creator` (`creator`),
  KEY `bulletinid` (`bulletinid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_group_stats`;
CREATE TABLE `#__community_group_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `count` int(11) NOT NULL,
  `date` date NOT NULL,
  `params` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups`;
CREATE TABLE `#__community_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `published` tinyint(1) NOT NULL,
  `ownerid` int(11) NOT NULL,
  `categoryid` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `summary` text NOT NULL,
  `email` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `approvals` tinyint(1) NOT NULL,
  `unlisted` tinyint(1) NOT NULL,
  `created` datetime NOT NULL,
  `avatar` text NOT NULL,
  `thumb` text NOT NULL,
  `cover` text NOT NULL,
  `discusscount` int(11) NOT NULL DEFAULT 0,
  `wallcount` int(11) NOT NULL DEFAULT 0,
  `membercount` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `hits` int(11) NOT NULL,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_bulletins`;
CREATE TABLE `#__community_groups_bulletins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groupid` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `date` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `groupid` (`groupid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_category`;
CREATE TABLE `#__community_groups_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT 0,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_discuss`;
CREATE TABLE `#__community_groups_discuss` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentid` int(11) NOT NULL DEFAULT 0,
  `groupid` int(11) NOT NULL,
  `creator` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `title` text NOT NULL,
  `message` text NOT NULL,
  `lastreplied` datetime NOT NULL,
  `lock` tinyint(1) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `groupid` (`groupid`),
  KEY `parentid` (`parentid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_invite`;
CREATE TABLE `#__community_groups_invite` (
  `groupid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `creator` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_members`;
CREATE TABLE `#__community_groups_members` (
  `groupid` int(11) NOT NULL,
  `memberid` int(11) NOT NULL,
  `approved` int(11) NOT NULL,
  `permissions` int(1) NOT NULL,
  KEY `groupid` (`groupid`),
  KEY `idx_memberid` (`memberid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_hashtag`;
CREATE TABLE `#__community_hashtag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(128) NOT NULL,
  `params` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag` (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_invitations`;
CREATE TABLE `#__community_invitations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `callback` varchar(255) NOT NULL,
  `cid` int(11) NOT NULL,
  `users` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_likes`;
CREATE TABLE `#__community_likes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `element` varchar(200) NOT NULL,
  `uid` int(10) NOT NULL,
  `like` text NOT NULL,
  `dislike` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `element` (`element`,`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_location_cache`;
CREATE TABLE `#__community_location_cache` (
  `address` varchar(255) NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `longitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `data` text NOT NULL,
  `status` varchar(2) NOT NULL,
  `created` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_mailq`;
CREATE TABLE `#__community_mailq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `recipient` text NOT NULL,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  `template` varchar(64) NOT NULL,
  `email_type` text DEFAULT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=60 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_memberlist`;
CREATE TABLE `#__community_memberlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `condition` varchar(255) NOT NULL,
  `avataronly` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_memberlist_criteria`;
CREATE TABLE `#__community_memberlist_criteria` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listid` int(11) NOT NULL,
  `field` varchar(255) NOT NULL,
  `condition` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `listid` (`listid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_moods`;
CREATE TABLE `#__community_moods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(128) NOT NULL,
  `description` varchar(128) NOT NULL,
  `image` varchar(256) DEFAULT NULL,
  `custom` tinyint(4) NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT 1,
  `allowcustomtext` tinyint(4) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_msg`;
CREATE TABLE `#__community_msg` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `from` int(10) unsigned NOT NULL,
  `parent` int(10) unsigned NOT NULL,
  `deleted` tinyint(3) unsigned DEFAULT 0,
  `from_name` varchar(45) NOT NULL,
  `posted_on` datetime DEFAULT NULL,
  `subject` tinytext NOT NULL,
  `body` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_msg_recepient`;
CREATE TABLE `#__community_msg_recepient` (
  `msg_id` int(10) unsigned NOT NULL,
  `msg_parent` int(10) unsigned NOT NULL DEFAULT 0,
  `msg_from` int(10) unsigned NOT NULL,
  `to` int(10) unsigned NOT NULL,
  `bcc` tinyint(3) unsigned DEFAULT 0,
  `is_read` tinyint(3) unsigned DEFAULT 0,
  `deleted` tinyint(3) unsigned DEFAULT 0,
  UNIQUE KEY `un` (`msg_id`,`to`),
  KEY `msg_id` (`msg_id`),
  KEY `to` (`to`),
  KEY `idx_isread_to_deleted` (`is_read`,`to`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_notifications`;
CREATE TABLE `#__community_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `actor` int(11) NOT NULL,
  `target` int(11) NOT NULL,
  `content` text NOT NULL,
  `type` varchar(200) NOT NULL,
  `cmd_type` text NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `status` (`status`),
  KEY `type` (`type`),
  KEY `target` (`target`),
  KEY `actor` (`actor`)
) ENGINE=MyISAM AUTO_INCREMENT=62 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_oauth`;
CREATE TABLE `#__community_oauth` (
  `userid` int(11) NOT NULL,
  `requesttoken` text NOT NULL,
  `accesstoken` text NOT NULL,
  `app` varchar(255) NOT NULL,
  PRIMARY KEY (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_photo_stats`;
CREATE TABLE `#__community_photo_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `count` int(11) NOT NULL,
  `date` date NOT NULL,
  `params` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_photos`;
CREATE TABLE `#__community_photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `albumid` int(11) NOT NULL,
  `caption` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `creator` int(11) NOT NULL,
  `permissions` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `thumbnail` varchar(255) NOT NULL,
  `original` varchar(255) NOT NULL,
  `filesize` int(11) NOT NULL DEFAULT 0,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `created` datetime NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `hits` int(11) NOT NULL DEFAULT 0,
  `status` varchar(200) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `albumid` (`albumid`),
  KEY `idx_storage` (`storage`)
) ENGINE=MyISAM AUTO_INCREMENT=53 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_photos_albums`;
CREATE TABLE `#__community_photos_albums` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) NOT NULL,
  `creator` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `permissions` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `path` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `groupid` int(11) NOT NULL DEFAULT 0,
  `eventid` int(11) NOT NULL DEFAULT 0,
  `hits` int(11) NOT NULL DEFAULT 0,
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `longitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `default` tinyint(1) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `creator` (`creator`),
  KEY `idx_type` (`type`),
  KEY `idx_albumtype` (`id`,`type`),
  KEY `idx_creatortype` (`creator`,`type`),
  KEY `idx_groupid` (`groupid`)
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_photos_tag`;
CREATE TABLE `#__community_photos_tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `position` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_photoid` (`photoid`),
  KEY `idx_userid` (`userid`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_photo_user` (`photoid`,`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_photos_tokens`;
CREATE TABLE `#__community_photos_tokens` (
  `userid` int(11) NOT NULL,
  `token` varchar(200) NOT NULL,
  `datetime` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_profile_stats`;
CREATE TABLE `#__community_profile_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `count` int(11) NOT NULL,
  `date` date NOT NULL,
  `params` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_profiles`;
CREATE TABLE `#__community_profiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `approvals` tinyint(3) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `avatar` text NOT NULL,
  `watermark` text NOT NULL,
  `watermark_hash` varchar(255) NOT NULL,
  `watermark_location` text NOT NULL,
  `thumb` text NOT NULL,
  `created` datetime NOT NULL,
  `create_groups` tinyint(1) DEFAULT 1,
  `create_events` int(11) DEFAULT 1,
  `profile_lock` tinyint(1) DEFAULT 0,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `approvals` (`approvals`,`published`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_profiles_fields`;
CREATE TABLE `#__community_profiles_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `multiprofile_id` (`parent`),
  KEY `field_id` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_register`;
CREATE TABLE `#__community_register` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(200) NOT NULL,
  `name` varchar(255) NOT NULL,
  `firstname` varchar(180) NOT NULL,
  `lastname` varchar(180) NOT NULL,
  `username` varchar(150) NOT NULL,
  `email` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `created` datetime DEFAULT NULL,
  `ip` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_register_auth_token`;
CREATE TABLE `#__community_register_auth_token` (
  `token` varchar(200) NOT NULL,
  `ip` varchar(255) NOT NULL,
  `auth_key` varchar(200) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`token`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_reports`;
CREATE TABLE `#__community_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniquestring` varchar(200) NOT NULL,
  `link` varchar(255) NOT NULL,
  `status` int(1) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_reports_actions`;
CREATE TABLE `#__community_reports_actions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reportid` int(11) NOT NULL,
  `label` varchar(255) NOT NULL,
  `method` varchar(255) NOT NULL,
  `parameters` varchar(255) NOT NULL,
  `defaultaction` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_reports_reporter`;
CREATE TABLE `#__community_reports_reporter` (
  `reportid` int(11) NOT NULL,
  `message` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `ip` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_storage_s3`;
CREATE TABLE `#__community_storage_s3` (
  `storageid` varchar(255) NOT NULL,
  `resource_path` varchar(255) NOT NULL,
  UNIQUE KEY `storageid` (`storageid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_tags`;
CREATE TABLE `#__community_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `element` varchar(200) NOT NULL,
  `userid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `tag` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_tags_words`;
CREATE TABLE `#__community_tags_words` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(200) NOT NULL,
  `count` int(11) NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_theme`;
CREATE TABLE `#__community_theme` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(32) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_user_status`;
CREATE TABLE `#__community_user_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `status` text NOT NULL,
  `posted_on` int(11) NOT NULL,
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `longitude` float(10,6) NOT NULL DEFAULT 255.000000,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_userpoints`;
CREATE TABLE `#__community_userpoints` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rule_name` varchar(255) NOT NULL DEFAULT '',
  `rule_description` text NOT NULL,
  `rule_plugin` varchar(255) NOT NULL DEFAULT '',
  `action_string` varchar(255) NOT NULL DEFAULT '',
  `component` varchar(255) NOT NULL DEFAULT '',
  `access` tinyint(1) NOT NULL DEFAULT 1,
  `points` int(11) NOT NULL DEFAULT 0,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `system` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_users`;
CREATE TABLE `#__community_users` (
  `userid` int(11) NOT NULL,
  `status` text NOT NULL,
  `status_access` int(11) NOT NULL DEFAULT 0,
  `points` int(11) NOT NULL,
  `posted_on` datetime NOT NULL,
  `avatar` text NOT NULL,
  `thumb` text NOT NULL,
  `cover` text NOT NULL,
  `invite` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `view` int(11) NOT NULL DEFAULT 0,
  `friends` text NOT NULL,
  `groups` text NOT NULL,
  `events` text NOT NULL,
  `friendcount` int(11) NOT NULL DEFAULT 0,
  `alias` varchar(255) NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `longitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `profile_id` int(11) NOT NULL DEFAULT 0,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `watermark_hash` varchar(255) NOT NULL,
  `search_email` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_video_stats`;
CREATE TABLE `#__community_video_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `count` int(11) NOT NULL,
  `date` date NOT NULL,
  `params` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_videos`;
CREATE TABLE `#__community_videos` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(200) NOT NULL,
  `type` varchar(200) NOT NULL DEFAULT 'file',
  `video_id` varchar(200) DEFAULT NULL,
  `description` text NOT NULL,
  `creator` int(11) unsigned NOT NULL,
  `creator_type` varchar(200) NOT NULL DEFAULT 'user',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `permissions` varchar(255) NOT NULL DEFAULT '0',
  `category_id` int(11) unsigned NOT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT 0,
  `published` tinyint(3) NOT NULL DEFAULT 1,
  `featured` tinyint(3) NOT NULL DEFAULT 0,
  `duration` float unsigned DEFAULT 0,
  `status` varchar(200) NOT NULL DEFAULT 'pending',
  `thumb` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  `groupid` int(11) unsigned NOT NULL DEFAULT 0,
  `eventid` int(11) unsigned NOT NULL DEFAULT 0,
  `filesize` int(11) NOT NULL DEFAULT 0,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `longitude` float(10,6) NOT NULL DEFAULT 255.000000,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `creator` (`creator`),
  KEY `idx_groupid` (`groupid`),
  KEY `idx_storage` (`storage`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_videos_category`;
CREATE TABLE `#__community_videos_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(3) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_videos_tag`;
CREATE TABLE `#__community_videos_tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `videoid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `position` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_wall`;
CREATE TABLE `#__community_wall` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `contentid` int(10) unsigned NOT NULL DEFAULT 0,
  `post_by` int(10) unsigned NOT NULL DEFAULT 0,
  `ip` varchar(45) NOT NULL,
  `comment` text NOT NULL,
  `date` varchar(45) NOT NULL,
  `published` tinyint(1) unsigned NOT NULL,
  `type` varchar(200) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `contentid` (`contentid`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL,
  `con_position` varchar(255) DEFAULT NULL,
  `address` mediumtext DEFAULT NULL,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` longtext DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` mediumtext NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `catid` int(11) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL DEFAULT '',
  `sortname2` varchar(255) NOT NULL DEFAULT '',
  `sortname3` varchar(255) NOT NULL DEFAULT '',
  `language` varchar(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `metadata` mediumtext NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Platon Infomations', 'platon-infomations', '', '', '12 consectetur, Adipiscing, Elit', '', 'New York', '', '864-770-1299', '', '<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.</p>', '', 'admin@localhost.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","articles_display_num":"","show_profile":"","show_links":"1","linka_name":"Twitter","linka":"http:\\/\\/twitter.com\\/joomla","linkb_name":"YouTube","linkb":"http:\\/\\/www.youtube.com\\/user\\/joomla","linkc_name":"Facebook","linkc":"http:\\/\\/www.facebook.com\\/joomla","linkd_name":"FriendFeed","linkd":"http:\\/\\/friendfeed.com\\/joomla","linke_name":"","linke":false,"contact_layout":"","show_email_form":"1","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 4, 1, '', 'http://www.joomlart.com', '', '', '', '*', '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 14, 72);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `introtext` longtext NOT NULL,
  `fulltext` longtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext NOT NULL,
  `urls` mediumtext NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `metadata` mediumtext NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `idx_alias` (`alias`(191))
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(1, 58, 'How To Add Rigor To Anything', 'how-to-add-rigor-to-anything', '<p>Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n', '\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-11b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 11, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(2, 59, 'Why Teaching Is Still The Best Job In The World', 'why-teaching-is-still-the-best-job-in-the-world', '<p>Sagittis tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.</p>\r\n', '\r\n\r\n<p><em>Aenean ultricies mi vitae est.</em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n\r\n\r\n\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-9b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 10, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(3, 60, 'What Close Reading Actually Means', 'what-close-reading-actually-means', '<p>Lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac.</p>\r\n', '\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n \r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-8b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 9, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(4, 61, 'Why Questions Are More Important Than Answers', 'why-questions-are-more-important-than-answers', '<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.</p>\r\n', '\r\n\r\n<p><em>Aenean ultricies mi vitae est.</em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n\r\n<hr title="The ‘Never Ending Pot" alt="The ‘Never Ending Pot" class="system-pagebreak" />\r\n\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n \r\n<hr title="Resistance is Futile. Hand Over All Your Documents" alt="Resistance is Futile. Hand Over All Your Documents" class="system-pagebreak" />\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-7b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 8, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(5, 62, '60 Ways To Help Students Think For Themselves', '60-ways-to-help-students-think-for-themselves', '<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n', '\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-6b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 7, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(6, 63, 'Critical Thinking Creating Students That Solve Problems', 'critical-thinking-creating-students-that-solve-problems', '<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n', '\r\n\r\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.</p>\r\n\r\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.</p>\r\n\r\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.</p>\r\n\r\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.</p>', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(7, 68, 'International Relations Students of Platon University Collaborate with The World Leadership Alliance', 'international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance', '<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.</p>\r\n', '\r\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.</p>\r\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.</p>\r\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.</p>\r\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.</p>', 1, 9, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(8, 100, 'Universities and the UK’s EU referendum', 'universities-and-the-uk-s-eu-referendum', ' <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote> \r\n\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-4b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 5, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(9, 102, 'Negative educational equity?', 'negative-educational-equity', '<p>Dignissimos  lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n', '\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-3b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(10, 103, 'The academic network', 'the-academic-network', '<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n', '\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n \r\n\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n<nav>\r\n <ul>\r\n  <li><a href="#">Home</a></li>\r\n  <li><a href="#">About</a></li>\r\n  <li><a href="#">Clients</a></li>\r\n  <li><a href="#">Contact Us</a></li>\r\n </ul>\r\n</nav>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-11b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(11, 104, 'Knocking louder on Europe’s door', 'knocking-louder-on-europe-s-door', '<p>Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh.</p>\r\n', '\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n<nav>\r\n <ul>\r\n  <li><a href="#">Home</a></li>\r\n  <li><a href="#">About</a></li>\r\n  <li><a href="#">Clients</a></li>\r\n  <li><a href="#">Contact Us</a></li>\r\n </ul>\r\n</nav>\r\n\r\n\r\n<p>Varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-10b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(12, 105, 'A testing time for university admissions', 'a-testing-time-for-university-admissions', '<p>Fames ac turpis egestas. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote> \r\n\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-1b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 14, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(13, 107, 'Parental care', 'parental-care', '<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur  consequuntur magni dolores eos?</p>\r\n', '\r\n\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.</p>\r\n\r\n\r\n<p><em>Aenean ultricies mi vitae est.</em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n\r\n\r\n\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n', 1, 13, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/blog-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-2b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 0, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(14, 110, 'Error page', 'error-page', '<div class="single-content">\r\n<div class="well"><center>Each <strong>JA Joomla Template</strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style</strong>.</center></div>\r\n<p align="center"><img src="images/joomlart/404-page.jpg" alt="Sample Image" border="0" /></p>\r\n</div>', '', 1, 2, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 0, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 2, '', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(15, 111, 'Offline Page', 'offline-page', '<div class="single-content">\r\n<div class="well"><center>Each <strong>JA Joomla Template</strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style</strong>.</center></div>\r\n<p align="center"><img src="images/joomlart/offline-page.jpg" alt="Sample Image" border="0" /></p>\r\n</div>', '', 1, 2, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 0, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 17, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(16, 112, 'National Census of Writing releases survey results', 'volunteering-in-the-dhc-2015-a-historian-s-perspective-by-depeeka-mistry', '<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae ultricies eget</p>\r\n', '\r\n\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n', 1, 10, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-9.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 10, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(17, 113, 'From sensitivity into intellectual vacuity', 'from-sensitivity-into-intellectual-vacuity', ' <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget tempor sit amet.</p>\r\n\r\n', '\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote> \r\n\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n', 1, 10, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-11.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 9, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(18, 114, 'Study questions whether elite college courses are of higher quality than others', 'academy-schools-and-the-first-100-days-of-cameron-s-majority-conservative-government', '<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderi.</p>\r\n\r\n', '\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n<nav>\r\n <ul>\r\n  <li><a href="#">Home</a></li>\r\n  <li><a href="#">About</a></li>\r\n  <li><a href="#">Clients</a></li>\r\n  <li><a href="#">Contact Us</a></li>\r\n </ul>\r\n</nav>\r\n\r\n', 1, 10, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 8, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(19, 115, 'On this day in AD284 Diocletian became emperor', 'on-this-day-in-ad284-diocletian-became-emperor', '<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n', '\r\n<p><em>Aenean ultricies mi vitae est.</em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n\r\n\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n \r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>', 1, 10, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/new-11b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 7, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(20, 116, 'Learn how to lead by example and empower others: the Leadership in Sport module', 'learn-how-to-lead-by-example-and-empower-others-the-leadership-in-sport-module', '<p> Morbi faucibus id nibh proin fusce lacinia phasellus leo turpis duis mauris egestas vitae pellentesque. Accumsan mus pellentesque et lacus vitae dui</p>\r\n\r\n', '\r\n\r\n\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n', 1, 10, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/news-2b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(21, 117, 'Discovering the Future of Gen Y in Health Sciences', 'discovering-the-future-of-gen-y-in-health-sciences', '<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n', '\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n', 1, 12, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-5.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/news-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(22, 118, 'Sustainability focus on health and gardening!', 'sustainability-focus-on-health-and-gardening', '<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet.</p>\r\n', '\r\n\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.</p>\r\n\r\n\r\n<p><em>Aenean ultricies mi vitae est.</em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n\r\n\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n', 1, 10, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-1b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(23, 119, 'It’s time to think creatively about higher education funding', 'it-s-time-to-think-creatively-about-higher-education-funding', '<p> Maecenas nisl justo, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n ', '\r\n\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n<nav>\r\n <ul>\r\n  <li><a href="#">Home</a></li>\r\n  <li><a href="#">About</a></li>\r\n  <li><a href="#">Clients</a></li>\r\n  <li><a href="#">Contact Us</a></li>\r\n </ul>\r\n</nav>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>', 1, 12, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-11.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(24, 120, 'Thoughts and challenges for your journey to becoming a teacher ', 'thoughts-and-challenges-for-your-journey-to-becoming-a-teacher', '<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.</p>\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione</p>\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.</p>', 1, 10, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 26, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(25, 121, 'International Relations Students of Platon University Collaborate with The World Leadership Alliance', 'international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance', '<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?</p>\r\n\r\n', '\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione</p>\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>', 1, 12, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-8.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-7b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(26, 122, 'The 2030 Agenda for Sustainable Development', 'the-2030-agenda-for-sustainable-development', '<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n', '\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.</p>\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione</p>\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 12, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-10.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-11b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(27, 131, 'Research Centres and Research Groups at the University of Nottingham Malaysia Campus', 'research-centres-and-research-groups-at-the-university-of-nottingham-malaysia-campus', '<p>Ttesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo dignissimos .</p>\r\n', '\r\n\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n', 1, 12, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-4b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(28, 133, 'Tracking the progress of a Hotline query', 'tracking-the-progress-of-a-hotline-query', '<p>Accusantium  nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n', '\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n\r\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n', 1, 12, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(29, 136, 'A postgraduate perspective on the Faculty of Arts', 'a-postgraduate-perspective-on-the-faculty-of-arts', '<p>Consectetur  pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n', '\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote> \r\n\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n', 1, 11, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(30, 138, 'Digital Time Travellers: MayFest 2015 at the Digital Humanities Centre.', 'digital-time-travellers-mayfest-2015-at-the-digital-humanities-centre', '<p>Perspiciatis unde Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n', '\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n\r\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote> \r\n\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n\r\n', 1, 11, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-4.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/news-4b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(31, 139, 'Hearts of Heritage project update by volunteer bloggers Laura and Caterina', 'hearts-of-heritage-project-update-by-volunteer-bloggers-laura-and-caterina', '<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora,</p>\r\n', '\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n \r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n<nav>\r\n <ul>\r\n  <li><a href="#">Home</a></li>\r\n  <li><a href="#">About</a></li>\r\n  <li><a href="#">Clients</a></li>\r\n  <li><a href="#">Contact Us</a></li>\r\n </ul>\r\n</nav>\r\n\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n', 1, 11, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/new-11b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(32, 141, 'Model Making: Part two by DHC Leonardo Fellow James E Smith', 'model-making-part-two-by-dhc-leonardo-fellow-james-e-smith', '<p>Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n\r\n', '\r\n\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat.</p>\r\n\r\n\r\n        \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n \r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n', 1, 11, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-4b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(33, 143, '‘Lest we forget\': Life Lines’ World War I digitisation workshop in DHC', 'lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc', '<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n', '\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n \r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n<nav>\r\n <ul>\r\n  <li><a href="#">Home</a></li>\r\n  <li><a href="#">About</a></li>\r\n  <li><a href="#">Clients</a></li>\r\n  <li><a href="#">Contact Us</a></li>\r\n </ul>\r\n</nav>\r\n', 1, 11, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/news-2b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(34, 145, 'A day trip to the University’s Manuscripts and Special Collections', 'a-day-trip-to-the-university-s-manuscripts-and-special-collections', '<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend harum .</p>\r\n\r\n', '\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n\r\n\r\n\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n\r\n\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n\r\n\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. </p>\r\n\r\n', 1, 11, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/news\\/news-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-1b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 0, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(35, 172, 'One Sidebar Left', 'one-sidebar-left', '<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n ', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.</p>\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione</p>\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.</p>', 1, 14, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 0, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 3, '', '', 1, 32, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(36, 180, 'One Sidebar Right', 'one-sidebar-right', '<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n ', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.</p>\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione</p>\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.</p>', 1, 14, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(37, 181, 'No Sidebar', 'no-sidebar', '<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n ', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.</p>\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione</p>\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.</p>', 1, 14, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(38, 182, 'Two Sidebar', 'two-sidebar', '<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n ', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.</p>\r\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>\r\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>\r\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione</p>\r\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.</p>', 1, 14, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(39, 183, 'Typography', 'typography', '<!-- CORE TYPOGRAPHY\r\n=======================================================-->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-typo">Core Typography</h1>\r\n	</div>\r\n	<!-- Headings -->\r\n	<div class="row example-row example-type">\r\n		<div class="col-lg-6">\r\n			<h2 class="sub-title">Heading Text</h2>\r\n			<h1>h1. Heading <small>Secondary text</small></h1>\r\n			<h2>h2. Heading <small>Secondary text</small></h2>\r\n			<h3>h3. Heading <small>Secondary text</small></h3>\r\n			<h4>h4. Heading <small>Secondary text</small></h4>\r\n			<h5>h5. Heading <small>Secondary text</small></h5>\r\n			<h6>h6. Heading <small>Secondary text</small></h6>\r\n			<div class="alert alert-warning">\r\n				<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n			</div>\r\n		</div>\r\n		<div class="col-lg-6">\r\n			<h2 class="sub-title">Example body text</h2>\r\n			<p class="lead">This is a <strong>lead paragraph</strong>. <br />Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n			<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n			<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n			<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n			<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n			<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n		</div>\r\n	</div>\r\n	<!-- //Headings --> \r\n		\r\n	<p> </p>\r\n	<!-- Address & Emphasis -->\r\n	<div class="row example-row example-type">\r\n		<div class="col-lg-4">\r\n		<h2 class="sub-title">Address</h2>\r\n			<address><strong>Company Name</strong><br /> 795 Folsom Ave, Suite 600<br /> San Francisco, CA 94107<br /> <abbr title="Phone">P:</abbr> (123) 456-7890</address><address><strong>Full Name</strong><br /> <abbr title="Phone">P:</abbr> (123) 456-7890<br /> <a href="mailto:first.last@example.com">first.last@example.com</a></address>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<h2 class="sub-title">Emphasis classes</h2>\r\n			<p class="text-muted">This is a <code>.mute</code> paragraph.</p>\r\n			<p class="text-primary">This is a <code>.text-primary</code> paragraph.</p>\r\n			<p class="text-warning">This is a <code>.text-warning</code> paragraph.</p>\r\n			<p class="text-danger">This is a <code>.text-danger</code> paragraph.</p>\r\n			<p class="text-success">This is a <code>.text-success</code> paragraph.</p>\r\n			<p class="text-info">This is a <code>.text-info</code> paragraph.</p>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<h2 class="sub-title">Alignment classes</h2>\r\n			<p class="text-left">This is a left aligned text <code>.text-left</code></p>\r\n			<p class="text-center">This is a center aligned text <code>.text-center</code></p>\r\n			<p class="text-right">This is a right aligned text <code>.text-right</code></p>\r\n			<p class="text-justify">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify</code> class.</p>\r\n		</div>\r\n	</div>\r\n	<!-- //Address & Emphasis --> \r\n	\r\n</div>\r\n<!-- //CORE TYPOGRAPHY -->\r\n\r\n<!-- Blockquotes -->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-colors">Blockquotes</h1>\r\n	</div>\r\n	<div class="row example-row example-type">\r\n		<div class="col-lg-6">\r\n			<blockquote>\r\n			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n			<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n		</div>\r\n		<div class="col-lg-6">\r\n			<blockquote class="pull-right">\r\n			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n			<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n		</div>\r\n	</div>\r\n</div>\r\n<!-- //Blockquotes -->\r\n\r\n<!-- TAGS\r\n=======================================================-->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-colors">Tags</h1>\r\n	</div>\r\n	<div class="tags">\r\n		<span class="tag"><a class="label label-info" href="#">hotel</a></span>\r\n		<span class="tag"><a class="label label-info" href="#">booking</a></span>\r\n		<span class="tag"><a class="label label-info" href="#">discount</a></span>\r\n		<span class="tag"><a class="label label-info" href="#">location</a></span>\r\n		<span class="tag"><a class="label label-info" href="#">map</a></span>\r\n		<span class="tag"><a class="label label-info" href="#">travel</a></span>\r\n	</div>\r\n</div>\r\n<!-- //TAGS -->\r\n\r\n\r\n<!-- COLOR SWATCHES\r\n=======================================================-->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-color">Color Swatches</h1>\r\n	</div>\r\n\r\n	<!-- Brand Colors -->\r\n	<h2 class="sub-title">Brand Colors</h2>\r\n	<div class="row example-row example-colors">\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-brand-primary">\r\n				<dl>\r\n					<dt>#fab325</dt>\r\n					<dd>Brand Primary</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-brand-secondary">\r\n				<dl>\r\n					<dt>#428bca</dt>\r\n					<dd>Brand Secondary</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-brand-warning">\r\n				<dl>\r\n					<dt>#f0ad4e</dt>\r\n					<dd>Brand Warning</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-brand-danger">\r\n				<dl>\r\n					<dt>#d9534f</dt>\r\n					<dd>Brand Danger</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-brand-info">\r\n				<dl>\r\n					<dt>#5bc0de</dt>\r\n					<dd>Brand Info</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-brand-success">\r\n				<dl>\r\n					<dt>#5cb85c</dt>\r\n					<dd>Brand Success</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n	</div>\r\n	<!-- Brand Colors --> \r\n		\r\n	<p> </p>\r\n	<!-- Grayscale -->\r\n	<h2 class="sub-title">Grayscale Levels</h2>\r\n	<div class="row example-row example-colors">\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-gray-darker">\r\n				<dl>\r\n					<dt>#222222</dt>\r\n					<dd>Gray Darker</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-gray-dark">\r\n				<dl>\r\n					<dt>#333333</dt>\r\n					<dd>Gray Dark</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-gray">\r\n				<dl>\r\n					<dt>#575757</dt>\r\n					<dd>Gray</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-gray-light">\r\n				<dl>\r\n					<dt>#9e9e9e9</dt>\r\n					<dd>Gray Light</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-gray-lighter">\r\n				<dl>\r\n					<dt>#eeeeee</dt>\r\n					<dd>Gray Lighter</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n		<div class="col-xs-5 col-md-4 col-lg-2">\r\n			<div class="swatch-item color-gray-lightest">\r\n				<dl>\r\n					<dt>#f7f7f7</dt>\r\n					<dd>Gray Lightest</dd>\r\n				</dl>\r\n			</div>\r\n		</div>\r\n	</div>\r\n	<!-- //Grayscale -->\r\n</div>\r\n<!-- //COLOR SWATCHES -->\r\n\r\n<!-- BUTTON\r\n=======================================================-->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-colors">Buttons</h1>\r\n	</div>\r\n	<div class="row example-row example-type">\r\n		<div class="col-md-8">\r\n			<!-- Button --->\r\n			<h2 class="sub-title">Buttons</h2>\r\n			<div class="example-button clearfix"><a class="btn btn-default" href="#">Normal Button</a> <a class="btn btn-primary" href="#">Primary Button</a> <a class="btn btn-second" href="#">Second Button</a></div>\r\n			<p> </p>\r\n			<div class="example-button clearfix"><a class="btn btn-warning" href="#">Warning Button</a> <a class="btn btn-danger" href="#">Danger Button</a> <a class="btn btn-info" href="#">Info Button</a></div>\r\n			<!-- //Button --->\r\n		</div>\r\n		<div class="col-md-4">\r\n			<!-- Button Border --->\r\n			<h2 class="sub-title">Button Border</h2>\r\n			<a class="btn btn-border" href="#">Button Border</a> \r\n			<!-- //Button Border --->\r\n		</div>\r\n	</div>\r\n</div>\r\n<!-- //BUTTON -->\r\n\r\n<!-- NAVIGATIONS\r\n================================================== -->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-navigation">Navigations</h1>\r\n	</div>\r\n\r\n	<!-- Tabs & Vertical Menus -->\r\n	<div class="row example-row example-navigation"><!-- Tabs -->\r\n		<div class="col-lg-8">\r\n		<h2 class="sub-title">Tabs</h2>\r\n		<ul class="nav nav-tabs">\r\n			<li class="active"><a href="#home" data-toggle="tab">Home</a></li>\r\n			<li><a href="#profile" data-toggle="tab">Profile</a></li>\r\n			<li class="disabled"><a>Disabled</a></li>\r\n			<li class="dropdown"><a class="dropdown-toggle" href="#" data-toggle="dropdown"> Dropdown </a>\r\n				<ul class="dropdown-menu">\r\n					<li><a href="#dropdown1" data-toggle="tab">Action</a></li>\r\n					<li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n					<li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n				</ul>\r\n			</li>\r\n		</ul>\r\n			<div id="myTabContent" class="tab-content">\r\n				<div id="home" class="tab-pane fade active in">\r\n					<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n					<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n				</div>\r\n				<div id="profile" class="tab-pane fade">\r\n					<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n					<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n				</div>\r\n				<div id="dropdown1" class="tab-pane fade">\r\n					<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n					<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n				</div>\r\n				<div id="dropdown2" class="tab-pane fade">\r\n					<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n					<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<!-- //Tabs --> \r\n		<!-- Vertical Menus -->\r\n		<div class="col-lg-4">\r\n			<h2 class="sub-title">Vertical Menus</h2>\r\n			<ul class="nav nav-pills nav-stacked">\r\n				<li class="active"><a href="#">Active Menu Item</a></li>\r\n				<li><a href="#">Menu Item</a></li>\r\n				<li><a href="#">Menu Item</a></li>\r\n				<li class="disabled"><a href="#">Disabled Menu Item</a></li>\r\n				<li class="dropdown"><a class="dropdown-toggle" href="#" data-toggle="dropdown"> Dropdown </a>\r\n					<ul class="dropdown-menu">\r\n						<li><a href="#">Action</a></li>\r\n						<li><a href="#">Another action</a></li>\r\n						<li><a href="#">Something else here</a></li>\r\n						<li><a href="#">Separated link</a></li>\r\n					</ul>\r\n				</li>\r\n			</ul>\r\n		</div>\r\n	<!-- Vertical Menus -->\r\n	</div>\r\n<!-- Tabs & Vertical Menus -->\r\n</div>\r\n<!-- //NAVIGATIONS -->\r\n\r\n<!-- FORMS\r\n================================================== -->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-typo">Inputs</h1>\r\n	</div>\r\n\r\n	<!-- Inputs -->\r\n	<div class="row example-row example-forms example-inputs">\r\n		<div class="col-md-3">\r\n			<div class="form-group has-success"><label class="control-label" for="inputSuccess">Input success</label> <input id="inputSuccess" class="form-control" type="text" /></div>\r\n		</div>\r\n		<div class="col-md-3">\r\n			<div class="form-group has-error"><label class="control-label" for="inputError">Input error</label> <input id="inputError" class="form-control" type="text" /></div>\r\n		</div>\r\n		<div class="col-md-3">\r\n			<div class="form-group has-warning"><label class="control-label" for="inputWarning">Input warning</label> <input id="inputWarning" class="form-control" type="text" /></div>\r\n		</div>\r\n		<div class="col-md-3">\r\n			<div class="form-group"><label class="control-label" for="disabledInput">Disabled input</label> <input id="disabledInput" class="form-control" disabled="disabled" type="text" /></div>\r\n		</div>\r\n	</div>\r\n	<!-- //Inputs --> \r\n</div>\r\n<!-- //FORMS -->\r\n\r\n\r\n<!-- INDICATORS\r\n================================================== -->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-indicators">Indicators</h1>\r\n	</div>\r\n\r\n	<!-- Alerts -->\r\n	<h2 class="sub-title">Alerts and Notifications</h2>\r\n	<div class="row example-row example-indicators">\r\n		<div class="col-lg-6">\r\n			<div class="alert  alert-danger">\r\n				<h4>error message title</h4>\r\n				<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n			</div>\r\n		</div>\r\n		<div class="col-lg-6">\r\n			<div class="alert  alert-success">\r\n				<h4>sussess message title</h4>\r\n				<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n	<div class="row example-row example-indicators">\r\n		<div class="col-lg-6">\r\n			<div class="alert  alert-info">\r\n				<h4>info message title</h4>\r\n				<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n			</div>\r\n		</div>\r\n		<div class="col-lg-6">\r\n			<div class="alert  alert-warning">\r\n				<h4>warning message title</h4>\r\n				<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n	<!-- Alerts --> \r\n		\r\n	<p> </p>\r\n	<!-- Labels & Badges -->\r\n	<div class="row example-row example-indicators">\r\n		<div class="col-lg-6">\r\n			<h2 class="sub-title">Badges</h2>\r\n			<div class="example">\r\n				<ul class="nav nav-pills">\r\n					<li class="active"><a href="#">Home <span class="badge">42</span></a></li>\r\n					<li><a href="#">Profile </a></li>\r\n					<li><a href="#">Messages <span class="badge">25</span></a></li>\r\n					<li><a href="#">Notices <span class="badge">2</span></a></li>\r\n				</ul>\r\n			</div>\r\n		</div>\r\n		<div class="col-lg-6">\r\n			<h2 class="sub-title">Labels</h2>\r\n			<div class="example"><span class="label label-default">Default</span> <span class="label label-primary">Primary</span> <span class="label label-success">Success</span> <span class="label label-info">Info</span> <span class="label label-warning">Warning</span> <span class="label label-danger">Danger</span></div>\r\n		</div>\r\n	</div>\r\n<!-- Labels & Badges -->\r\n</div>\r\n<!-- //INDICATORS -->\r\n\r\n<!-- MISC\r\n================================================== -->\r\n<div class="docs-section">\r\n	<div class="page-header">\r\n		<h1 id="example-misc">Misc</h1>\r\n	</div>\r\n	<!-- List Groups -->\r\n	<h2 class="sub-title">List groups</h2>\r\n	<div class="row example-row example-misc">\r\n		<div class="col-lg-4">\r\n			<ul class="list-group">\r\n				<li class="list-group-item"><span class="badge">14</span> Cras justo odio</li>\r\n				<li class="list-group-item"><span class="badge">2</span> Dapibus ac facilisis in</li>\r\n				<li class="list-group-item">Morbi leo risus</li>\r\n				<li class="list-group-item"><span class="badge">1</span> Morbi leo risus</li>\r\n				<li class="list-group-item"><span class="badge">2</span> Dapibus ac facilisis in</li>\r\n			</ul>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<div class="list-group"><a class="list-group-item active" href="#"><span class="badge">9</span> Cras justo odio</a> <a class="list-group-item" href="#">Dapibus ac facilisis in</a> <a class="list-group-item" href="#">Morbi leo risus</a> <a class="list-group-item" href="#">Porta ac consectetur ac</a> <a class="list-group-item" href="#">Vestibulum at eros</a></div>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<div class="list-group">\r\n				<a title="List group" href="#" class="list-group-item active">\r\n                                  <h4 class="list-group-item-heading">List group item heading</h4>\r\n				  <p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus risus varius blandit.</p>\r\n                                </a>\r\n                                <a title="List group" href="#" class="list-group-item">\r\n				  <h4 class="list-group-item-heading">List group item heading</h4>\r\n				  <p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n                                </a>\r\n                                <a title="List group" href="#" class="list-group-item">\r\n				  <h4 class="list-group-item-heading">List group item heading</h4>\r\n				  <p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n                                </a>\r\n			</div>\r\n		</div>\r\n	</div>\r\n	<!-- //List Groups --> \r\n\r\n	<p> </p>\r\n	<!-- Panels -->\r\n	<h2 class="sub-title">Panels</h2>\r\n	<div class="row example-row example-misc">\r\n		<div class="col-lg-4">\r\n			<div class="panel panel-default">\r\n				<div class="panel-heading">Panel heading</div>\r\n				<div class="panel-body">Panel content</div>\r\n			</div>\r\n			<div class="panel panel-primary">\r\n				<div class="panel-heading">\r\n					<h3 class="panel-title">Panel primary</h3>\r\n				</div>\r\n				<div class="panel-body">Panel content</div>\r\n			</div>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<div class="panel panel-success">\r\n				<div class="panel-heading">\r\n					<h3 class="panel-title">Panel success</h3>\r\n				</div>\r\n				<div class="panel-body">Panel content</div>\r\n			</div>\r\n			<div class="panel panel-warning">\r\n				<div class="panel-heading">\r\n					<h3 class="panel-title">Panel warning</h3>\r\n				</div>\r\n				<div class="panel-body">Panel content</div>\r\n			</div>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<div class="panel panel-danger">\r\n				<div class="panel-heading">\r\n					<h3 class="panel-title">Panel danger</h3>\r\n				</div>\r\n				<div class="panel-body">Panel content</div>\r\n			</div>\r\n			<div class="panel panel-info">\r\n				<div class="panel-heading">\r\n					<h3 class="panel-title">Panel info</h3>\r\n				</div>\r\n				<div class="panel-body">Panel content</div>\r\n			</div>\r\n		</div>\r\n	</div>\r\n	<!-- //Panels --> \r\n		\r\n	<p> </p>\r\n	<!-- Wells -->\r\n	<h2 class="sub-title">Wells</h2>\r\n	<div class="row example-row example-misc">\r\n		<div class="col-lg-4">\r\n			<div class="well well-sm">Look, I\'m in a small well!</div>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<div class="well">Look, I\'m in a well!</div>\r\n		</div>\r\n		<div class="col-lg-4">\r\n			<div class="well well-lg">Look, I\'m in a large well!</div>\r\n		</div>\r\n	</div>\r\n	<!-- //Wells -->\r\n</div>\r\n<!-- // MISC -->', '', 1, 2, '2018-01-15 02:18:43', 42, '', '2018-01-15 02:18:43', 42, 0, '0000-00-00 00:00:00', '2018-01-15 02:18:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 33, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(16, 1);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT 0,
  `rating_sum` int(10) unsigned NOT NULL DEFAULT 0,
  `rating_count` int(10) unsigned NOT NULL DEFAULT 0,
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(400) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` mediumtext NOT NULL,
  `field_mappings` mediumtext NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) DEFAULT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id"}, "special":{"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(3, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(4, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{}}', 'UsersHelperRoute::getUserRoute', ''),
(5, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(6, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(8, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(9, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(10, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(11, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(12, 'User Notes', 'com_users.note', '{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(13, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT current_timestamp() COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB COMMENT='Maps items from content tables to tags' DEFAULT CHARSET=utf8;

INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES
('com_content.article', 4, 1, 5, '2018-01-15 02:18:43', 1),
('com_content.article', 3, 2, 2, '2018-01-15 02:18:43', 1),
('com_content.article', 3, 2, 3, '2018-01-15 02:18:43', 1),
('com_content.article', 2, 4, 2, '2018-01-15 02:18:43', 1),
('com_content.article', 2, 4, 5, '2018-01-15 02:18:43', 1),
('com_content.article', 1, 5, 2, '2018-01-15 02:18:43', 1),
('com_content.article', 1, 5, 5, '2018-01-15 02:18:43', 1),
('com_content.article', 5, 6, 2, '2018-01-15 02:18:43', 1),
('com_content.article', 6, 8, 4, '2018-01-15 02:18:43', 1),
('com_content.article', 7, 12, 5, '2018-01-15 02:18:43', 1),
('com_content.article', 8, 13, 3, '2018-01-15 02:18:43', 1),
('com_content.article', 8, 13, 4, '2018-01-15 02:18:43', 1),
('com_content.article', 9, 25, 5, '2018-01-15 02:18:43', 1),
('com_content.article', 10, 27, 5, '2018-01-15 02:18:43', 1),
('com_content.article', 11, 29, 3, '2018-01-15 02:18:43', 1),
('com_content.article', 12, 31, 6, '2018-01-15 02:18:43', 1),
('com_content.article', 13, 32, 4, '2018-01-15 02:18:43', 1),
('com_content.article', 13, 32, 6, '2018-01-15 02:18:43', 1),
('com_content.article', 14, 33, 5, '2018-01-15 02:18:43', 1),
('com_content.article', 14, 33, 6, '2018-01-15 02:18:43', 1),
('com_content.article', 15, 34, 6, '2018-01-15 02:18:43', 1);

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 1,
  `protected` tinyint(3) NOT NULL DEFAULT 0,
  `manifest_cache` mediumtext NOT NULL,
  `params` mediumtext NOT NULL,
  `custom_data` mediumtext NOT NULL,
  `system_data` mediumtext NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT 0,
  `state` int(11) DEFAULT 0,
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10115 DEFAULT CHARSET=utf8;

INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 0, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":"","filename":"mailto"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":"","filename":"wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 0, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 0, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":"","filename":"banners"}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":"","save_history":"1","history_limit":10}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 0, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 0, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 0, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{"contact_layout":"_:default","show_contact_category":"hide","save_history":"1","history_limit":10,"show_contact_list":"0","presentation_style":"plain","show_tags":"1","show_info":"1","show_name":"1","show_position":"1","show_email":"0","add_mailto_link":"1","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_image":"1","image":"","show_misc":"1","allow_vcard":"0","show_articles":"0","articles_display_num":"10","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_subcat_desc":"1","show_empty_categories":"0","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_subcat_desc_cat":"1","show_empty_categories_cat":"0","show_cat_items_cat":"1","filter_field":"0","show_pagination_limit":"0","show_headings":"1","show_image_heading":"0","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_feed_link":"1","custom_fields_enable":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{"show_jed_info":"1","cachetimeout":"0","minimum_stability":"4"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"newsfeed_layout":"_:default","save_history":"1","history_limit":5,"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_character_count":"0","feed_display_order":"des","float_first":"right","float_second":"right","show_tags":"1","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","filter_field":"1","show_pagination_limit":"1","show_headings":"1","show_articles":"0","show_link":"1","show_pagination":"1","show_pagination_results":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":"","filename":"search"}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 0, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"0","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 0, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"1","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_tags":"0","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","save_history":"1","history_limit":10,"show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_featured":"show","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 0, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"9":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 0, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 0, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":"","filename":"users"}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"9","sendpassword":"1","useractivation":"1","mail_to_admin":"0","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","minimum_length":"4","minimum_integers":"0","minimum_symbols":"0","minimum_uppercase":"0","save_history":"1","history_limit":5,"mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 0, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 0, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 0, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"tag_layout":"_:default","save_history":"1","history_limit":5,"show_tag_title":"0","tag_list_show_tag_image":"0","tag_list_show_tag_description":"0","tag_list_image":"","show_tag_num_items":"0","tag_list_orderby":"title","tag_list_orderby_direction":"ASC","show_headings":"0","tag_list_show_date":"0","tag_list_show_item_image":"0","tag_list_show_item_description":"0","tag_list_item_maximum_characters":0,"return_any_or_all":"1","include_children":"0","maximum":200,"tag_list_language_filter":"all","tags_layout":"_:default","all_tags_orderby":"title","all_tags_orderby_direction":"ASC","all_tags_show_tag_image":"0","all_tags_show_tag_descripion":"0","all_tags_tag_maximum_characters":20,"all_tags_show_tag_hits":"0","filter_field":"1","show_pagination_limit":"1","show_pagination":"2","show_pagination_results":"1","tag_field_ajax_mode":"1","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 0, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":"","filename":"contenthistory"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 0, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 0, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":"","filename":"ajax"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 0, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(33, 0, 'com_fields', 'component', 'com_fields', '', 1, 1, 1, 0, '{"name":"com_fields","type":"component","creationDate":"March 2016","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(34, 0, 'com_associations', 'component', 'com_associations', '', 1, 1, 1, 0, '{"name":"com_associations","type":"component","creationDate":"Januar 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_ASSOCIATIONS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 0, 'LIB_PHPUTF8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"LIB_PHPUTF8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":"","filename":"phputf8"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 0, 'LIB_JOOMLA', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"LIB_JOOMLA","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"https:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"mediaversion":"dacdfb076632a6fc4c391cec9e8fcd5b"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 0, 'LIB_IDNA', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"LIB_IDNA","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":"","filename":"idna_convert"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 0, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2015-04-22 13:15:32","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2015 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.4.3","description":"LIB_FOF_XML_DESCRIPTION","group":"","filename":"fof"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 0, 'LIB_PHPASS', 'library', 'phpass', '', 0, 1, 1, 1, '{"name":"LIB_PHPASS","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":"","filename":"phpass"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 0, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":"","filename":"mod_articles_archive"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 0, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 0, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_articles_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 0, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":"","filename":"mod_banners"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":"","filename":"mod_breadcrumbs"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 0, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 0, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 0, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":"","filename":"mod_footer"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 0, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 0, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 0, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_news"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 0, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":"","filename":"mod_random_image"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 0, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":"","filename":"mod_related_items"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 0, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":"","filename":"mod_search"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 0, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 0, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":"","filename":"mod_syndicate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 0, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":"","filename":"mod_users_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 0, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":"","filename":"mod_whosonline"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 0, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":"","filename":"mod_wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 0, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":"","filename":"mod_articles_category"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 0, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":"","filename":"mod_articles_categories"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 0, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":"","filename":"mod_languages"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 0, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":"","filename":"mod_finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 0, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 0, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 0, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":"","filename":"mod_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 0, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":"","filename":"mod_logged"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 0, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 0, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 0, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 0, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":"","filename":"mod_quickicon"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 0, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":"","filename":"mod_status"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 0, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":"","filename":"mod_submenu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 0, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":"","filename":"mod_title"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":"","filename":"mod_toolbar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 0, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":"","filename":"mod_multilangstatus"}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 0, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":"","filename":"mod_version"}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 0, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_tags_popular"}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 0, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":"","filename":"mod_tags_similar"}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(318, 0, 'mod_sampledata', 'module', 'mod_sampledata', '', 1, 0, 1, 0, '{"name":"mod_sampledata","type":"module","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"MOD_SAMPLEDATA_XML_DESCRIPTION","group":"","filename":"mod_sampledata"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 0, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":"","filename":"gmail"}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 0, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 0, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":"","filename":"ldap"}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 0, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 0, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":"","filename":"emailcloak"}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 0, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":"","filename":"loadmodule"}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 0, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 0, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":"","filename":"pagenavigation"}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 0, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":"","filename":"vote"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 0, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others","authorEmail":"marijnh@gmail.com","authorUrl":"http:\\/\\/codemirror.net\\/","version":"5.30.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":"","filename":"codemirror"}', '{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 0, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"September 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":"","filename":"none"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 0, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2017","author":"Ephox Corporation","copyright":"Ephox Corporation","authorEmail":"N\\/A","authorUrl":"http:\\/\\/www.tinymce.com","version":"4.5.8","description":"PLG_TINY_XML_DESCRIPTION","group":"","filename":"tinymce"}', '{"mode":"1","skin":"0","mobile":"0","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","html_height":"550","html_width":"750","resizing":"1","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","colors":"1","table":"1","smilies":"1","hr":"1","link":"1","media":"1","print":"1","directionality":"1","fullscreen":"1","alignment":"1","visualchars":"1","visualblocks":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(413, 0, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":"","filename":"article"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 0, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":"","filename":"image"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 0, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 0, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":"","filename":"readmore"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 0, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 0, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 0, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 0, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 0, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":"","filename":"languagefilter"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 0, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 0, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":"","filename":"p3p"}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 0, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":"","filename":"cache"}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 0, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":"","filename":"debug"}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 0, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":"","filename":"log"}', '', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 0, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 0, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION","group":"","filename":"redirect"}', '', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 0, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":"","filename":"remember"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 0, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":"","filename":"sef"}', '', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 0, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":"","filename":"logout"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 0, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":"","filename":"contactcreator"}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 0, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"autoregister":"1","mail_to_user":"1","forceLogout":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 0, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":"","filename":"profile"}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 0, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 0, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 0, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":"","filename":"languagecode"}', '', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 0, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":"","filename":"joomlaupdate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 0, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":"","filename":"extensionupdate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 0, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 0, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":"","filename":"recaptcha"}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 0, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":"","filename":"highlight"}', '', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 0, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 0, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 0, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 0, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 0, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(447, 0, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 0, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":"","filename":"totp"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 0, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":"","filename":"cookie"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 0, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":"","filename":"yubikey"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(451, 0, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 1, 1, 0, '{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"search_limit":"50","show_tagged_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(452, 0, 'plg_system_updatenotification', 'plugin', 'updatenotification', 'system', 0, 1, 1, 0, '{"name":"plg_system_updatenotification","type":"plugin","creationDate":"May 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION","group":"","filename":"updatenotification"}', '{"lastrun":1515983215}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(453, 0, 'plg_editors-xtd_module', 'plugin', 'module', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_module","type":"plugin","creationDate":"October 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_MODULE_XML_DESCRIPTION","group":"","filename":"module"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(454, 0, 'plg_system_stats', 'plugin', 'stats', 'system', 0, 1, 1, 0, '{"name":"plg_system_stats","type":"plugin","creationDate":"November 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_STATS_XML_DESCRIPTION","group":"","filename":"stats"}', '{"mode":1,"lastrun":1515982813,"unique_id":"1190bc2f9feea78400dd72146276f147cdf16a59","interval":12}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(458, 0, 'plg_quickicon_phpversioncheck', 'plugin', 'phpversioncheck', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_phpversioncheck","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION","group":"","filename":"phpversioncheck"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(459, 0, 'plg_editors-xtd_menu', 'plugin', 'menu', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_menu","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION","group":"","filename":"menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(460, 0, 'plg_editors-xtd_contact', 'plugin', 'contact', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_contact","type":"plugin","creationDate":"October 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(461, 0, 'plg_system_fields', 'plugin', 'fields', 'system', 0, 1, 1, 0, '{"name":"plg_system_fields","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_SYSTEM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(462, 0, 'plg_fields_calendar', 'plugin', 'calendar', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_calendar","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CALENDAR_XML_DESCRIPTION","group":"","filename":"calendar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(463, 0, 'plg_fields_checkboxes', 'plugin', 'checkboxes', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_checkboxes","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION","group":"","filename":"checkboxes"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(464, 0, 'plg_fields_color', 'plugin', 'color', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_color","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_COLOR_XML_DESCRIPTION","group":"","filename":"color"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(465, 0, 'plg_fields_editor', 'plugin', 'editor', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_editor","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_EDITOR_XML_DESCRIPTION","group":"","filename":"editor"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(466, 0, 'plg_fields_imagelist', 'plugin', 'imagelist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_imagelist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION","group":"","filename":"imagelist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(467, 0, 'plg_fields_integer', 'plugin', 'integer', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_integer","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_INTEGER_XML_DESCRIPTION","group":"","filename":"integer"}', '{"multiple":"0","first":"1","last":"100","step":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(468, 0, 'plg_fields_list', 'plugin', 'list', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_list","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_LIST_XML_DESCRIPTION","group":"","filename":"list"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(469, 0, 'plg_fields_media', 'plugin', 'media', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_media","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(470, 0, 'plg_fields_radio', 'plugin', 'radio', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_radio","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_RADIO_XML_DESCRIPTION","group":"","filename":"radio"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(471, 0, 'plg_fields_sql', 'plugin', 'sql', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_sql","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_SQL_XML_DESCRIPTION","group":"","filename":"sql"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(472, 0, 'plg_fields_text', 'plugin', 'text', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_text","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXT_XML_DESCRIPTION","group":"","filename":"text"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(473, 0, 'plg_fields_textarea', 'plugin', 'textarea', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_textarea","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION","group":"","filename":"textarea"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(474, 0, 'plg_fields_url', 'plugin', 'url', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_url","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_URL_XML_DESCRIPTION","group":"","filename":"url"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(475, 0, 'plg_fields_user', 'plugin', 'user', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_user","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USER_XML_DESCRIPTION","group":"","filename":"user"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(476, 0, 'plg_fields_usergrouplist', 'plugin', 'usergrouplist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_usergrouplist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION","group":"","filename":"usergrouplist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(477, 0, 'plg_content_fields', 'plugin', 'fields', 'content', 0, 1, 1, 0, '{"name":"plg_content_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_CONTENT_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(478, 0, 'plg_editors-xtd_fields', 'plugin', 'fields', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(479, 0, 'plg_sampledata_blog', 'plugin', 'blog', 'sampledata', 0, 0, 1, 0, '{"name":"plg_sampledata_blog","type":"plugin","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION","group":"","filename":"blog"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 0, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 0, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(506, 0, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(507, 0, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 10101, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"December 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.3","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 10101, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"December 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.3","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 0, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"December 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.3","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10000, 0, 'MOD_JA_ACM', 'module', 'mod_ja_acm', '', 0, 1, 1, 0, '{"name":"MOD_JA_ACM","type":"module","creationDate":"15 Feb 2016","author":"JoomlArt","copyright":"Copyright \\u00a9 2005 - 2015 JoomlArt.com. All Rights Reserved.","authorEmail":"info@joomlart.com","authorUrl":"www.joomlart.com","version":"2.1.0","description":"\\n\\t\\t\\n\\t\\t<div align=\\"left\\">\\t\\t\\n\\t\\t\\t<div style=\\"background:url(\'http:\\/\\/joomlart.s3.amazonaws.com\\/images\\/userguide\\/ja_templates\\/uber\\/acm-logo.png\') no-repeat top left;padding-left:100px;\\">\\n\\t\\t\\t\\t<h1>JA ACM Module for Joomla 2.5 & 3.4<\\/h1>\\n\\t\\t\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t\\t\\t<p>JA ACM module (JoomlArt Advanced Custom module) is to help you build content blocks for your Joomla site easily based on pre-made layouts and styles. The content blocks together will build a landing page or a complete site for you. <\\/p>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t<p>Highlighted features:<\\/p>\\n\\t\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t\\t<ul>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">12+ block types: At this phase, we round up typical blocks that Uber has to offer. Each block type comes with multiple styles.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">Easy editing & defining your page-specific field sets within each block. Each block has its own LESS file, so you have full control to define your own class and style.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">Content-creator-friendly: completely separate content & design. No longer mixing HTML syntax embedded inside article.<\\/li>\\n\\t\\t\\t\\t\\t<li style=\\"background:url(\'http:\\/\\/www.joomlart.com\\/templates\\/ja-v4\\/images\\/joomlart\\/icon-checklist.png\') no-repeat left center;padding:10px 0px 10px 20px;\\">Allow us to dig deeper into the modular block approach which eases our page management effort.<\\/li>\\n\\t\\t\\t\\t<\\/ul>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"mod_ja_acm"}', '{"jatools-config":"1","cache":"1","cache_time":"900","cachemode":"itemid"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 0, 'JA Masthead', 'module', 'mod_jamasthead', '', 0, 1, 1, 0, '{"name":"JA Masthead","type":"module","creationDate":"January 2016","author":"JoomlArt.com","copyright":"J.O.O.M Solutions Co., Ltd.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"1.0.2","description":"\\n\\t\\t\\n\\t\\t<div align=\\"left\\">\\t\\t\\n\\t\\t\\t<h2>JA Masthead Module for Joomla 2.5 & 3.x<\\/h2>\\n\\t\\t\\t<p>JA Masthead Module is used to Masthead title like the JoomlArt Masthead. With this module, the Masshead can be configured to be in any pages with different titles, descriptions as well as background images and background video. For video background, it supports local video with types: .mp4, ogg, webm.<\\/p>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"mod_jamasthead"}', '{"default-title":"","default-description":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10002, 0, 'T3 Framework', 'plugin', 't3', 'system', 0, 1, 1, 0, '{"name":"T3 Framework","type":"plugin","creationDate":"Sep 29, 2017","author":"JoomlArt.com","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"info@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"2.7.0","description":"\\n\\t\\n\\t<div align=\\"center\\">\\n\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t<a href=\\"http:\\/\\/t3-framework.org\\/\\"><img src=\\"http:\\/\\/static.joomlart.com\\/images\\/jat3v3-documents\\/message-installation\\/logo.png\\" alt=\\"some_text\\" width=\\"300\\" height=\\"99\\"><\\/a>\\n\\t\\t\\t\\t<h4><a href=\\"http:\\/\\/t3-framework.org\\/\\" title=\\"\\">Home<\\/a> | <a href=\\"http:\\/\\/demo.t3-framework.org\\/\\" title=\\"\\">Demo<\\/a> | <a href=\\"http:\\/\\/t3-framework.org\\/documentation\\" title=\\"\\">Document<\\/a> | <a href=\\"https:\\/\\/github.com\\/t3framework\\/t3\\/blob\\/master\\/CHANGELOG.md\\" title=\\"\\">Changelog<\\/a><\\/h4>\\n\\t\\t<p> <\\/p>\\n\\t\\t<p>Copyright 2004 - 2017 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n     <style>table.adminform{width: 100%;}<\\/style>\\n\\t <\\/div>\\n\\t\\t\\n\\t","group":"","filename":"t3"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 0, 'JA_Platon', 'template', 'ja_platon', '', 0, 1, 1, 0, '{"name":"JA_Platon","type":"template","creationDate":"15 December 2015","author":"JoomlArt.com","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"1.0.1","description":"\\n\\t\\t\\n\\t\\t<div align=\\"center\\">\\n\\t\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t<a href=\\"http:\\/\\/www.joomlart.com\\/joomla\\/templates\\/ja-platon\\">Responsive Joomla template for Universities and colleges - JA Platon<\\/a>\\n\\t\\t\\t\\t<h4><a href=\\"http:\\/\\/www.joomlart.com\\/joomla\\/templates\\/ja-platon\\" title=\\"\\">Home<\\/a> | <a href=\\"http:\\/\\/joomlart.com\\/demo\\/#ja_platon\\" title=\\"\\">Demo<\\/a> | <a href=\\"http:\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/ja-platon\\" title=\\"\\">Document<\\/a> | <a href=\\"http:\\/\\/pm.joomlart.com\\/browse\\/JATCPLATON\\" title=\\"\\">Changelog<\\/a><\\/h4>\\n\\t\\t\\t\\t<p>Welcome JA Platon (December Template) - Responsive Joomla Template for Universities and Colleges. <\\/p>\\n\\t\\t\\t\\t<p>It is a perfect new Joomla 3 template for Universities, schools, colleges and other educational websites. JA Platon supports Kunena - Joomla forum component and Jomsocial 4 - Joomla social networking extensions. With Kunena, and JomSocial 4, Platon creates not only a school websites, but also discussion boards, forums and social platforms for educational organizations. <\\/p>\\n\\t\\t\\t\\t<p>Thanks to T3 Framework and Bootstrap 3, JA Platon is a fully responsive Joomla 3 template. Platon has intuitive Admin panel with easy to use options and built-in tools. The template is easy to customize as users\' needs. The site speed is also optimized for better performance and user experience. <\\/p>\\n\\t\\t\\t\\t<p>JA Platon supports RTL languages layout.<\\/p>\\n\\t\\t\\t\\t<span style=\\"color:#FF0000\\">Note: JA Platon template requires T3 plugin to be installed and enabled.<\\/span><p><\\/p>\\n\\t\\t\\t\\t<p>Copyright 2004 - 2015 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<style>table.adminform{width: 100%;}<\\/style>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":"","filename":"templateDetails"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 10009, 'plg_system_kunena', 'plugin', 'kunena', 'system', 0, 1, 1, 0, '{"name":"plg_system_kunena","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_SYSTEM_KUNENA_DESC","group":"","filename":"kunena"}', '{"jcontentevents":"0","jcontentevent_target":"body"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 10009, 'plg_quickicon_kunena', 'plugin', 'kunena', 'quickicon', 0, 1, 1, 0, '{"name":"plg_quickicon_kunena","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_QUICKICON_KUNENA_DESC","group":"","filename":"kunena"}', '{"context":"mod_quickicon"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10008, 10009, 'com_kunena', 'component', 'com_kunena', '', 1, 1, 0, 0, '{"name":"com_kunena","type":"component","creationDate":"2017-12-31","author":"Kunena Team","copyright":"(C) 2008 - 2018 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"COM_KUNENA_XML_DESCRIPTION","group":"","filename":"kunena"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10009, 0, 'Kunena Forum Package', 'package', 'pkg_kunena', '', 0, 1, 1, 0, '{"name":"Kunena Forum Package","type":"package","creationDate":"2017-12-31","author":"Kunena Team","copyright":"(C) 2008 - 2018 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"Kunena Forum Package.","group":"","filename":"pkg_kunena"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10011, 0, 'plg_kunena_community', 'plugin', 'community', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_community","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_KUNENA_COMMUNITY_DESCRIPTION","group":"","filename":"community"}', '{"access":"1","login":"1","activity":"1","avatar":"1","profile":"1","private":"1","activity_points_limit":"0"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(10012, 0, 'plg_kunena_comprofiler', 'plugin', 'comprofiler', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_comprofiler","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_KUNENA_COMPROFILER_DESCRIPTION","group":"","filename":"comprofiler"}', '{"access":"1","login":"1","activity":"1","avatar":"1","profile":"1","private":"1"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(10013, 0, 'plg_kunena_gravatar', 'plugin', 'gravatar', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_gravatar","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_KUNENA_GRAVATAR_DESCRIPTION","group":"","filename":"gravatar"}', '{"avatar":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(10014, 0, 'plg_kunena_uddeim', 'plugin', 'uddeim', 'kunena', 0, 0, 1, 0, '{"name":"plg_kunena_uddeim","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_KUNENA_UDDEIM_DESCRIPTION","group":"","filename":"uddeim"}', '{"private":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(10015, 0, 'plg_kunena_kunena', 'plugin', 'kunena', 'kunena', 0, 1, 1, 0, '{"name":"plg_kunena_kunena","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_KUNENA_KUNENA_DESCRIPTION","group":"","filename":"kunena"}', '{"avatar":"1","profile":"1"}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(10016, 0, 'plg_kunena_joomla', 'plugin', 'joomla', 'kunena', 0, 1, 1, 0, '{"name":"plg_kunena_joomla","type":"plugin","creationDate":"2017-12-31","author":"Kunena Team","copyright":"www.kunena.org","authorEmail":"Kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"PLG_KUNENA_JOOMLA_25_30_DESCRIPTION","group":"","filename":"joomla"}', '{"access":"1","login":"1"}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(10055, 0, 'JA Login', 'module', 'mod_jalogin', '', 0, 1, 1, 0, '{"name":"JA Login","type":"module","creationDate":"6 January 2016","author":"JoomlArt.com","copyright":"J.O.O.M Solutions Co., Ltd.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"2.6.6","description":"\\n\\t \\n\\t \\t<style type=\\"text\\/css\\">\\n\\t \\t\\t.mod-desc li{\\t\\t\\t\\t\\n\\t\\t\\t\\tmargin-left:10px;\\n\\t\\t\\t\\tpadding-left:12px;\\n\\t\\t\\t}\\n\\t\\t\\t.mod-desc p{\\n\\t\\t\\t\\tmargin:15px 0;\\n\\t\\t\\t}\\n\\t \\t<\\/style>\\n\\t \\t<span style=\\"color: #008000;\\"><strong>JA Login Module for Joomla! 2.5 & 3.3<\\/strong><\\/span><br \\/>\\n\\t \\t<p><img alt=\\"JA Login Module\\" src=\\"http:\\/\\/static.joomlart.com\\/images\\/stories\\/extensions\\/joomla\\/jaec_ja_login_mod.png\\" \\/><\\/p>\\n\\t\\t<div style=\'font-weight:normal\'>\\n\\t \\tJA login module is alternate login module for Joomla!, so that CSS overrides can be made for the same, without affecting the default Joomla login module.\\n\\t \\t\\n\\t\\t<p><strong><span style=\\"color: #ff0000;\\">Upgrade Methods:<\\/span><br \\/><\\/strong><\\/p>\\n\\t\\t<ul>\\n\\t\\t\\t<li>You can install new version directly over this version. Uninstallation is not required. Backup any customized files before upgrading. OR<\\/li>\\n\\t\\t\\t<li>Use <strong><a href=\\"http:\\/\\/extensions.joomla.org\\/extensions\\/core-enhancements\\/installers\\/12077\\" target=\\"_blank\\">JA Extensions Manager<\\/a><\\/strong> Component for easy upgrades and rollbacks. <strong><a href=\\"http:\\/\\/www.youtube.com\\/user\\/JoomlArt#p\\/c\\/BC9B0C0BFE98657E\\/2\\/mNAuJRmifG8\\" target=\\"_blank\\">Watch Video..<\\/a><\\/strong><\\/li>\\n\\t\\t<\\/ul>\\n\\t\\t\\n\\t\\t<p><span style=\\"color: #008000;\\"><strong>Links:<\\/strong><\\/span><\\/p>\\n\\t\\t<ul><li><a target=\'_blank\' href=\'http:\\/\\/update.joomlart.com\\/\'>Updates &amp; Versions<\\/a><\\/li><li><a target=\'_blank\' href=\'http:\\/\\/www.joomlart.com\\/forums\\/showthread.php?52050\'>General Userguide<\\/a><\\/li><\\/ul>\\n\\t\\t<p><\\/p>\\n\\t\\t<p>Copyright 2004 - 2016 <a href=\\"http:\\/\\/www.joomlart.com\\/\\" title=\\"Visit Joomlart.com!\\">JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n\\t \\n\\t","group":"","filename":"mod_jalogin"}', '{"pretext":"","greeting":"1","name":"0","show_register_form":"1","usesecure":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10056, 0, 'com_jaextmanager', 'component', 'com_jaextmanager', '', 1, 1, 0, 0, '{"name":"com_jaextmanager","type":"component","creationDate":"Feb 2015","author":"JoomlArt","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.joomlart.com","version":"2.6.0","description":"JA Extension Manager Component","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10091, 0, 'plg_installer_packageinstaller', 'plugin', 'packageinstaller', 'installer', 0, 1, 1, 0, '{"name":"plg_installer_packageinstaller","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"packageinstaller"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10101, 0, 'English (en-GB) Language Pack', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB) Language Pack","type":"package","creationDate":"December 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.3.1","description":"en-GB language pack","group":"","filename":"pkg_en-GB"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10103, 10009, 'Kunena Media Files', 'file', 'kunena_media', '', 0, 1, 0, 0, '{"name":"Kunena Media Files","type":"file","creationDate":"2017-12-31","author":"Kunena Team","copyright":"(C) 2008 - 2018 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"Kunena media files.","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10108, 10009, 'Kunena Framework', 'library', 'kunena', '', 0, 1, 1, 0, '{"name":"Kunena Framework","type":"library","creationDate":"2017-12-31","author":"Kunena Team","copyright":"(C) 2008 - 2018 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"https:\\/\\/www.kunena.org","version":"5.0.13","description":"Kunena Framework.","group":"","filename":"kunena"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__fields`;
CREATE TABLE `#__fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `context` varchar(255) NOT NULL DEFAULT '',
  `group_id` int(10) unsigned NOT NULL DEFAULT 0,
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(255) NOT NULL DEFAULT '',
  `default_value` text NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'text',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `required` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `fieldparams` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_user_id` (`created_user_id`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_categories`;
CREATE TABLE `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT 0,
  `category_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`field_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_groups`;
CREATE TABLE `#__fields_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `context` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `access` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_values`;
CREATE TABLE `#__fields_values` (
  `field_id` int(10) unsigned NOT NULL,
  `item_id` varchar(255) NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text NOT NULL,
  KEY `idx_field_id` (`field_id`),
  KEY `idx_item_id` (`item_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__jaem_services`;
CREATE TABLE `#__jaem_services` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ws_name` varchar(255) NOT NULL,
  `ws_mode` varchar(50) NOT NULL DEFAULT 'local',
  `ws_uri` varchar(255) NOT NULL,
  `ws_user` varchar(100) NOT NULL,
  `ws_pass` varchar(100) NOT NULL,
  `ws_default` tinyint(1) NOT NULL DEFAULT 0,
  `ws_core` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__jaem_services` (`id`, `ws_name`, `ws_mode`, `ws_uri`, `ws_user`, `ws_pass`, `ws_default`, `ws_core`) VALUES
(1, 'Local Service', 'local', '', '', '', 1, 1),
(2, 'JoomlArt Updates', 'remote', 'http://update.joomlart.com/service/', '', '', 0, 1);

DROP TABLE IF EXISTS `#__kunena_aliases`;
CREATE TABLE `#__kunena_aliases` (
  `alias` varchar(255) NOT NULL,
  `type` varchar(10) NOT NULL,
  `item` varchar(32) NOT NULL,
  `state` tinyint(4) NOT NULL DEFAULT 0,
  UNIQUE KEY `alias` (`alias`),
  KEY `state` (`state`),
  KEY `item` (`item`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_aliases` (`alias`, `type`, `item`, `state`) VALUES
('announcement', 'view', 'announcement', 1),
('category', 'view', 'category', 1),
('category/create', 'layout', 'category.create', 1),
('category/default', 'layout', 'category.default', 1),
('category/edit', 'layout', 'category.edit', 1),
('category/manage', 'layout', 'category.manage', 1),
('category/moderate', 'layout', 'category.moderate', 1),
('category/user', 'layout', 'category.user', 1),
('common', 'view', 'common', 1),
('create', 'layout', 'category.create', 0),
('credits', 'view', 'credits', 1),
('cross-curricular-teaching-resources', 'catid', '17', 0),
('curriculum-subjects', 'catid', '4', 0),
('default', 'layout', 'category.default', 0),
('design-and-technology', 'catid', '8', 0),
('economics-and-business-studies', 'catid', '7', 0),
('edit', 'layout', 'category.edit', 0),
('educational-conferences', 'catid', '5', 0),
('engineering-technology', 'catid', '13', 0),
('flexible-learning', 'catid', '16', 0),
('home', 'view', 'home', 1),
('learning-technology-conference', 'catid', '11', 0),
('life-sciences-medicine', 'catid', '20', 0),
('main-forum', 'catid', '1', 1),
('manage', 'layout', 'category.manage', 0),
('misc', 'view', 'misc', 1),
('moderate', 'layout', 'category.moderate', 0),
('modern-languages', 'catid', '12', 0),
('natural-sciences', 'catid', '19', 0),
('non-academic-discussions', 'catid', '15', 0),
('philosophy', 'catid', '9', 0),
('schools-history-project', 'catid', '10', 0),
('search', 'view', 'search', 1),
('social-sciences-management', 'catid', '18', 0),
('statistics', 'view', 'statistics', 1),
('suggestion-box', 'catid', '3', 1),
('topic', 'view', 'topic', 1),
('topics', 'view', 'topics', 1),
('undergraduate', 'catid', '6', 0),
('user', 'view', 'user', 1),
('welcome-mat', 'catid', '2', 1);

DROP TABLE IF EXISTS `#__kunena_announcement`;
CREATE TABLE `#__kunena_announcement` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `title` tinytext NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT 0,
  `sdescription` text NOT NULL,
  `description` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` tinyint(4) NOT NULL DEFAULT 0,
  `showdate` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_announcement` (`id`, `title`, `created_by`, `sdescription`, `description`, `created`, `published`, `publish_up`, `publish_down`, `ordering`, `showdate`) VALUES
(1, 'Strum exercitationem', 42, 'Nostrum exercitationem ullam corporis suscipit laboriosam', 'exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur consequuntur magni dolores eos?', '2015-11-27 00:00:00', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 1),
(2, 'Fames ac turpis egestas', 42, 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium', 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione', '2015-11-30 00:00:00', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 1);

DROP TABLE IF EXISTS `#__kunena_attachments`;
CREATE TABLE `#__kunena_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mesid` int(11) NOT NULL DEFAULT 0,
  `userid` int(11) NOT NULL DEFAULT 0,
  `protected` tinyint(4) NOT NULL DEFAULT 0,
  `hash` char(32) DEFAULT NULL,
  `size` int(11) DEFAULT NULL,
  `folder` varchar(255) NOT NULL,
  `filetype` varchar(20) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `filename_real` varchar(255) NOT NULL DEFAULT '',
  `caption` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `mesid` (`mesid`),
  KEY `userid` (`userid`),
  KEY `hash` (`hash`),
  KEY `filename` (`filename`),
  KEY `filename_real` (`filename_real`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_attachments` (`id`, `mesid`, `userid`, `protected`, `hash`, `size`, `folder`, `filetype`, `filename`, `filename_real`, `caption`) VALUES
(1, 37, 42, 0, '92d9a88d0950ea6c6544c10b97dc82bf', 35876, 'media/kunena/attachments/42', 'image/jpeg', 'mono_featured.jpg', 'E:\\wamp\\www\\templates\\Platon/media/kunena/attachments/42/mono_featured.jpg', ''),
(2, 39, 42, 0, '7affa6cd9aa28f4a7fb199abf33002a8', 61345, 'media/kunena/attachments/42', 'image/jpeg', 'book-316410_640.jpg', 'E:\\wamp\\www\\templates\\Platon/media/kunena/attachments/42/book-316410_640.jpg', '');

DROP TABLE IF EXISTS `#__kunena_categories`;
CREATE TABLE `#__kunena_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT 0,
  `name` tinytext DEFAULT NULL,
  `alias` varchar(255) NOT NULL,
  `icon` varchar(60) NOT NULL,
  `icon_id` tinyint(4) NOT NULL DEFAULT 0,
  `locked` tinyint(4) NOT NULL DEFAULT 0,
  `accesstype` varchar(20) NOT NULL DEFAULT 'joomla.level',
  `access` int(11) NOT NULL DEFAULT 0,
  `pub_access` int(11) NOT NULL DEFAULT 1,
  `pub_recurse` tinyint(4) DEFAULT 1,
  `admin_access` int(11) NOT NULL DEFAULT 0,
  `admin_recurse` tinyint(4) DEFAULT 1,
  `ordering` smallint(6) NOT NULL DEFAULT 0,
  `published` tinyint(4) NOT NULL DEFAULT 0,
  `channels` text DEFAULT NULL,
  `checked_out` tinyint(4) NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review` tinyint(4) NOT NULL DEFAULT 0,
  `allow_anonymous` tinyint(4) NOT NULL DEFAULT 0,
  `post_anonymous` tinyint(4) NOT NULL DEFAULT 0,
  `hits` int(11) NOT NULL DEFAULT 0,
  `description` text NOT NULL,
  `headerdesc` text NOT NULL,
  `class_sfx` varchar(20) NOT NULL,
  `allow_polls` tinyint(4) NOT NULL DEFAULT 0,
  `topic_ordering` varchar(16) NOT NULL DEFAULT 'lastpost',
  `iconset` varchar(255) NOT NULL DEFAULT 'default',
  `numTopics` mediumint(8) NOT NULL DEFAULT 0,
  `numPosts` mediumint(8) NOT NULL DEFAULT 0,
  `last_topic_id` int(11) NOT NULL DEFAULT 0,
  `last_post_id` int(11) NOT NULL DEFAULT 0,
  `last_post_time` int(11) NOT NULL DEFAULT 0,
  `allow_ratings` tinyint(4) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `category_access` (`accesstype`,`access`),
  KEY `published_pubaccess_id` (`published`,`pub_access`,`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_categories` (`id`, `parent_id`, `name`, `alias`, `icon`, `icon_id`, `locked`, `accesstype`, `access`, `pub_access`, `pub_recurse`, `admin_access`, `admin_recurse`, `ordering`, `published`, `channels`, `checked_out`, `checked_out_time`, `review`, `allow_anonymous`, `post_anonymous`, `hits`, `description`, `headerdesc`, `class_sfx`, `allow_polls`, `topic_ordering`, `iconset`, `numTopics`, `numPosts`, `last_topic_id`, `last_post_id`, `last_post_time`, `allow_ratings`, `params`) VALUES
(1, 0, 'Main Forum', 'main-forum', '', 0, 0, 'joomla.group', 0, 1, 1, 0, 1, 1, 1, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'This is the main forum section. It serves as a container for categories for your topics.', 'The section header is used to display additional information about the categories of topics that it contains.', '', 0, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, ''),
(2, 1, 'Welcome Mat', 'welcome-mat', 'fa fa-heart', 0, 0, 'joomla.group', 1, 1, 1, 0, 1, 1, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'We encourage new members to introduce themselves here. Get to know one another and share your interests.', '[b]Welcome to the Kunena forum![/b] \r\n\r\n Tell us and our members who you are, what you like and why you became a member of this site. \r\n We welcome all new members and hope to see you around a lot!', '', 0, 'lastpost', 'default', 2, 2, 5, 10, 1447991887, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(3, 1, 'Suggestion Box', 'suggestion-box', '', 0, 0, 'joomla.group', 0, 1, 1, 0, 1, 2, 0, NULL, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Have some feedback and input to share? \n Don\'t be shy and drop us a note. We want to hear from you and strive to make our site better and more user friendly for our guests and members a like.', 'This is the optional category header for the Suggestion Box.', '', 1, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, '{}'),
(4, 0, 'Curriculum Subjects', 'curriculum-subjects', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 3, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo', '', '', 0, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(5, 0, 'Educational Conferences', 'educational-conferences', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 2, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.', '', '', 0, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(6, 4, 'Undergraduate', 'undergraduate', 'fa fa-folder', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 1, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum.', '', '', 0, 'lastpost', 'default', 2, 3, 9, 16, 1447992968, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(7, 4, 'Economics and Business Studies', 'economics-and-business-studies', 'fa fa-folder', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 2, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 3, 7, 11, 32, 1448005013, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(8, 4, 'Design and Technology', 'design-and-technology', 'fa fa-folder', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 3, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Interdum urna cursus pretium Curabitur turpis nunc ligula eu dictumst. Sed ut est nulla sapien vivamus condimentum orci nulla vestibulum in.', '', '', 0, 'lastpost', 'default', 3, 5, 14, 34, 1448006089, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(9, 4, 'Philosophy', 'philosophy', 'fa fa-folder', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 4, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Ipsum elit venenatis ac gravida condimentum Phasellus vitae interdum vivamus ut.', '', '', 0, 'lastpost', 'default', 2, 3, 18, 35, 1448010358, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(10, 5, 'Schools History Project', 'schools-history-project', 'fa fa-folder', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 1, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis consequat nulla tempus maecenas lorem parturient ante pretium.', '', '', 0, 'lastpost', 'default', 4, 9, 7, 12, 1447991996, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(11, 5, 'Learning Technology Conference', 'learning-technology-conference', 'fa fa-folder', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 2, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 'Interdum urna cursus pretium curabitur turpis nunc ligula eu dictumst. Sed ut est nulla sapien vivamus condimentum orci nulla vestibulum in.', '', '', 0, 'lastpost', 'default', 1, 2, 4, 13, 1447992029, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(12, 9, 'Modern Languages', 'modern-languages', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 1, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(13, 6, 'Engineering & Technology', 'engineering-technology', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 1, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 1, 4, 10, 20, 1447993256, 0, '{"access_post":["6","2","8"],"access_reply":["6","2","8"],"display":{"index":{"parent":"3","children":"3"}}}'),
(15, 7, 'Non-Academic Discussions', 'non-academic-discussions', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 1, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 1, 2, 19, 37, 1448012813, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(16, 7, 'Flexible Learning', 'flexible-learning', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 2, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 1, 2, 20, 40, 1448078671, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(17, 7, 'Cross Curricular Teaching Resources', 'cross-curricular-teaching-resources', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 3, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 2, 3, 22, 42, 1448078759, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(18, 6, 'Social Sciences & Management', 'social-sciences-management', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 2, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(19, 6, 'Natural Sciences', 'natural-sciences', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 3, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, '{"display":{"index":{"parent":"3","children":"3"}}}'),
(20, 6, 'Life Sciences & Medicine', 'life-sciences-medicine', '', 0, 0, 'joomla.level', 1, 1, 1, 8, 1, 4, 1, 'THIS', 0, '0000-00-00 00:00:00', 0, 0, 0, 0, '', '', '', 0, 'lastpost', 'default', 0, 0, 0, 0, 0, 0, '{"display":{"index":{"parent":"3","children":"3"}}}');

DROP TABLE IF EXISTS `#__kunena_configuration`;
CREATE TABLE `#__kunena_configuration` (
  `id` int(11) NOT NULL DEFAULT 0,
  `params` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_configuration` (`id`, `params`) VALUES
(1, '{"board_title":"Kunena","email":"","board_offline":"0","offline_message":"<h2>The Forum is currently offline for maintenance.<\\/h2>\\r\\n<div>Check back soon!<\\/div>","enablerss":"1","threads_per_page":"5","messages_per_page":"5","messages_per_page_search":"5","showhistory":"1","historylimit":"6","shownew":"1","disemoticons":"0","template":"crypsisb3","showannouncement":"1","avataroncat":"1","catimagepath":"category_images","showchildcaticon":"1","rtewidth":"450","rteheight":"300","enableforumjump":"1","reportmsg":"1","username":"1","askemail":"0","showemail":"0","showuserstats":"1","showkarma":"1","useredit":"1","useredittime":"0","useredittimegrace":"600","editmarkup":"1","allowsubscriptions":"1","subscriptionschecked":"1","allowfavorites":"1","maxsubject":"50","maxsig":"300","regonly":"0","pubwrite":"0","floodprotection":"0","mailmod":"0","mailadmin":"0","captcha":"0","mailfull":"1","allowavatarupload":"1","allowavatargallery":"1","avatarquality":"75","avatarsize":"2048","imageheight":"800","imagewidth":"800","imagesize":"150","filetypes":"txt,rtf,pdf,zip,tar.gz,tgz,tar.bz2","filesize":"120","showranking":"1","rankimages":"1","userlist_rows":"30","userlist_online":"1","userlist_avatar":"1","userlist_posts":"1","userlist_karma":"1","userlist_email":"0","userlist_joindate":"1","userlist_lastvisitdate":"1","userlist_userhits":"1","latestcategory":"","showstats":"1","showwhoisonline":"1","showgenstats":"1","showpopuserstats":"1","popusercount":"5","showpopsubjectstats":"1","popsubjectcount":"5","showspoilertag":"1","showvideotag":"1","showebaytag":"1","trimlongurls":"1","trimlongurlsfront":"40","trimlongurlsback":"20","autoembedyoutube":"1","autoembedebay":"1","ebaylanguagecode":"en-us","sessiontimeout":"1800","highlightcode":"0","rss_type":"topic","rss_timelimit":"month","rss_limit":"100","rss_included_categories":"","rss_excluded_categories":"","rss_specification":"rss2.0","rss_allow_html":"1","rss_author_format":"name","rss_author_in_title":"1","rss_word_count":"0","rss_old_titles":"1","rss_cache":"900","defaultpage":"recent","default_sort":"asc","sef":"1","showimgforguest":"1","showfileforguest":"1","pollnboptions":"4","pollallowvoteone":"1","pollenabled":"1","poppollscount":"5","showpoppollstats":"1","polltimebtvotes":"00:15:00","pollnbvotesbyuser":"100","pollresultsuserslist":"1","maxpersotext":"50","ordering_system":"mesid","post_dateformat":"ago","post_dateformat_hover":"datetime","hide_ip":"1","imagetypes":"jpg,jpeg,gif,png","checkmimetypes":"1","imagemimetypes":"image\\/jpeg,image\\/jpg,image\\/gif,image\\/png","imagequality":"50","thumbheight":"32","thumbwidth":"32","hideuserprofileinfo":"put_empty","boxghostmessage":"0","userdeletetmessage":"0","latestcategory_in":"1","topicicons":"1","debug":"1","catsautosubscribed":0,"showbannedreason":"0","showthankyou":"1","showpopthankyoustats":"1","popthankscount":"5","mod_see_deleted":"0","bbcode_img_secure":"text","listcat_show_moderators":"1","lightbox":"1","show_list_time":"720","show_session_type":"2","show_session_starttime":"1800","userlist_allowed":1,"userlist_count_users":"1","enable_threaded_layouts":"0","category_subscriptions":"post","topic_subscriptions":"every","pubprofile":"1","thankyou_max":"10","email_recipient_count":"0","email_recipient_privacy":"bcc","email_visible_address":"","captcha_post_limit":"0","image_upload":"registered","file_upload":"registered","topic_layout":"flat","time_to_create_page":"1","show_imgfiles_manage_profile":"1","hold_newusers_posts":"0","hold_guest_posts":"0","attachment_limit":"8","pickup_category":"0","article_display":"intro","send_emails":"1","fallback_english":"1","cache":"1","cache_time":"60","ebay_affiliate_id":"5337089937","iptracking":"1","stopforumspam_key":"","rss_feedburner_url":"","autolink":"1","access_component":"1","statslink_allowed":"1","superadmin_userlist":"0","legacy_urls":"1","attachment_protection":"0","categoryicons":1,"avatarresizemethod":"1","avatarcrop":"0","user_report":"1","searchtime":"365","teaser":"0","ebay_language":"0","ebay_api_key":"","twitter_consumer_key":"","twitter_consumer_secret":"","allow_change_subject":"1","max_links":"6","read_only":0,"ratingenabled":0,"url_subject_topic":0,"log_moderation":0,"attach_start":0,"attach_end":14,"google_map_api_key":"","attachment_utf8":1,"autoembedsoundcloud":1,"emailheader":"\\/media\\/kunena\\/email\\/hero-wide.png","user_status":1,"plain_email":0,"moderator_permdelete":0,"recaptcha_publickey":"","recaptcha_privatekey":"","recaptcha_theme":"white","keywords":0,"userkeywords":0,"plugins":[]}');

DROP TABLE IF EXISTS `#__kunena_logs`;
CREATE TABLE `#__kunena_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` tinyint(4) NOT NULL DEFAULT 0,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `category_id` int(11) NOT NULL DEFAULT 0,
  `topic_id` int(11) NOT NULL DEFAULT 0,
  `target_user` int(11) NOT NULL DEFAULT 0,
  `ip` varchar(40) NOT NULL DEFAULT '',
  `time` int(11) NOT NULL DEFAULT 0,
  `operation` varchar(40) NOT NULL,
  `data` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `category_id` (`category_id`),
  KEY `topic_id` (`topic_id`),
  KEY `target_user` (`target_user`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__kunena_messages`;
CREATE TABLE `#__kunena_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) DEFAULT 0,
  `thread` int(11) DEFAULT 0,
  `catid` int(11) NOT NULL DEFAULT 0,
  `name` tinytext DEFAULT NULL,
  `userid` int(11) NOT NULL DEFAULT 0,
  `email` tinytext DEFAULT NULL,
  `subject` tinytext DEFAULT NULL,
  `time` int(11) NOT NULL DEFAULT 0,
  `ip` varchar(128) DEFAULT NULL,
  `topic_emoticon` int(11) NOT NULL DEFAULT 0,
  `locked` tinyint(4) NOT NULL DEFAULT 0,
  `hold` tinyint(4) NOT NULL DEFAULT 0,
  `ordering` int(11) DEFAULT 0,
  `hits` int(11) DEFAULT 0,
  `moved` tinyint(4) DEFAULT 0,
  `modified_by` int(7) DEFAULT NULL,
  `modified_time` int(11) DEFAULT NULL,
  `modified_reason` tinytext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `thread` (`thread`),
  KEY `ip` (`ip`),
  KEY `userid` (`userid`),
  KEY `time` (`time`),
  KEY `locked` (`locked`),
  KEY `hold_time` (`hold`,`time`),
  KEY `parent_hits` (`parent`,`hits`),
  KEY `catid_parent` (`catid`,`parent`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_messages` (`id`, `parent`, `thread`, `catid`, `name`, `userid`, `email`, `subject`, `time`, `ip`, `topic_emoticon`, `locked`, `hold`, `ordering`, `hits`, `moved`, `modified_by`, `modified_time`, `modified_reason`) VALUES
(1, 0, 1, 2, 'Kunena', 42, NULL, 'Welcome to Kunena!', 1447902764, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, NULL),
(2, 0, 2, 10, 'garrison', 44, '', 'Historical Association Curriculum Project', 1447990389, '127.0.0.1', 0, 0, 0, 0, 0, 0, 44, 1447990471, ''),
(3, 2, 2, 10, 'admin', 42, '', 'Historical Association Curriculum Project', 1447990529, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(4, 3, 2, 10, 'garrison', 44, '', 'Historical Association Curriculum Project', 1447990559, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(5, 4, 2, 10, 'admin', 42, '', 'Historical Association Curriculum Project', 1447990584, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(6, 0, 3, 10, 'admin', 42, '', 'Effective & Motivating History', 1447990743, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(7, 6, 3, 10, 'garrison', 44, '', 'Effective & Motivating History', 1447990816, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(8, 7, 3, 10, 'admin', 42, '', 'Effective & Motivating History', 1447990992, '::1', 0, 0, 0, 0, 0, 0, 42, 1447991028, ''),
(9, 0, 4, 11, 'garrison', 44, '', 'Community Intelligence', 1447991214, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(10, 0, 5, 2, 'admin', 42, '', 'Using Film to Explore Historical Interpretations', 1447991887, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(11, 0, 6, 10, 'garrison', 44, '', 'Lively Lifelines', 1447991955, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(12, 0, 7, 10, 'garrison', 44, '', 'Effective Revision', 1447991996, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(13, 9, 4, 11, 'admin', 42, '', 'Community Intelligence', 1447992029, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(14, 0, 8, 6, 'cormier', 43, '', 'Music:Help', 1447992446, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(15, 14, 8, 6, 'garrison', 44, '', 'Music:Help', 1447992471, '127.0.0.1', 0, 0, 0, 0, 0, 0, 44, 1447992507, ''),
(16, 0, 9, 6, 'admin', 42, '', 'Music:Resources', 1447992968, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(17, 0, 10, 13, 'garrison', 44, '', 'Music:Curriculum Issues', 1447993110, '127.0.0.1', 0, 0, 0, 0, 0, 0, 42, 1447993188, ''),
(18, 17, 10, 13, 'admin', 42, '', 'Music:Curriculum Issues', 1447993198, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(19, 18, 10, 13, 'cormier', 43, '', 'Music:Curriculum Issues', 1447993225, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(20, 19, 10, 13, 'garrison', 44, '', 'Music:Curriculum Issues', 1447993256, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(21, 0, 11, 7, 'admin', 42, '', 'Economics: Resources', 1447993494, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(22, 0, 12, 7, 'garrison', 44, '', 'Economics: Help', 1447993528, '127.0.0.1', 0, 0, 0, 0, 0, 0, 44, 1447993551, ''),
(23, 0, 13, 7, 'cormier', 43, '', 'Economics: Curriculum Issues', 1447993637, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(24, 0, 14, 8, 'admin', 42, '', 'Designing with Lego', 1447993890, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(25, 0, 15, 8, 'garrison', 44, '', 'CAD', 1447993937, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(26, 0, 16, 8, 'cormier', 43, '', 'Coursework Moderation', 1447994137, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(27, 0, 17, 9, 'admin', 42, '', 'The Sixties', 1447994301, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(28, 0, 18, 9, 'garrison', 44, '', 'Philisophical Thought', 1447994387, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(29, 23, 13, 7, 'garrison', 44, '', 'Economics: Curriculum Issues', 1448004184, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(30, 29, 13, 7, 'cormier', 43, '', 'Economics: Curriculum Issues', 1448004593, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(31, 22, 12, 7, 'cormier', 43, '', 'Economics: Help', 1448004709, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(32, 21, 11, 7, 'garrison', 44, '', 'Economics: Resources', 1448005013, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(33, 25, 15, 8, 'cormier', 43, '', 'CAD', 1448006042, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(34, 24, 14, 8, 'cormier', 43, '', 'Designing with Lego', 1448006089, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(35, 28, 18, 9, 'admin', 42, '', 'Philisophical Thought', 1448010358, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(36, 0, 19, 15, 'admin', 42, '', 'Japanese Tsunami Viewed From A Car', 1448010433, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(37, 36, 19, 15, 'admin', 42, '', 'Japanese Tsunami Viewed From A Car', 1448012813, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(38, 0, 20, 16, 'admin', 42, '', 'The inevitable triumph', 1448078480, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(39, 0, 21, 17, 'admin', 42, '', 'Being disciplined', 1448078583, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(40, 38, 20, 16, 'garrison', 44, '', 'The inevitable triumph', 1448078671, '127.0.0.1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(41, 39, 21, 17, 'cormier', 43, '', 'Being disciplined', 1448078726, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, ''),
(42, 0, 22, 17, 'cormier', 43, '', 'Vivamus magna', 1448078759, '::1', 0, 0, 0, 0, 0, 0, NULL, NULL, '');

DROP TABLE IF EXISTS `#__kunena_messages_text`;
CREATE TABLE `#__kunena_messages_text` (
  `mesid` int(11) NOT NULL DEFAULT 0,
  `message` mediumtext NOT NULL,
  PRIMARY KEY (`mesid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_messages_text` (`mesid`, `message`) VALUES
(1, '[size=4][b]Welcome to Kunena![/b][/size] \n\n Thank you for choosing Kunena for your community forum needs in Joomla. \n\n Kunena, translated from Swahili meaning “to speak”, is built by a team of open source professionals with the goal of providing a top quality, tightly unified forum solution for Joomla. \n\n\n [size=4][b]Additional Kunena Resources[/b][/size] \n\n [b]Kunena Documentation:[/b] [url]http://www.kunena.org/docs[/url] \n\n [b]Kunena Support Forum[/b]: [url]http://www.kunena.org/forum[/url] \n\n [b]Kunena Downloads:[/b] [url]http://www.kunena.org/download[/url] \n\n [b]Kunena Blog:[/b] [url]http://www.kunena.org/blog[/url] \n\n [b]Follow Kunena on Twitter:[/b] [url]http://www.kunena.org/twitter[/url]'),
(2, 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.\r\n\r\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.\r\n \r\nAliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.'),
(3, 'Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.'),
(4, 'Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.'),
(5, 'At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan'),
(6, 'Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.'),
(7, 'At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam.'),
(8, '[u]Aenean laoreet vitae morbi vestibulum.[/u]\r\n[i] vestibulum sociis tellus interdum cra.[/i]'),
(9, 'Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum,'),
(10, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.'),
(11, 'Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget.'),
(12, 'Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.'),
(13, 'Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.'),
(14, 'Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat'),
(15, '[sub]Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat [/sub]\r\n\r\n[sup]Accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa[/sup]'),
(16, 'Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.'),
(17, 'Ded ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione'),
(18, '[quote="garrison" post=17]Ded ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione[/quote]\r\n\r\nMagna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.'),
(19, 'Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non'),
(20, 'Ignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.'),
(21, 'Eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.'),
(22, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Aenean ultricies mi vitae est.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed'),
(23, '[color=#0000ff]Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed [/color]'),
(24, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.'),
(25, '[color=#ff8844]Temporibus autem quibusdam et aut [/color] officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.'),
(26, '[size=5]Harum quidem rerum facilis[/size]  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend'),
(27, 'Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.'),
(28, 'Justo elit dolor congue ligula nibh habitasse dui nullam felis Maecenas. Tincidunt dapibus sed mauris nibh nulla ullamcorper pellentesque morbi pede at. wisi dui pharetra tellus augue aenean at sit porta at fringilla. At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan.'),
(29, 'Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend'),
(30, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.'),
(31, '[quote="garrison" post=22]Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Aenean ultricies mi vitae est.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed[/quote]\r\n\r\nDonec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.'),
(32, '[quote="admin" post=21]Eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.[/quote]\r\n\r\nOmnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet'),
(33, 'Ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend le'),
(34, ':evil:  :S  :side:  :woohoo:  :kiss:  :oops:  :blush: \r\nConsectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est'),
(35, '[quote="garrison" post=28]Justo elit dolor congue ligula nibh habitasse dui nullam felis Maecenas. Tincidunt dapibus sed mauris nibh nulla ullamcorper pellentesque morbi pede at. wisi dui pharetra tellus augue aenean at sit porta at fringilla. At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan.[/quote]\r\n\r\nOmnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.'),
(36, ':unsure:  :angry:  :unsure:  :angry:  \r\nBoluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.'),
(37, 'Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.'),
(38, 'Acusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.'),
(39, '. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.'),
(40, 'Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\r\n :silly:  :sick:  :silly:  :sick:'),
(41, 'Omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores'),
(42, ':cheer:  :)  ;)  :P \r\n\r\nIste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione');

DROP TABLE IF EXISTS `#__kunena_polls`;
CREATE TABLE `#__kunena_polls` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(150) DEFAULT NULL,
  `threadid` int(11) NOT NULL,
  `polltimetolive` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `threadid` (`threadid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__kunena_polls_options`;
CREATE TABLE `#__kunena_polls_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pollid` int(11) DEFAULT NULL,
  `text` varchar(100) DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pollid` (`pollid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__kunena_polls_users`;
CREATE TABLE `#__kunena_polls_users` (
  `pollid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  `lasttime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvote` int(11) DEFAULT NULL,
  UNIQUE KEY `pollid` (`pollid`,`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__kunena_ranks`;
CREATE TABLE `#__kunena_ranks` (
  `rank_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `rank_title` varchar(255) NOT NULL DEFAULT '',
  `rank_min` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `rank_special` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `rank_image` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`rank_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_special`, `rank_image`) VALUES
(1, 'New Member', 0, 0, 'rank1.gif'),
(2, 'Junior Member', 20, 0, 'rank2.gif'),
(3, 'Senior Member', 40, 0, 'rank3.gif'),
(4, 'Premium Member', 80, 0, 'rank4.gif'),
(5, 'Elite Member', 160, 0, 'rank5.gif'),
(6, 'Platinum Member', 320, 0, 'rank6.gif'),
(7, 'Administrator', 0, 1, 'rankadmin.gif'),
(8, 'Moderator', 0, 1, 'rankmod.gif'),
(9, 'Spammer', 0, 1, 'rankspammer.gif'),
(10, 'Banned', 0, 1, 'rankbanned.gif');

DROP TABLE IF EXISTS `#__kunena_rate`;
CREATE TABLE `#__kunena_rate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `topic_id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `rate` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__kunena_sessions`;
CREATE TABLE `#__kunena_sessions` (
  `userid` int(11) NOT NULL DEFAULT 0,
  `allowed` text DEFAULT NULL,
  `lasttime` int(11) NOT NULL DEFAULT 0,
  `readtopics` text DEFAULT NULL,
  `currvisit` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`userid`),
  KEY `currvisit` (`currvisit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_sessions` (`userid`, `allowed`, `lasttime`, `readtopics`, `currvisit`) VALUES
(42, 'na', 1449479648, '0', 1449548727),
(43, 'na', 1448078760, '0', 1448615412),
(44, 'na', 1448078673, '0', 1448615480),
(46, 'na', 1448615262, '0', 1449545313);

DROP TABLE IF EXISTS `#__kunena_smileys`;
CREATE TABLE `#__kunena_smileys` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `code` varchar(12) NOT NULL DEFAULT '',
  `location` varchar(50) NOT NULL DEFAULT '',
  `greylocation` varchar(60) NOT NULL DEFAULT '',
  `emoticonbar` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_smileys` (`id`, `code`, `location`, `greylocation`, `emoticonbar`) VALUES
(1, 'B)', 'cool.png', 'cool-grey.png', 1),
(2, '8)', 'cool.png', 'cool-grey.png', 0),
(3, '8-)', 'cool.png', 'cool-grey.png', 0),
(4, ':-(', 'sad.png', 'sad-grey.png', 0),
(5, ':(', 'sad.png', 'sad-grey.png', 1),
(6, ':sad:', 'sad.png', 'sad-grey.png', 0),
(7, ':cry:', 'sad.png', 'sad-grey.png', 0),
(8, ':)', 'smile.png', 'smile-grey.png', 1),
(9, ':-)', 'smile.png', 'smile-grey.png', 0),
(10, ':cheer:', 'cheerful.png', 'cheerful-grey.png', 1),
(11, ';)', 'wink.png', 'wink-grey.png', 1),
(12, ';-)', 'wink.png', 'wink-grey.png', 0),
(13, ':wink:', 'wink.png', 'wink-grey.png', 0),
(14, ';-)', 'wink.png', 'wink-grey.png', 0),
(15, ':P', 'tongue.png', 'tongue-grey.png', 1),
(16, ':p', 'tongue.png', 'tongue-grey.png', 0),
(17, ':-p', 'tongue.png', 'tongue-grey.png', 0),
(18, ':-P', 'tongue.png', 'tongue-grey.png', 0),
(19, ':razz:', 'tongue.png', 'tongue-grey.png', 0),
(20, ':angry:', 'angry.png', 'angry-grey.png', 1),
(21, ':mad:', 'angry.png', 'angry-grey.png', 0),
(22, ':unsure:', 'unsure.png', 'unsure-grey.png', 1),
(23, ':o', 'shocked.png', 'shocked-grey.png', 0),
(24, ':-o', 'shocked.png', 'shocked-grey.png', 0),
(25, ':O', 'shocked.png', 'shocked-grey.png', 0),
(26, ':-O', 'shocked.png', 'shocked-grey.png', 0),
(27, ':eek:', 'shocked.png', 'shocked-grey.png', 0),
(28, ':ohmy:', 'shocked.png', 'shocked-grey.png', 1),
(29, ':huh:', 'wassat.png', 'wassat-grey.png', 1),
(30, ':?', 'confused.png', 'confused-grey.png', 0),
(31, ':-?', 'confused.png', 'confused-grey.png', 0),
(32, ':???', 'confused.png', 'confused-grey.png', 0),
(33, ':dry:', 'ermm.png', 'ermm-grey.png', 1),
(34, ':ermm:', 'ermm.png', 'ermm-grey.png', 0),
(35, ':lol:', 'grin.png', 'grin-grey.png', 1),
(36, ':X', 'sick.png', 'sick-grey.png', 0),
(37, ':x', 'sick.png', 'sick-grey.png', 0),
(38, ':sick:', 'sick.png', 'sick-grey.png', 1),
(39, ':silly:', 'silly.png', 'silly-grey.png', 1),
(40, ':y32b4:', 'silly.png', 'silly-grey.png', 0),
(41, ':blink:', 'blink.png', 'blink-grey.png', 1),
(42, ':blush:', 'blush.png', 'blush-grey.png', 1),
(43, ':oops:', 'blush.png', 'blush-grey.png', 1),
(44, ':kiss:', 'kissing.png', 'kissing-grey.png', 1),
(45, ':rolleyes:', 'blink.png', 'blink-grey.png', 0),
(46, ':roll:', 'blink.png', 'blink-grey.png', 0),
(47, ':woohoo:', 'w00t.png', 'w00t-grey.png', 1),
(48, ':side:', 'sideways.png', 'sideways-grey.png', 1),
(49, ':S', 'dizzy.png', 'dizzy-grey.png', 1),
(50, ':s', 'dizzy.png', 'dizzy-grey.png', 0),
(51, ':evil:', 'devil.png', 'devil-grey.png', 1),
(52, ':twisted:', 'devil.png', 'devil-grey.png', 0),
(53, ':whistle:', 'whistling.png', 'whistling-grey.png', 1),
(54, ':pinch:', 'pinch.png', 'pinch-grey.png', 1),
(55, ':D', 'laughing.png', 'laughing-grey.png', 0),
(56, ':-D', 'laughing.png', 'laughing-grey.png', 0),
(57, ':grin:', 'laughing.png', 'laughing-grey.png', 0),
(58, ':laugh:', 'laughing.png', 'laughing-grey.png', 0),
(59, ':|', 'neutral.png', 'neutral-grey.png', 0),
(60, ':-|', 'neutral.png', 'neutral-grey.png', 0),
(61, ':neutral:', 'neutral.png', 'neutral-grey.png', 0),
(62, ':mrgreen:', 'mrgreen.png', 'mrgreen-grey.png', 0),
(63, ':?:', 'question.png', 'question-grey.png', 0),
(64, ':!:', 'exclamation.png', 'exclamation-grey.png', 0),
(65, ':arrow:', 'arrow.png', 'arrow-grey.png', 0),
(66, ':idea:', 'idea.png', 'idea-grey.png', 0);

DROP TABLE IF EXISTS `#__kunena_thankyou`;
CREATE TABLE `#__kunena_thankyou` (
  `postid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `targetuserid` int(11) NOT NULL,
  `time` datetime NOT NULL,
  UNIQUE KEY `postid` (`postid`,`userid`),
  KEY `userid` (`userid`),
  KEY `targetuserid` (`targetuserid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_thankyou` (`postid`, `userid`, `targetuserid`, `time`) VALUES
(12, 43, 44, '2015-11-20 04:06:41');

DROP TABLE IF EXISTS `#__kunena_topics`;
CREATE TABLE `#__kunena_topics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL DEFAULT 0,
  `subject` tinytext DEFAULT NULL,
  `icon_id` int(11) NOT NULL DEFAULT 0,
  `label_id` int(11) NOT NULL DEFAULT 0,
  `locked` tinyint(4) NOT NULL DEFAULT 0,
  `hold` tinyint(4) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `posts` int(11) NOT NULL DEFAULT 0,
  `hits` int(11) NOT NULL DEFAULT 0,
  `attachments` int(11) NOT NULL DEFAULT 0,
  `poll_id` int(11) NOT NULL DEFAULT 0,
  `moved_id` int(11) NOT NULL DEFAULT 0,
  `first_post_id` int(11) NOT NULL DEFAULT 0,
  `first_post_time` int(11) NOT NULL DEFAULT 0,
  `first_post_userid` int(11) NOT NULL DEFAULT 0,
  `first_post_message` text DEFAULT NULL,
  `first_post_guest_name` tinytext DEFAULT NULL,
  `last_post_id` int(11) NOT NULL DEFAULT 0,
  `last_post_time` int(11) NOT NULL DEFAULT 0,
  `last_post_userid` int(11) NOT NULL DEFAULT 0,
  `last_post_message` text DEFAULT NULL,
  `last_post_guest_name` tinytext DEFAULT NULL,
  `rating` tinyint(6) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `locked` (`locked`),
  KEY `hold` (`hold`),
  KEY `posts` (`posts`),
  KEY `hits` (`hits`),
  KEY `first_post_userid` (`first_post_userid`),
  KEY `last_post_userid` (`last_post_userid`),
  KEY `first_post_time` (`first_post_time`),
  KEY `last_post_time` (`last_post_time`),
  KEY `last_post_id` (`last_post_id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_topics` (`id`, `category_id`, `subject`, `icon_id`, `label_id`, `locked`, `hold`, `ordering`, `posts`, `hits`, `attachments`, `poll_id`, `moved_id`, `first_post_id`, `first_post_time`, `first_post_userid`, `first_post_message`, `first_post_guest_name`, `last_post_id`, `last_post_time`, `last_post_userid`, `last_post_message`, `last_post_guest_name`, `rating`, `params`) VALUES
(1, 2, 'Welcome to Kunena!', 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 1447902764, 42, '[size=4][b]Welcome to Kunena![/b][/size] \n\n Thank you for choosing Kunena for your community forum needs in Joomla. \n\n Kunena, translated from Swahili meaning “to speak”, is built by a team of open source professionals with the goal of providing a top quality, tightly unified forum solution for Joomla. \n\n\n [size=4][b]Additional Kunena Resources[/b][/size] \n\n [b]Kunena Documentation:[/b] [url]http://www.kunena.org/docs[/url] \n\n [b]Kunena Support Forum[/b]: [url]http://www.kunena.org/forum[/url] \n\n [b]Kunena Downloads:[/b] [url]http://www.kunena.org/download[/url] \n\n [b]Kunena Blog:[/b] [url]http://www.kunena.org/blog[/url] \n\n [b]Follow Kunena on Twitter:[/b] [url]http://www.kunena.org/twitter[/url]', 'Kunena', 1, 1447902764, 42, '[size=4][b]Welcome to Kunena![/b][/size] \n\n Thank you for choosing Kunena for your community forum needs in Joomla. \n\n Kunena, translated from Swahili meaning “to speak”, is built by a team of open source professionals with the goal of providing a top quality, tightly unified forum solution for Joomla. \n\n\n [size=4][b]Additional Kunena Resources[/b][/size] \n\n [b]Kunena Documentation:[/b] [url]http://www.kunena.org/docs[/url] \n\n [b]Kunena Support Forum[/b]: [url]http://www.kunena.org/forum[/url] \n\n [b]Kunena Downloads:[/b] [url]http://www.kunena.org/download[/url] \n\n [b]Kunena Blog:[/b] [url]http://www.kunena.org/blog[/url] \n\n [b]Follow Kunena on Twitter:[/b] [url]http://www.kunena.org/twitter[/url]', 'Kunena', 0, ''),
(2, 10, 'Historical Association Curriculum Project', 2, 0, 0, 0, 0, 4, 2, 0, 0, 0, 2, 1447990389, 44, 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.\r\n\r\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.\r\n \r\nAliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.', 'garrison', 5, 1447990584, 42, 'At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan', 'admin', 0, ''),
(3, 10, 'Effective & Motivating History', 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 6, 1447990743, 42, 'Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.', 'admin', 8, 1447990992, 42, '[u]Aenean laoreet vitae morbi vestibulum.[/u]\r\n[i] vestibulum sociis tellus interdum cra.[/i]', 'admin', 0, ''),
(4, 11, 'Community Intelligence', 3, 0, 0, 0, 0, 2, 2, 0, 0, 0, 9, 1447991214, 44, 'Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum,', 'garrison', 13, 1447992029, 42, 'Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.', 'admin', 0, ''),
(5, 2, 'Using Film to Explore Historical Interpretations', 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 10, 1447991887, 42, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.', 'admin', 10, 1447991887, 42, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.', 'admin', 0, ''),
(6, 10, 'Lively Lifelines', 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 11, 1447991955, 44, 'Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget.', 'garrison', 11, 1447991955, 44, 'Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget.', 'garrison', 0, ''),
(7, 10, 'Effective Revision', 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 12, 1447991996, 44, 'Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.', 'garrison', 12, 1447991996, 44, 'Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.', 'garrison', 0, ''),
(8, 6, 'Music:Help', 4, 0, 0, 0, 0, 2, 3, 0, 0, 0, 14, 1447992446, 43, 'Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat', 'cormier', 15, 1447992471, 44, '[sub]Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat [/sub]\r\n\r\n[sup]Accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa[/sup]', 'garrison', 0, ''),
(9, 6, 'Music:Resources', 8, 0, 0, 0, 0, 1, 1, 0, 0, 0, 16, 1447992968, 42, 'Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.', 'admin', 16, 1447992968, 42, 'Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.', 'admin', 0, ''),
(10, 13, 'Music:Curriculum Issues', 0, 0, 0, 0, 0, 4, 3, 0, 0, 0, 17, 1447993110, 44, 'Ded ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione', 'garrison', 20, 1447993256, 44, 'Ignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.', 'garrison', 0, ''),
(11, 7, 'Economics: Resources', 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 21, 1447993494, 42, 'Eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.', 'admin', 32, 1448005013, 44, '[quote="admin" post=21]Eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.[/quote]\r\n\r\nOmnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet', 'garrison', 0, ''),
(12, 7, 'Economics: Help', 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 22, 1447993528, 44, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Aenean ultricies mi vitae est.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed', 'garrison', 31, 1448004709, 43, '[quote="garrison" post=22]Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Aenean ultricies mi vitae est.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed[/quote]\r\n\r\nDonec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.', 'cormier', 0, ''),
(13, 7, 'Economics: Curriculum Issues', 1, 0, 0, 0, 0, 3, 3, 0, 0, 0, 23, 1447993637, 43, '[color=#0000ff]Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed [/color]', 'cormier', 30, 1448004593, 43, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.', 'cormier', 0, ''),
(14, 8, 'Designing with Lego', 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 24, 1447993890, 42, 'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.', 'admin', 34, 1448006089, 43, ':evil:  :S  :side:  :woohoo:  :kiss:  :oops:  :blush: \r\nConsectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est', 'cormier', 0, ''),
(15, 8, 'CAD', 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 25, 1447993937, 44, '[color=#ff8844]Temporibus autem quibusdam et aut [/color] officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.', 'garrison', 33, 1448006042, 43, 'Ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend le', 'cormier', 0, ''),
(16, 8, 'Coursework Moderation', 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 26, 1447994137, 43, '[size=5]Harum quidem rerum facilis[/size]  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend', 'cormier', 26, 1447994137, 43, '[size=5]Harum quidem rerum facilis[/size]  Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend', 'cormier', 0, ''),
(17, 9, 'The Sixties', 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 27, 1447994301, 42, 'Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.', 'admin', 27, 1447994301, 42, 'Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.', 'admin', 0, ''),
(18, 9, 'Philisophical Thought', 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 28, 1447994387, 44, 'Justo elit dolor congue ligula nibh habitasse dui nullam felis Maecenas. Tincidunt dapibus sed mauris nibh nulla ullamcorper pellentesque morbi pede at. wisi dui pharetra tellus augue aenean at sit porta at fringilla. At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan.', 'garrison', 35, 1448010358, 42, '[quote="garrison" post=28]Justo elit dolor congue ligula nibh habitasse dui nullam felis Maecenas. Tincidunt dapibus sed mauris nibh nulla ullamcorper pellentesque morbi pede at. wisi dui pharetra tellus augue aenean at sit porta at fringilla. At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan.[/quote]\r\n\r\nOmnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.', 'admin', 0, ''),
(19, 15, 'Japanese Tsunami Viewed From A Car', 0, 0, 0, 0, 0, 2, 4, 1, 0, 0, 36, 1448010433, 42, ':unsure:  :angry:  :unsure:  :angry:  \r\nBoluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.', 'admin', 37, 1448012813, 42, 'Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.', 'admin', 0, ''),
(20, 16, 'The inevitable triumph', 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 38, 1448078480, 42, 'Acusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.', 'admin', 40, 1448078671, 44, 'Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?\r\n :silly:  :sick:  :silly:  :sick:', 'garrison', 0, ''),
(21, 17, 'Being disciplined', 0, 0, 0, 0, 0, 2, 3, 1, 0, 0, 39, 1448078583, 42, '. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.', 'admin', 41, 1448078726, 43, 'Omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores', 'cormier', 0, ''),
(22, 17, 'Vivamus magna', 1, 0, 0, 0, 0, 1, 6, 0, 0, 0, 42, 1448078759, 43, ':cheer:  :)  ;)  :P \r\n\r\nIste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione', 'cormier', 42, 1448078759, 43, ':cheer:  :)  ;)  :P \r\n\r\nIste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione', 'cormier', 0, '');

DROP TABLE IF EXISTS `#__kunena_user_categories`;
CREATE TABLE `#__kunena_user_categories` (
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `role` tinyint(4) NOT NULL DEFAULT 0,
  `allreadtime` int(11) NOT NULL DEFAULT 0,
  `subscribed` tinyint(4) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  PRIMARY KEY (`user_id`,`category_id`),
  KEY `category_subscribed` (`category_id`,`subscribed`),
  KEY `role` (`role`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_user_categories` (`user_id`, `category_id`, `role`, `allreadtime`, `subscribed`, `params`) VALUES
(42, 0, 0, 1446779837, 0, ''),
(43, 0, 0, 1446782790, 0, ''),
(44, 0, 0, 1446780137, 0, ''),
(46, 0, 0, 1447318041, 0, '');

DROP TABLE IF EXISTS `#__kunena_user_read`;
CREATE TABLE `#__kunena_user_read` (
  `user_id` int(11) NOT NULL,
  `topic_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `message_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  UNIQUE KEY `user_topic_id` (`user_id`,`topic_id`),
  KEY `category_user_id` (`category_id`,`user_id`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_user_read` (`user_id`, `topic_id`, `category_id`, `message_id`, `time`) VALUES
(42, 2, 10, 5, 1447990612),
(42, 3, 10, 8, 1449457973),
(42, 4, 11, 13, 1447992031),
(42, 5, 2, 10, 1449548727),
(42, 7, 10, 12, 1448504848),
(42, 9, 6, 16, 1447992969),
(42, 10, 13, 18, 1447993200),
(42, 11, 7, 21, 1447993496),
(42, 14, 8, 24, 1447993891),
(42, 17, 9, 27, 1447994302),
(42, 18, 9, 35, 1448010360),
(42, 19, 15, 37, 1448012814),
(42, 20, 16, 38, 1448078481),
(42, 21, 17, 39, 1448078584),
(43, 7, 10, 12, 1447992401),
(43, 8, 6, 14, 1447992447),
(43, 10, 13, 19, 1447993228),
(43, 12, 7, 31, 1448004711),
(43, 13, 7, 30, 1448004595),
(43, 14, 8, 34, 1448006091),
(43, 15, 8, 33, 1448006043),
(43, 16, 8, 26, 1447994138),
(43, 17, 9, 27, 1448006550),
(43, 21, 17, 41, 1448078728),
(43, 22, 17, 42, 1448078760),
(44, 2, 10, 4, 1447990561),
(44, 3, 10, 8, 1447991066),
(44, 4, 11, 9, 1447991215),
(44, 6, 10, 11, 1447991956),
(44, 7, 10, 12, 1447991997),
(44, 8, 6, 15, 1447992509),
(44, 10, 13, 20, 1447993259),
(44, 11, 7, 32, 1448005015),
(44, 12, 7, 22, 1447993551),
(44, 13, 7, 29, 1448004185),
(44, 15, 8, 25, 1447993938),
(44, 18, 9, 28, 1448004113),
(44, 20, 16, 40, 1448078673);

DROP TABLE IF EXISTS `#__kunena_user_topics`;
CREATE TABLE `#__kunena_user_topics` (
  `user_id` int(11) NOT NULL DEFAULT 0,
  `topic_id` int(11) NOT NULL DEFAULT 0,
  `category_id` int(11) NOT NULL,
  `posts` mediumint(8) NOT NULL DEFAULT 0,
  `last_post_id` int(11) NOT NULL DEFAULT 0,
  `owner` tinyint(4) NOT NULL DEFAULT 0,
  `favorite` tinyint(4) NOT NULL DEFAULT 0,
  `subscribed` tinyint(4) NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  UNIQUE KEY `user_topic_id` (`user_id`,`topic_id`),
  KEY `topic_id` (`topic_id`),
  KEY `posts` (`posts`),
  KEY `owner` (`owner`),
  KEY `favorite` (`favorite`),
  KEY `subscribed` (`subscribed`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_user_topics` (`user_id`, `topic_id`, `category_id`, `posts`, `last_post_id`, `owner`, `favorite`, `subscribed`, `params`) VALUES
(42, 1, 2, 1, 1, 1, 0, 0, ''),
(42, 2, 10, 2, 5, 0, 0, 1, ''),
(42, 3, 10, 2, 8, 1, 1, 1, ''),
(42, 4, 11, 1, 13, 0, 0, 1, ''),
(42, 5, 2, 1, 10, 1, 0, 1, ''),
(42, 9, 6, 1, 16, 1, 0, 1, ''),
(42, 10, 13, 1, 18, 0, 0, 1, ''),
(42, 11, 7, 1, 21, 1, 0, 1, ''),
(42, 14, 8, 1, 24, 1, 0, 1, ''),
(42, 17, 9, 1, 27, 1, 0, 1, ''),
(42, 18, 9, 1, 35, 0, 0, 1, ''),
(42, 19, 15, 2, 37, 1, 0, 1, ''),
(42, 20, 16, 1, 38, 1, 0, 1, ''),
(42, 21, 17, 1, 39, 1, 0, 1, ''),
(43, 8, 6, 1, 14, 1, 0, 1, ''),
(43, 10, 13, 1, 19, 0, 0, 1, ''),
(43, 12, 7, 1, 31, 0, 0, 1, ''),
(43, 13, 7, 2, 30, 1, 0, 1, ''),
(43, 14, 8, 1, 34, 0, 0, 1, ''),
(43, 15, 8, 1, 33, 0, 0, 1, ''),
(43, 16, 8, 1, 26, 1, 0, 1, ''),
(43, 21, 17, 1, 41, 0, 0, 1, ''),
(43, 22, 17, 1, 42, 1, 0, 1, ''),
(44, 2, 10, 2, 4, 1, 0, 1, ''),
(44, 3, 10, 1, 7, 0, 0, 1, ''),
(44, 4, 11, 1, 9, 1, 0, 1, ''),
(44, 6, 10, 1, 11, 1, 0, 1, ''),
(44, 7, 10, 1, 12, 1, 0, 1, ''),
(44, 8, 6, 1, 15, 0, 0, 1, ''),
(44, 10, 13, 2, 20, 1, 0, 1, ''),
(44, 11, 7, 1, 32, 0, 0, 1, ''),
(44, 12, 7, 1, 22, 1, 0, 1, ''),
(44, 13, 7, 1, 29, 0, 0, 1, ''),
(44, 15, 8, 1, 25, 1, 0, 1, ''),
(44, 18, 9, 1, 28, 1, 0, 1, ''),
(44, 20, 16, 1, 40, 0, 0, 1, '');

DROP TABLE IF EXISTS `#__kunena_users`;
CREATE TABLE `#__kunena_users` (
  `userid` int(11) NOT NULL DEFAULT 0,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `status_text` varchar(255) NOT NULL,
  `view` varchar(8) NOT NULL DEFAULT '',
  `signature` text DEFAULT NULL,
  `moderator` int(11) DEFAULT 0,
  `banned` datetime DEFAULT NULL,
  `ordering` int(11) DEFAULT 0,
  `posts` int(11) DEFAULT 0,
  `avatar` varchar(255) DEFAULT NULL,
  `karma` int(11) DEFAULT 0,
  `karma_time` int(11) DEFAULT 0,
  `group_id` int(4) DEFAULT 1,
  `uhits` int(11) DEFAULT 0,
  `personalText` tinytext DEFAULT NULL,
  `gender` tinyint(4) NOT NULL DEFAULT 0,
  `birthdate` date NOT NULL DEFAULT '0001-01-01',
  `location` varchar(50) DEFAULT NULL,
  `icq` varchar(50) DEFAULT NULL,
  `aim` varchar(50) DEFAULT NULL,
  `yim` varchar(50) DEFAULT NULL,
  `microsoft` varchar(50) DEFAULT NULL,
  `telegram` varchar(50) DEFAULT NULL,
  `vk` varchar(50) DEFAULT NULL,
  `skype` varchar(50) DEFAULT NULL,
  `twitter` varchar(50) DEFAULT NULL,
  `facebook` varchar(50) DEFAULT NULL,
  `google` varchar(50) DEFAULT NULL,
  `myspace` varchar(50) DEFAULT NULL,
  `linkedin` varchar(50) DEFAULT NULL,
  `delicious` varchar(50) DEFAULT NULL,
  `friendfeed` varchar(50) DEFAULT NULL,
  `digg` varchar(50) DEFAULT NULL,
  `instagram` varchar(50) DEFAULT NULL,
  `qq` varchar(50) DEFAULT NULL,
  `qzone` varchar(50) DEFAULT NULL,
  `weibo` varchar(50) DEFAULT NULL,
  `wechat` varchar(50) DEFAULT NULL,
  `apple` varchar(50) DEFAULT NULL,
  `blogspot` varchar(50) DEFAULT NULL,
  `flickr` varchar(50) DEFAULT NULL,
  `bebo` varchar(50) DEFAULT NULL,
  `websitename` varchar(50) DEFAULT NULL,
  `websiteurl` varchar(50) DEFAULT NULL,
  `rank` tinyint(4) NOT NULL DEFAULT 0,
  `hideEmail` tinyint(1) NOT NULL DEFAULT 1,
  `showOnline` tinyint(1) NOT NULL DEFAULT 1,
  `canSubscribe` tinyint(1) NOT NULL DEFAULT -1,
  `userListtime` int(11) DEFAULT -2,
  `thankyou` int(11) DEFAULT 0,
  `ip` varchar(13) NOT NULL,
  PRIMARY KEY (`userid`),
  KEY `group_id` (`group_id`),
  KEY `posts` (`posts`),
  KEY `uhits` (`uhits`),
  KEY `banned` (`banned`),
  KEY `moderator` (`moderator`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_users` (`userid`, `status`, `status_text`, `view`, `signature`, `moderator`, `banned`, `ordering`, `posts`, `avatar`, `karma`, `karma_time`, `group_id`, `uhits`, `personalText`, `gender`, `birthdate`, `location`, `icq`, `aim`, `yim`, `microsoft`, `telegram`, `vk`, `skype`, `twitter`, `facebook`, `google`, `myspace`, `linkedin`, `delicious`, `friendfeed`, `digg`, `instagram`, `qq`, `qzone`, `weibo`, `wechat`, `apple`, `blogspot`, `flickr`, `bebo`, `websitename`, `websiteurl`, `rank`, `hideEmail`, `showOnline`, `canSubscribe`, `userListtime`, `thankyou`, `ip`) VALUES
(42, 0, '', '', '', 0, NULL, 0, 17, 'users/avatar42.jpg', 0, 0, 1, 1, '', 0, '0001-01-01', '', '', '', '', '', NULL, NULL, '', '', '', '', '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', 0, 1, 1, -1, -2, 0, ''),
(43, 0, '', '', '', 0, NULL, 0, 10, 'users/avatar43.jpg', 0, 0, 1, 1, '', 0, '0001-01-01', '', '', '', '', '', NULL, NULL, '', '', '', '', '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', 0, 1, 1, -1, -2, 0, ''),
(44, 0, '', '', '', 0, NULL, 0, 15, 'users/avatar44.jpg', 0, 0, 1, 0, '', 0, '0001-01-01', '', '', '', '', '', NULL, NULL, '', '', '', '', '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', 0, 1, 1, -1, -2, 1, ''),
(45, 0, '', '', NULL, 0, NULL, 0, 0, NULL, 0, 0, 1, 0, NULL, 0, '0001-01-01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, -1, -2, 0, ''),
(46, 0, '', '', '', 0, NULL, 0, 0, 'users/avatar46.jpg', 0, 0, 1, 0, '', 0, '0001-01-01', '', '', '', '', '', NULL, NULL, '', '', '', '', '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', 0, 1, 1, -1, -2, 0, '');

DROP TABLE IF EXISTS `#__kunena_users_banned`;
CREATE TABLE `#__kunena_users_banned` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) DEFAULT NULL,
  `ip` varchar(128) DEFAULT NULL,
  `blocked` tinyint(4) NOT NULL DEFAULT 0,
  `expiration` datetime DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_time` datetime NOT NULL,
  `reason_private` text DEFAULT NULL,
  `reason_public` text DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_time` datetime DEFAULT NULL,
  `comments` text DEFAULT NULL,
  `params` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`),
  KEY `ip` (`ip`),
  KEY `expiration` (`expiration`),
  KEY `created_time` (`created_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__kunena_version`;
CREATE TABLE `#__kunena_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(20) NOT NULL,
  `versiondate` date NOT NULL,
  `installdate` date NOT NULL,
  `build` varchar(20) NOT NULL,
  `versionname` varchar(40) DEFAULT NULL,
  `state` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__kunena_version` (`id`, `version`, `versiondate`, `installdate`, `build`, `versionname`, `state`) VALUES
(1, '4.0.7', '2015-11-16', '2015-11-19', '', 'Albareto', ''),
(2, '4.0.12', '2016-10-01', '2016-11-30', '', 'Lima', ''),
(3, '5.0.7', '2017-03-31', '2017-04-28', '', 'Gayal', ''),
(4, '5.0.10', '2017-06-30', '2017-08-17', '', 'Junco', ''),
(5, '5.0.13', '2017-12-31', '2018-01-15', '', 'Meerkat', '');

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lang_code` char(7) binary NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__languages` (`lang_id`, `asset_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 0, 'en-GB', 'English', 'English', 'en', 'en', '', '', '', '', 1, 1, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) binary NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 1 COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT 0,
  `params` mediumtext NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100))
) ENGINE=InnoDB AUTO_INCREMENT=251 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 187, 0, '*', 0),
(2, 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 1, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 1, 10, 0, '*', 1),
(3, 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 2, 3, 0, '*', 1),
(4, 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 1, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 4, 5, 0, '*', 1),
(5, 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 6, 7, 0, '*', 1),
(6, 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 8, 9, 0, '*', 1),
(7, 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 49, 54, 0, '*', 1),
(8, 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 1, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 50, 51, 0, '*', 1),
(9, 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 1, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 52, 53, 0, '*', 1),
(10, 'main', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 1, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 55, 58, 0, '*', 1),
(11, 'main', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 1, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 56, 57, 0, '*', 1),
(13, 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 59, 64, 0, '*', 1),
(14, 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 60, 61, 0, '*', 1),
(15, 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 1, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 62, 63, 0, '*', 1),
(16, 'main', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 1, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 65, 66, 0, '*', 1),
(17, 'main', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 1, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 67, 68, 0, '*', 1),
(18, 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 1, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 69, 70, 0, '*', 1),
(20, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 1, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 71, 72, 0, '', 1),
(21, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 1, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 73, 74, 0, '*', 1),
(101, 'mainmenu', 'Home', 'home', '', 'home', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"1","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Responsive Joomla template for Universities and colleges - JA Platon","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"Responsive Joomla 3 template for Universities and colleges - JA Platon. Support Kunena, JomSocial extensions. Perfect fit for educational organizations websites.","menu-meta_keywords":"joomla 3 template, responsive joomla template, joomla responsive template, joomla t3 template, responsive joomla univiersities template, colleges joomla template, responsive joomla template for univiersities and colleges, school joomla template, joomla education template.","robots":"","secure":0}', 11, 12, 1, 'en-GB', 0),
(114, 'kunenamenu', 'Forum', 'forum', '', 'forum', 'index.php?option=com_kunena&view=home&defaultmenu=116', 'component', 1, 1, 1, 10008, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"catids":0}', 75, 92, 0, '*', 0),
(115, 'kunenamenu', 'Index', 'index', '', 'forum/index', 'index.php?option=com_kunena&view=category&layout=list', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 76, 77, 0, '*', 0),
(116, 'kunenamenu', 'Recent Topics', 'recent', '', 'forum/recent', 'index.php?option=com_kunena&view=topics&mode=replies', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"topics_catselection":"","topics_categories":"","topics_time":""}', 78, 79, 0, '*', 0),
(117, 'kunenamenu', 'New Topic', 'newtopic', '', 'forum/newtopic', 'index.php?option=com_kunena&view=topic&layout=create', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 80, 81, 0, '*', 0),
(118, 'kunenamenu', 'No Replies', 'noreplies', '', 'forum/noreplies', 'index.php?option=com_kunena&view=topics&mode=noreplies', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"topics_catselection":"","topics_categories":"","topics_time":""}', 82, 83, 0, '*', 0),
(119, 'kunenamenu', 'My Topics', 'mylatest', '', 'forum/mylatest', 'index.php?option=com_kunena&view=topics&layout=user&mode=default', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"topics_catselection":"2","topics_categories":"0","topics_time":""}', 84, 85, 0, '*', 0),
(120, 'kunenamenu', 'Profile', 'profile', '', 'forum/profile', 'index.php?option=com_kunena&view=user', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 2, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"integration":1}', 86, 87, 0, '*', 0),
(121, 'kunenamenu', 'Help', 'help', '', 'forum/help', 'index.php?option=com_kunena&view=misc', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 3, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"body":"This help page is a menu item inside [b]Kunena Menu[\\/b], which allows easy navigation in your forum. \\n\\n You can use Joomla Menu Manager to edit items in this menu. Please go to [b]Administration[\\/b] >> [b]Menus[\\/b] >> [b]Kunena Menu[\\/b] >> [b]Help[\\/b] to edit or remove this menu item. \\n\\n In this menu item you can use Plain Text, BBCode or HTML. If you want to bind article into this page, you may use article BBCode (with article id): [code][article=full]123[\\/article][\\/code] \\n\\n If you want to create your own menu for Kunena, please start by creating [b]Home Page[\\/b] first. In that page you can select default menu item, which is shown when you enter to Kunena.","body_format":"bbcode"}', 88, 89, 0, '*', 0),
(122, 'kunenamenu', 'Search', 'search', '', 'forum/search', 'index.php?option=com_kunena&view=search', 'component', 1, 114, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 90, 91, 0, '*', 0),
(123, 'mainmenu', 'Forum', 'kunena', '', 'kunena', 'index.php?Itemid=114', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"aliasoptions":"115","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 35, 36, 0, '*', 0),
(124, 'mainmenu', 'News', 'news', '', 'news', 'index.php?option=com_content&view=category&layout=blog&id=8', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"6","num_columns":"3","num_links":"0","multi_column_order":"","show_subcategory_content":"2","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 13, 14, 0, '*', 0),
(125, 'mainmenu', 'Blog', 'blog', '', 'blog', 'index.php?option=com_content&view=category&layout=blog&id=13', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 15, 16, 0, '*', 0),
(126, 'default', 'Default', 'default', '', 'default', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"0","num_columns":"0","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"1","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"page_title":"Responsive Joomla template for Universities and colleges - JA Platon","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 93, 94, 1, '*', 0),
(128, 'default', 'JomSocial', 'jomsocial', '', 'jomsocial', 'index.php?option=com_community&view=frontpage', 'component', 1, 1, 1, 10017, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{}', 137, 138, 0, '*', 0),
(150, 'mainmenu', 'Community', 'community', '', 'community', 'index.php?option=com_community&view=frontpage', 'component', -2, 1, 1, 10017, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 37, 38, 0, '*', 0),
(151, 'mainmenu', 'J! Pages', 'j-page', '', 'j-page', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 17, 34, 0, '*', 0),
(152, 'mainmenu', 'Login Page', 'login-page', '', 'j-page/login-page', 'index.php?option=com_users&view=login', 'component', 1, 151, 2, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"If you have not an account, please click the below link to register an account ","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 18, 19, 0, '*', 0),
(153, 'mainmenu', 'Registration Page', 'registration-page', '', 'j-page/registration-page', 'index.php?option=com_users&view=registration', 'component', 1, 151, 2, 25, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 20, 21, 0, '*', 0),
(154, 'mainmenu', 'Search Page', 'search-page', '', 'j-page/search-page', 'index.php?option=com_search&view=search', 'component', 1, 151, 2, 19, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"search_phrases":"","search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 22, 23, 0, '*', 0),
(155, 'mainmenu', 'Advanced Search', 'advanced-search', '', 'j-page/advanced-search', 'index.php?option=com_finder&view=search', 'component', 1, 151, 2, 27, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","show_suggested_query":"1","show_explained_query":"1","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 24, 25, 0, '*', 0),
(156, 'mainmenu', 'Error Page', 'error-page', '', 'j-page/error-page', 'index.php?option=com_content&view=article&id=14', 'component', 1, 151, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":" center-page","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 26, 27, 0, '*', 0),
(157, 'mainmenu', 'Offline Page', 'offline-page', '', 'j-page/offline-page', 'index.php?option=com_content&view=article&id=15', 'component', 1, 151, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":" center-page","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 28, 29, 0, '*', 0),
(159, 'mainmenu', 'Tagged Items', 'tagged-items', '', 'j-page/tagged-items', 'index.php?option=com_tags&view=tag&id[0]=2&id[1]=3&id[2]=4&id[3]=5', 'component', 1, 151, 2, 29, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"1","tag_list_show_item_description":"1","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 30, 31, 0, '*', 0),
(160, 'students', 'Request A Catalog', 'request-a-catalog', '', 'request-a-catalog', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 95, 96, 0, '*', 0),
(161, 'students', 'Request More Information', 'request-more-information', '', 'request-more-information', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 97, 98, 0, '*', 0),
(162, 'students', 'Apply', 'apply', '', 'apply', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 99, 100, 0, '*', 0),
(163, 'students', 'Track Your Application', 'track-your-application', '', 'track-your-application', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 101, 102, 0, '*', 0),
(164, 'students', 'Make A Payment', 'make-a-payment', '', 'make-a-payment', '#', 'url', 0, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 103, 104, 0, '*', 0),
(165, 'students', 'Scholarships & Financial Aid', 'scholarships-financial-aid', '', 'scholarships-financial-aid', '#', 'url', 0, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 105, 106, 0, '*', 0),
(166, 'layouts', 'One Sidebar Right', 'one-sidebar-right', '', 'one-sidebar-right', 'index.php?option=com_content&view=article&id=36', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 107, 108, 0, '*', 0),
(167, 'layouts', 'One Sidebar Left', 'one-sidebar-left', '', 'one-sidebar-left', 'index.php?option=com_content&view=article&id=35', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"","link_titles":"0","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 109, 110, 0, '*', 0),
(168, 'layouts', 'Two Sidebar', 'two-sidebar', '', 'two-sidebar', 'index.php?option=com_content&view=article&id=38', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"","link_titles":"0","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 111, 112, 0, '*', 0),
(169, 'layouts', 'No Sidebar', 'no-sidebar', '', 'no-sidebar', 'index.php?option=com_content&view=article&id=37', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"","link_titles":"0","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 113, 114, 0, '*', 0),
(170, 'layouts', 'Share your story', 'share-your-story', '', 'share-your-story', '#', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 115, 116, 0, '*', 0),
(171, 'news', 'General', 'general', '', 'general', 'index.php?Itemid=', 'alias', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"aliasoptions":"124","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 117, 118, 0, '*', 0),
(172, 'colors', 'Words of support', 'words-of-support', '', 'words-of-support', '#', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 47, 48, 0, '*', 0),
(173, 'training-department', 'Business & Management', 'business-management', '', 'business-management', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 119, 120, 0, '*', 0),
(174, 'scholarship', 'Flinders University', 'flinders-university', '', 'flinders-university', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 121, 122, 0, '*', 0),
(175, 'news', 'Teaching & Learning', 'teaching-learning', '', 'teaching-learning', 'index.php?option=com_content&view=category&layout=blog&id=10', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 123, 124, 0, '*', 0),
(176, 'news', 'Arts & Humanities', 'arts-humanities', '', 'arts-humanities', 'index.php?option=com_content&view=category&layout=blog&id=11', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 125, 126, 0, '*', 0),
(177, 'news', 'Critical Thinking', 'critical-thinking', '', 'critical-thinking', 'index.php?option=com_content&view=category&layout=blog&id=12', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 127, 128, 0, '*', 0),
(178, 'training-department', 'Engineering & Technology', 'engineering-technology', '', 'engineering-technology', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 129, 130, 0, '*', 0),
(179, 'training-department', 'Natural Sciences', 'natural-sciences', '', 'natural-sciences', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 131, 132, 0, '*', 0),
(180, 'training-department', 'Social Sciences', 'social-sciences', '', 'social-sciences', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 133, 134, 0, '*', 0),
(181, 'training-department', 'Life Sciences', 'life-sciences', '', 'life-sciences', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 135, 136, 0, '*', 0),
(182, 'colors', 'Default Color', 'default-color', '', 'default-color', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 9, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 45, 46, 0, '*', 0),
(183, 'colors', 'Light Green Color', 'light-green-color', '', 'light-green-color', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 10, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 139, 140, 0, '*', 0),
(184, 'colors', 'Blue Color', 'blue-color', '', 'blue-color', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 11, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 141, 142, 0, '*', 0),
(185, 'colors', 'Indigo Color', 'indigo-color', '', 'indigo-color', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 12, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 143, 144, 0, '*', 0),
(186, 'colors', 'Red Color', 'red-color', '', 'red-color', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 13, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 145, 146, 0, '*', 0),
(187, 'scholarship', 'Australian Leadership Awards', 'australian-leadership-awards', '', 'australian-leadership-awards', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 147, 148, 0, '*', 0),
(188, 'scholarship', 'Le Cordon Bleu', 'le-cordon-bleu', '', 'le-cordon-bleu', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 149, 150, 0, '*', 0),
(189, 'scholarship', 'Endeavour Awards', 'endeavour-awards', '', 'endeavour-awards', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 151, 152, 0, '*', 0),
(190, 'mainmenu', 'Contact Us', 'platon-contact-us', '', 'platon-contact-us', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","articles_display_num":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 39, 40, 0, '*', 0),
(191, 'head-links', 'Get started', 'get-started', '', 'get-started', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"aliasoptions":"190","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 43, 44, 0, '*', 0),
(192, 'head-links', 'Calendar', 'calendar', '', 'calendar', 'index.php?option=com_community&view=events', 'component', 1, 1, 1, 10017, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"menu-anchor_title":"","menu-anchor_css":" btn btn-calendar","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 41, 42, 0, '*', 0),
(193, 'mainmenu', 'Typography', 'typography', '', 'j-page/typography', 'index.php?option=com_content&view=article&id=39', 'component', 1, 151, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 32, 33, 0, '*', 0),
(194, 'main', 'COM_JAEXTMANAGER', 'com-jaextmanager', '', 'com-jaextmanager', 'index.php?option=com_jaextmanager', 'component', 1, 1, 1, 10056, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_jaextmanager/assets/images/jauc.png', 0, '{}', 153, 154, 0, '', 1),
(207, 'main', 'com_joomlaupdate', 'com-joomlaupdate', '', 'com-joomlaupdate', 'index.php?option=com_joomlaupdate', 'component', 1, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 1, 'class:joomlaupdate', 0, '{}', 155, 156, 0, '', 1),
(208, 'main', 'com_associations', 'multilingual-associations', '', 'multilingual-associations', 'index.php?option=com_associations', 'component', 1, 1, 1, 34, 0, '0000-00-00 00:00:00', 0, 1, 'class:associations', 0, '{}', 157, 158, 0, '*', 1),
(237, 'main', 'COM_KUNENA', 'com-kunena', '', 'com-kunena', 'index.php?option=com_kunena', 'component', 1, 1, 1, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_kunena/media/icons/favicons/kunena-logo-white.png', 0, '{}', 159, 186, 0, '', 1),
(238, 'main', 'COM_KUNENA_DASHBOARD', 'com-kunena-dashboard', '', 'com-kunena/com-kunena-dashboard', 'index.php?option=com_kunena&view=cpanel', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 160, 161, 0, '', 1),
(239, 'main', 'COM_KUNENA_CATEGORY_MANAGER', 'com-kunena-category-manager', '', 'com-kunena/com-kunena-category-manager', 'index.php?option=com_kunena&view=categories', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 162, 163, 0, '', 1),
(240, 'main', 'COM_KUNENA_USER_MANAGER', 'com-kunena-user-manager', '', 'com-kunena/com-kunena-user-manager', 'index.php?option=com_kunena&view=users', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 164, 165, 0, '', 1),
(241, 'main', 'COM_KUNENA_FILE_MANAGER', 'com-kunena-file-manager', '', 'com-kunena/com-kunena-file-manager', 'index.php?option=com_kunena&view=attachments', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 166, 167, 0, '', 1),
(242, 'main', 'COM_KUNENA_EMOTICON_MANAGER', 'com-kunena-emoticon-manager', '', 'com-kunena/com-kunena-emoticon-manager', 'index.php?option=com_kunena&view=smilies', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 168, 169, 0, '', 1),
(243, 'main', 'COM_KUNENA_RANK_MANAGER', 'com-kunena-rank-manager', '', 'com-kunena/com-kunena-rank-manager', 'index.php?option=com_kunena&view=ranks', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 170, 171, 0, '', 1),
(244, 'main', 'COM_KUNENA_TEMPLATE_MANAGER', 'com-kunena-template-manager', '', 'com-kunena/com-kunena-template-manager', 'index.php?option=com_kunena&view=templates', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 172, 173, 0, '', 1),
(245, 'main', 'COM_KUNENA_CONFIGURATION', 'com-kunena-configuration', '', 'com-kunena/com-kunena-configuration', 'index.php?option=com_kunena&view=config', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 174, 175, 0, '', 1),
(246, 'main', 'COM_KUNENA_PLUGIN_MANAGER', 'com-kunena-plugin-manager', '', 'com-kunena/com-kunena-plugin-manager', 'index.php?option=com_kunena&view=plugins', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 176, 177, 0, '', 1),
(247, 'main', 'COM_KUNENA_LOG_MANAGER', 'com-kunena-log-manager', '', 'com-kunena/com-kunena-log-manager', 'index.php?option=com_kunena&view=logs', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 178, 179, 0, '', 1),
(248, 'main', 'COM_KUNENA_MENU_STATISTICS', 'com-kunena-menu-statistics', '', 'com-kunena/com-kunena-menu-statistics', 'index.php?option=com_kunena&view=statistics', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 180, 181, 0, '', 1),
(249, 'main', 'COM_KUNENA_FORUM_TOOLS', 'com-kunena-forum-tools', '', 'com-kunena/com-kunena-forum-tools', 'index.php?option=com_kunena&view=tools', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 182, 183, 0, '', 1),
(250, 'main', 'COM_KUNENA_TRASH_MANAGER', 'com-kunena-trash-manager', '', 'com-kunena/com-kunena-trash-manager', 'index.php?option=com_kunena&view=trash', 'component', 1, 237, 2, 10008, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '{}', 184, 185, 0, '', 1);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES
(1, 0, 'mainmenu', 'Main Menu', 'The main menu for the site', 0),
(2, 0, 'kunenamenu', 'Kunena Menu', 'This is the default Kunena menu. It is used as the top navigation for Kunena. It can be publish in any module position. Simply unpublish items that are not required.', 0),
(3, 0, 'default', 'Default', '', 0),
(5, 0, 'students', 'Students', '', 0),
(6, 0, 'layouts', 'Layouts', '', 0),
(7, 0, 'news', 'News', '', 0),
(8, 0, 'colors', 'Colors', '', 0),
(9, 0, 'training-department', 'Training Department', '', 0),
(10, 0, 'scholarship', 'Scholarship', '', 0),
(11, 0, 'head-links', 'Head Links', '', 0);

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT 0,
  `user_id_to` int(10) unsigned NOT NULL DEFAULT 0,
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `priority` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` mediumtext NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT 1,
  `params` mediumtext NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=156 DEFAULT CHARSET=utf8;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(1, 39, 'Main Menu', '', '', 1, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"0","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(2, 40, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 41, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(4, 42, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(8, 43, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 44, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 45, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(12, 46, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 47, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 48, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 49, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(16, 50, 'Login Form', '', '', 7, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_login', 1, 1, '{"greeting":"1","name":"0"}', 0, '*'),
(17, 51, 'Breadcrumbs', '', '', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_breadcrumbs', 1, 1, '{"moduleclass_sfx":"","showHome":"1","homeText":"","showComponent":"1","separator":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(79, 52, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(86, 53, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(87, 57, 'Footer', '', '', 0, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(88, 64, 'Login', '', '', 2, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(89, 65, 'Language Switcher', '', '', 1, 'languageswitcherload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_languages', 1, 1, '{"header_text":"","footer_text":"","dropdown":"0","image":"0","inline":"1","show_active":"1","full_name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(90, 66, 'Platon in the news', '', '', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 0, '{"mode":"normal","show_on_article_page":"1","count":"1","show_front":"show","category_filtering_type":"1","catid":["10"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"fp.ordering","article_ordering_direction":"DESC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"1","show_hits":"0","show_author":"0","show_introtext":"1","introtext_limit":"100","show_readmore":"1","show_readmore_title":"0","readmore_limit":"15","layout":"ja_platon:single","moduleclass_sfx":" default-height highlight no-padding","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(91, 67, 'Video', '', '', 1, 'position-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 0, '{"jatools-config":"{\\":type\\":\\"ja_platon:video\\",\\"video\\":{\\"jatools-layout-video\\":\\"style-1\\",\\"video-style[video-link]\\":[\\"local=joomlart\\/media\\/video\\"]}}","moduleclass_sfx":" default-height no-padding","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(92, 69, 'Slideshow', '', '', 1, 'slideshow', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_platon:slideshow\\",\\"slideshow\\":{\\"jatools-layout-slideshow\\":\\"style-owl\\",\\"slideshow[data]\\":{\\"slideshow[data][title]\\":[\\"Research & Collections\\",\\"Arts & Humanities\\",\\"Business, Law, Society\\"],\\"slideshow[data][description]\\":[\\"Platon. An Innovative Graduate University of Theology\\",\\"Lorem ipsum dolor sit amet, ectetur adipiscing elit. \\",\\"Platon University, in partnership with LinkedIn and Deloitte...\\"],\\"slideshow[data][image]\\":[\\"images\\/joomlart\\/slideshow\\/sl-1.jpg\\",\\"images\\/joomlart\\/slideshow\\/sl-2.jpg\\",\\"images\\/joomlart\\/slideshow\\/sl-3.jpg\\"],\\"slideshow[data][slideshow-link]\\":[\\"#\\",\\"#\\",\\"#\\"],\\"rows\\":3,\\"cols\\":5,\\"type\\":\\"list\\"}}}","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(93, 78, 'Dark Module', '', '', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" dark h-1","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(94, 79, 'Dark Module', '', '', 1, 'position-6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" dark h-2","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(95, 80, 'Light Module', '', '', 1, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" h-2","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(96, 81, 'Tabs', '', '', 0, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" h-2 ","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(113, 109, 'Graduate Degrees', '', '', 1, 'sections', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" text-center lighter","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"The MFA, Low-Residency MFA and Post-Baccalaureate programs at PAFA provide three options for graduate students to futher their artistic development.","full-width":"0"}', 0, '*'),
(114, 123, 'Tabs', '', '', 1, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 0, '{"jatools-config":"{\\":type\\":\\"ja_platon:container-tabs\\",\\"container-tabs\\":{\\"jatools-layout-container-tabs\\":\\"style-1\\",\\"container-tabs[position]\\":[\\"container-tabs\\"]}}","moduleclass_sfx":" double-height no-padding","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(115, 124, 'Teaching & Learing', '', '', 2, 'container-tabs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_latest', 1, 1, '{"catid":["10"],"count":"4","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(116, 125, 'Critical Thinking', '', '', 3, 'container-tabs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_latest', 1, 1, '{"catid":["12"],"count":"3","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(117, 126, 'Arts & Humanities', '', '', 4, 'container-tabs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_latest', 1, 1, '{"catid":["11"],"count":"3","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(118, 127, 'No Padding', '', '<img src="images/joomlart/banners/banner-1.jpg" alt="Sample banner" />', 4, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" no-padding","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(120, 129, 'Students', '', '', 1, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"students","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":" menu","window_open":"","layout":"_:default","moduleclass_sfx":" default-height","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(121, 134, 'Graduate Degrees', '', '', 1, 'sections', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_platon:features-intro\\",\\"features-intro\\":{\\"jatools-layout-features-intro\\":\\"style-1\\",\\"features-intro[columns]\\":[\\"3\\"],\\"features-intro[features-button-value]\\":[\\"Explore Graduate Degree Programs\\"],\\"features-intro[features-link]\\":[\\"#\\"],\\"features-intro[data]\\":{\\"features-intro[data][title]\\":[\\"Post-Baccalaureate\\",\\"MFA\\",\\"Low-Residency MFA\\"],\\"features-intro[data][link]\\":[\\"#\\",\\"#\\",\\"#\\"],\\"features-intro[data][description]\\":[\\"((span class=\\\\\\"icon\\\\\\"))((i class=\\\\\\"fa fa-mortar-board\\\\\\"))((\\/i))((\\/span))Lorem ipsum dolor sit amet, ectetur adipiscing elit. Pellentesque felis erat, \\\\nconvallis in vestibulum a, dolo sit.\\",\\"((span class=\\\\\\"icon\\\\\\"))((i class=\\\\\\"fa fa-diamond\\\\\\"))((\\/i))((\\/span))Ued ut perspiciatis unde omnis iste natus error sit \\\\nvoluptatem felis erat, \\\\nconvallis in vestibulum acc \\\\nusantium lorem odio.\\",\\"((span class=\\\\\\"icon\\\\\\"))((i class=\\\\\\"fa fa-trophy\\\\\\"))((\\/i))((\\/span))Quisque viverra tellus eget erat hendrerit, non lacinia turpis iaculis. Duis rhoncus augue eu lacinia ultrices risus tristique.\\"],\\"rows\\":3,\\"cols\\":4,\\"type\\":\\"list\\"}}}","moduleclass_sfx":" text-center lighter","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"The MFA, Low-Residency MFA and Post-Baccalaureate programs at PAFA provide three options for graduate students to futher their artistic development.","full-width":"0"}', 0, '*'),
(122, 135, 'Who\'s online', '', '', 6, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":" highlight","cache":"0","filter_groups":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(123, 147, 'Images', '', '', 1, 'sections', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_platon:slideshow\\",\\"slideshow\\":{\\"jatools-layout-slideshow\\":\\"style-slide\\",\\"slideshow[data]\\":{\\"slideshow[data][title]\\":[\\"Quisque viverra tellus eget erat hendrerit, non lacinia turpis iaculis.\\",\\"Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum\\",\\"Resistance is Futile. Hand Over All Your Documents\\",\\"Maecenas nisl justo, gravida in mattis sed, semper vel sem\\"],\\"slideshow[data][image]\\":[\\"images\\/joomlart\\/slideshow\\/gallery-3.jpg\\",\\"images\\/joomlart\\/slideshow\\/gallery-2.jpg\\",\\"images\\/joomlart\\/slideshow\\/gallery-4.jpg\\",\\"images\\/joomlart\\/slideshow\\/gallery-1.jpg\\"],\\"rows\\":4,\\"cols\\":3,\\"type\\":\\"list\\"}}}","moduleclass_sfx":" text-center no-padding dark","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium.","full-width":"1"}', 0, '*'),
(124, 148, 'Support Platon', '', '<p><a class="btn btn-inverse" title="Join Now" href="#">Join Now</a></p>', 1, 'position-9', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(125, 149, 'Become a member of a living tradition.', '', '<p>Ued ut perspiciatis unde omnis iste natus error sit voluptatem felis erat, convallis in vestibulum acc usantium lorem odio.</p>', 1, 'position-10', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(126, 150, 'Testimonial', '', '<blockquote>\r\n<p>Platon gave me the tools, community and knowledge to learn the skills that I use today.</p>\r\n<footer><cite>Jordan Griska</cite> <i>Certificate \'08</i></footer></blockquote>', 1, 'position-11', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(127, 151, 'Latest Articles', '', '', 7, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_latest', 1, 1, '{"catid":[""],"count":"5","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(128, 152, 'Tags Popular', '', '', 8, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tags_popular', 1, 1, '{"maximum":"10","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(129, 153, 'Articles Category', '', '', 1, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","count":"5","show_front":"show","category_filtering_type":"1","catid":[""],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(130, 154, 'Layouts', '', '', 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"layouts","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"menu","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(131, 155, 'News', '', '', 1, 'footer-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"news","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"menu","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(132, 156, 'Colors', '', '', 1, 'footer-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"colors","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"menu","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(133, 157, 'Training Department', '', '', 1, 'footer-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"training-department","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"menu","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(134, 158, 'Scholarship', '', '', 1, 'footer-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"scholarship","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"menu","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(135, 159, 'Share your story', '', '<p>Do you have a story to tell? We\'d love to hear it.</p>\r\n<a class="btn btn-block btn-border btn-primary" href="#" title="Share your story">Share <small>your</small> story</a>', 1, 'footer-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(136, 160, 'The Aurora Prize Link', '', '<p>The Aurora Prize for Awakening Humanity - A $1 million grant for inspiring acts of humanity.</p>\r\n<a href="#" class="btn btn-block btn-border btn-primary" title="Read more">Read more</a>', 1, 'footer-8', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(137, 161, 'Search Form', '', '', 1, 'head-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"label":"","width":"","text":"","button":"0","button_pos":"right","imagebutton":"0","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"154","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(139, 163, 'Head Links', '', '', 1, 'head-links', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"head-links","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(140, 164, 'Our professors', '', '', 1, 'position-6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ja_acm', 1, 1, '{"jatools-config":"{\\":type\\":\\"ja_platon:teams\\",\\"teams\\":{\\"jatools-layout-teams\\":\\"style-1\\",\\"team_about[data]\\":{\\"team_about[data][member-image]\\":[\\"images\\/joomlart\\/teams\\/mem-3.jpg\\",\\"images\\/joomlart\\/teams\\/mem-4.jpg\\",\\"images\\/joomlart\\/teams\\/mem-2.jpg\\",\\"images\\/joomlart\\/teams\\/mem-6.jpg\\"],\\"team_about[data][member-name]\\":[\\"Dewey Hall\\",\\"Lorenzo Pope\\",\\"Perry Larson\\",\\"Darren Klein\\"],\\"team_about[data][member-position]\\":[\\"Professor of physics\\",\\"Interaction Designer\\",\\"CEO\\",\\"Experience Designer\\"],\\"team_about[data][member-desc]\\":[\\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur fermentum tristique metus, sit amet rhoncus justo sagittis quis. Maecenas ullamcorper et purus et lacinia.\\",\\"In gravida, urna non blandit eleifend, turpis augue viverra ligula, a viverra ligula nibh commodo velit. Vivamus pharetra ornare tristique. Pellentesque id quam vitae lectus pellentesque ullamcorper.\\",\\"Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed et leo placerat, euismod turpis et, lacinia purus. Aliquam ut efficitur enim, sed fermentum tellus. \\",\\"Ut ac vehicula turpis, id feugiat eros. Nulla venenatis augue nec lectus tincidunt, non efficitur orci dapibus. Vivamus nec arcu mauris. Suspendisse ut ullamcorper massa. Duis et blandit tellus. \\"],\\"rows\\":4,\\"cols\\":5,\\"type\\":\\"list\\"}}}","moduleclass_sfx":" dark double-height","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(141, 165, 'Follow Us', '', '<h3 class="social-title">Follow <small>Us</small></h3>\r\n<ul class="social-list">\r\n<li><a href="https://www.facebook.com/joomlart" title="Facebook" class="facebook"><i class="fa fa-facebook"></i></a></li>\r\n<li><a href="https://twitter.com/JoomlArt" title="Twitter" class="twitter"><i class="fa fa-twitter"></i></a></li>\r\n<li><a href="http://www.joomlart.com/" title="Google plus" class="google-plus"><i class="fa fa-google-plus"></i></a></li>\r\n<li><a href="http://www.joomlart.com/" title="Youtube" class="youtube"><i class="fa fa-youtube"></i></a></li>\r\n</ul>', 1, 'footer-10', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(142, 166, 'Login Form', '', '', 1, 'topbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jalogin', 1, 1, '{"pretext":"","posttext":"","greeting":"1","name":"1","show_register_form":"1","usesecure":"0","login":"","logout":"","layout":"_:default","moduleclass_sfx":"","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(143, 167, 'Off Canvas', '', '', 1, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(144, 168, 'Menu', '', '', 1, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(145, 169, 'Latest news', '', '', 1, 'container-tabs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","count":"3","show_front":"show","category_filtering_type":"1","catid":["10"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"publish_up","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"1","show_date_field":"publish_up","show_date_format":"M D Y","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"1","introtext_limit":"90","show_readmore":"0","show_readmore_title":"0","readmore_limit":"15","layout":"ja_platon:news","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(146, 170, 'Most read', '', '', 1, 'container-tabs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","count":"3","show_front":"show","category_filtering_type":"1","catid":["10"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"publish_up","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"1","show_date_field":"publish_up","show_date_format":"M D Y","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"1","introtext_limit":"90","show_readmore":"0","show_readmore_title":"0","readmore_limit":"15","layout":"ja_platon:news","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(147, 173, 'Sample banner', '', '<div class="text-center sample-banner"><img src="images/joomlart/banners/banner-2.jpg" alt="Sample banner" /></div>', 1, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" no-padding-top default-height","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(148, 174, 'Articles Category', '', '', 1, 'sidebar-1', 42, '2016-11-29 07:11:19', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","count":"5","show_front":"show","category_filtering_type":"1","catid":[""],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(150, 176, 'No Padding', '', '<img src="images/joomlart/banners/banner-1.jpg" alt="Sample banner" />', 4, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" no-padding","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(152, 178, 'Who\'s online', '', '', 6, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":" highlight","cache":"0","filter_groups":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(153, 179, 'Tags Popular', '', '', 8, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_tags_popular', 1, 1, '{"maximum":"10","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(154, 184, 'Latest Blog', '', '', 1, 'container-tabs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","count":"4","show_front":"show","category_filtering_type":"1","catid":["10"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"publish_up","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"1","show_date_field":"publish_up","show_date_format":"M D Y","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"1","introtext_limit":"90","show_readmore":"0","show_readmore_title":"0","readmore_limit":"15","layout":"ja_platon:blog","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*'),
(155, 185, 'Events', '', '<div class="joms-module"><!-- If not logged in -->\r\n<div class="joms-module--eventscalendar">\r\n<div id="calendar100" class="joms-calendar">\r\n<div class="joms-calendar__grid clearfix">\r\n<div class="joms-calendar--prev joms-calendar__grid-title joms-calendar__pad">◀</div>\r\n<div class="joms-calendar--month joms-calendar__grid-title joms-calendar__pad">December 2015</div>\r\n<div class="joms-calendar--next joms-calendar__grid-title joms-calendar__pad">▶</div>\r\n<div class="joms-calendar--week-day joms-calendar__pad">Sun</div>\r\n<div class="joms-calendar--week-day joms-calendar__pad">Mon</div>\r\n<div class="joms-calendar--week-day joms-calendar__pad">Tue</div>\r\n<div class="joms-calendar--week-day joms-calendar__pad">Wed</div>\r\n<div class="joms-calendar--week-day joms-calendar__pad">Thu</div>\r\n<div class="joms-calendar--week-day joms-calendar__pad">Fri</div>\r\n<div class="joms-calendar--week-day joms-calendar__pad">Sat</div>\r\n<div class="joms-calendar--day-previous-month joms-calendar__pad">30</div>\r\n<div class="joms-calendar--day-previous-month joms-calendar__pad">31</div>\r\n<div class="joms-calendar--day joms-calendar__pad">1</div>\r\n<div class="joms-calendar--day joms-calendar__pad joms-calendar__event" data-event-day="2">2</div>\r\n<div class="joms-calendar--day joms-calendar__pad">3</div>\r\n<div class="joms-calendar--day joms-calendar__pad">4</div>\r\n<div class="joms-calendar--day joms-calendar__pad">5</div>\r\n<div class="joms-calendar--day joms-calendar__pad">6</div>\r\n<div class="joms-calendar--day joms-calendar__pad">7</div>\r\n<div class="joms-calendar--day joms-calendar__pad joms-calendar--today">8</div>\r\n<div class="joms-calendar--day joms-calendar__pad">9</div>\r\n<div class="joms-calendar--day joms-calendar__pad">10</div>\r\n<div class="joms-calendar--day joms-calendar__pad">11</div>\r\n<div class="joms-calendar--day joms-calendar__pad">12</div>\r\n<div class="joms-calendar--day joms-calendar__pad">13</div>\r\n<div class="joms-calendar--day joms-calendar__pad">14</div>\r\n<div class="joms-calendar--day joms-calendar__pad">15</div>\r\n<div class="joms-calendar--day joms-calendar__pad">16</div>\r\n<div class="joms-calendar--day joms-calendar__pad">17</div>\r\n<div class="joms-calendar--day joms-calendar__pad">18</div>\r\n<div class="joms-calendar--day joms-calendar__pad">19</div>\r\n<div class="joms-calendar--day joms-calendar__pad">20</div>\r\n<div class="joms-calendar--day joms-calendar__pad">21</div>\r\n<div class="joms-calendar--day joms-calendar__pad">22</div>\r\n<div class="joms-calendar--day joms-calendar__pad">23</div>\r\n<div class="joms-calendar--day joms-calendar__pad">24</div>\r\n<div class="joms-calendar--day joms-calendar__pad">25</div>\r\n<div class="joms-calendar--day joms-calendar__pad">26</div>\r\n<div class="joms-calendar--day joms-calendar__pad">27</div>\r\n<div class="joms-calendar--day joms-calendar__pad">28</div>\r\n<div class="joms-calendar--day joms-calendar__pad">29</div>\r\n<div class="joms-calendar--day joms-calendar__pad">30</div>\r\n<div class="joms-calendar--day joms-calendar__pad">31</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">1</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">2</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">3</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">4</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">5</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">6</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">7</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">8</div>\r\n<div class="joms-calendar--day-next-month joms-calendar__pad">9</div>\r\n</div>\r\n<div class="joms-event__grid">\r\n<div class="joms-calendar__event-title joms-calendar__pad" style="display: block;">Events</div>\r\n<div class="joms-event__body">\r\n<div class="joms-calendar__event-list" style="overflow: hidden;" tabindex="5000">\r\n<div class="joms-calendar__event-item" data-event-day="2">\r\n<h5 class="title" style="cursor: pointer;">Biggest open house in Texas</h5>\r\n<p>Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.</p>\r\n<small>02/12 12:00 AM</small></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" dark default-height joms-grid-home","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"","full-width":"1"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT 0,
  `menuid` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 0),
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 0),
(17, 0),
(79, 0),
(86, 0),
(87, 0),
(88, 125),
(89, 0),
(90, 101),
(90, 126),
(90, 182),
(90, 183),
(90, 184),
(90, 185),
(90, 186),
(91, 101),
(91, 126),
(91, 182),
(91, 183),
(91, 184),
(91, 185),
(91, 186),
(92, 101),
(92, 126),
(92, 182),
(92, 183),
(92, 184),
(92, 185),
(92, 186),
(93, 101),
(94, 101),
(95, 101),
(96, 101),
(113, 101),
(114, 101),
(114, 126),
(114, 182),
(114, 183),
(114, 184),
(114, 185),
(114, 186),
(115, 0),
(116, 0),
(117, 0),
(118, 115),
(118, 116),
(118, 117),
(118, 118),
(118, 119),
(118, 120),
(118, 121),
(118, 122),
(118, 123),
(120, 101),
(120, 126),
(120, 182),
(120, 183),
(120, 184),
(120, 185),
(120, 186),
(121, 101),
(121, 126),
(121, 182),
(121, 183),
(121, 184),
(121, 185),
(121, 186),
(122, 114),
(122, 115),
(122, 116),
(122, 117),
(122, 118),
(122, 119),
(122, 120),
(122, 121),
(122, 122),
(122, 123),
(122, 124),
(122, 125),
(122, 160),
(122, 161),
(122, 162),
(122, 163),
(122, 164),
(122, 165),
(122, 166),
(122, 168),
(122, 170),
(122, 171),
(122, 173),
(122, 174),
(122, 175),
(122, 176),
(122, 177),
(122, 178),
(122, 179),
(122, 180),
(122, 181),
(122, 187),
(122, 188),
(122, 189),
(123, 101),
(123, 126),
(123, 182),
(123, 183),
(123, 184),
(123, 185),
(123, 186),
(124, 101),
(124, 126),
(124, 182),
(124, 183),
(124, 184),
(124, 185),
(124, 186),
(125, 101),
(125, 126),
(125, 182),
(125, 183),
(125, 184),
(125, 185),
(125, 186),
(126, 101),
(126, 126),
(126, 182),
(126, 183),
(126, 184),
(126, 185),
(126, 186),
(127, 154),
(128, 124),
(128, 125),
(128, 154),
(128, 155),
(128, 159),
(128, 160),
(128, 161),
(128, 162),
(128, 163),
(128, 164),
(128, 165),
(128, 166),
(128, 168),
(128, 170),
(128, 171),
(128, 173),
(128, 174),
(128, 175),
(128, 176),
(128, 177),
(128, 178),
(128, 179),
(128, 180),
(128, 181),
(128, 187),
(128, 188),
(128, 189),
(129, 124),
(129, 125),
(129, 154),
(129, 155),
(129, 159),
(129, 160),
(129, 161),
(129, 162),
(129, 163),
(129, 164),
(129, 165),
(129, 166),
(129, 168),
(129, 170),
(129, 171),
(129, 173),
(129, 174),
(129, 175),
(129, 176),
(129, 177),
(129, 178),
(129, 179),
(129, 180),
(129, 181),
(129, 187),
(129, 188),
(129, 189),
(130, 0),
(131, 0),
(132, 0),
(133, 0),
(134, 0),
(135, 0),
(136, 0),
(137, 0),
(139, 0),
(140, 101),
(140, 126),
(140, 182),
(140, 183),
(140, 184),
(140, 185),
(140, 186),
(141, 0),
(142, 0),
(143, 0),
(144, 0),
(145, 0),
(146, 0),
(147, 101),
(147, 126),
(147, 182),
(147, 183),
(147, 184),
(147, 185),
(147, 186),
(148, 167),
(150, 115),
(150, 116),
(150, 117),
(150, 118),
(150, 119),
(150, 120),
(150, 121),
(150, 122),
(150, 123),
(152, 114),
(152, 115),
(152, 116),
(152, 117),
(152, 118),
(152, 119),
(152, 120),
(152, 121),
(152, 122),
(152, 123),
(152, 124),
(152, 125),
(152, 160),
(152, 161),
(152, 162),
(152, 163),
(152, 164),
(152, 165),
(152, 166),
(152, 167),
(152, 168),
(152, 169),
(152, 170),
(152, 171),
(152, 173),
(152, 174),
(152, 175),
(152, 176),
(152, 177),
(152, 178),
(152, 179),
(152, 180),
(152, 181),
(152, 187),
(152, 188),
(152, 189),
(153, 124),
(153, 125),
(153, 154),
(153, 155),
(153, 159),
(153, 160),
(153, 161),
(153, 162),
(153, 163),
(153, 164),
(153, 165),
(153, 166),
(153, 167),
(153, 168),
(153, 169),
(153, 170),
(153, 171),
(153, 173),
(153, 174),
(153, 175),
(153, 176),
(153, 177),
(153, 178),
(153, 179),
(153, 180),
(153, 181),
(153, 187),
(153, 188),
(153, 189),
(154, 0),
(155, 101),
(155, 126),
(155, 182),
(155, 183),
(155, 184),
(155, 185),
(155, 186);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT 0,
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `link` varchar(2048) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `numarticles` int(10) unsigned NOT NULL DEFAULT 1,
  `cache_time` int(10) unsigned NOT NULL DEFAULT 3600,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rtl` tinyint(4) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `metadata` mediumtext NOT NULL,
  `xreference` varchar(50) NOT NULL DEFAULT '',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` mediumtext NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `images` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` mediumtext NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT 700 COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT 1,
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT 1,
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.2.0', 1),
(3, 700, 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', 1),
(4, 700, 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE', 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/joomla40checks.php', 'admin_postinstall_joomla40checks_condition', '3.7.0', 1),
(5, 700, 'TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE', 'TPL_HATHOR_MESSAGE_POSTINSTALL_BODY', 'TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION', 'tpl_hathor', 1, 'action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_condition', '3.7.0', 1);

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.8.2-2017-10-14');

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) unsigned NOT NULL DEFAULT 0,
  `path` varchar(400) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(11) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `params` mediumtext NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext NOT NULL,
  `urls` mediumtext NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 11, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2018-01-15 02:18:43', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 1, 1, 2, 1, 'education', 'Education', 'education', '', '', 1, 0, '2015-11-20 09:18:46', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', ' ', ' ', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', '', 0, '2018-01-15 02:18:43', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{}', 36, '*', 1, '2018-01-15 02:18:43', '2018-01-15 02:18:43'),
(3, 1, 3, 4, 1, 'teaching', 'Teaching', 'teaching', '', '', 1, 0, '2015-11-20 09:19:00', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', ' ', ' ', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', '', 0, '2018-01-15 02:18:43', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{}', 0, '*', 1, '2018-01-15 02:18:43', '2018-01-15 02:18:43'),
(4, 1, 5, 6, 1, 'learning', 'Learning', 'learning', '', '', 1, 0, '2015-11-20 09:19:07', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', ' ', ' ', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', '', 0, '2018-01-15 02:18:43', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{}', 0, '*', 1, '2018-01-15 02:18:43', '2018-01-15 02:18:43'),
(5, 1, 7, 8, 1, 'critical-thinking', 'Critical Thinking', 'critical-thinking', '', '', 1, 0, '2015-11-20 09:19:16', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', ' ', ' ', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', '', 0, '2018-01-15 02:18:43', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{}', 0, '*', 1, '2018-01-15 02:18:43', '2018-01-15 02:18:43'),
(6, 1, 9, 10, 1, 'arts', 'Arts', 'arts', '', '', 1, 0, '2015-11-23 02:56:22', 1, '{"tag_layout":"","tag_link_class":"label label-info"}', ' ', ' ', '{"author":"","robots":""}', 42, '2018-01-15 02:18:43', '', 0, '2018-01-15 02:18:43', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{}', 0, '*', 1, '2018-01-15 02:18:43', '2018-01-15 02:18:43');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(4, 'beez3', 0, '0', 'Beez3 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.png","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(7, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(8, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(9, 'ja_platon', 0, '1', 'JA_Platon - Default', '{"skip_component_content":["182","183","184","185","186","126","101"],"t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"loader.js","link_titles":"","theme":"","logotype":"image","sitename":"Platon","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-151\\":{\\"sub\\":{\\"width\\":\\"500\\",\\"rows\\":[]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":"","snippet_close_head":"","snippet_open_body":"","snippet_close_body":"","snippet_debug":"0","theme_extras_com_community":["-1"],"theme_extras_com_kunena":["114","115","116","117","118","119","120","121","122","168","123"]}'),
(10, 'ja_platon', 0, '0', 'JA_Platon - Light Green', '{"skip_component_content":["182","183","184","185","186","101"],"t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"loader.js","link_titles":null,"theme":"light-green","logotype":"image","sitename":"Platon","slogan":"","logoimage":"images\\/joomlart\\/logos\\/logo-lightgreen.png","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-151\\":{\\"sub\\":{\\"width\\":\\"500\\",\\"rows\\":[]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["-1"],"theme_extras_com_kunena":["114","115","116","117","118","119","120","121","122","168","123"],"mm_config_needupdate":""}'),
(11, 'ja_platon', 0, '0', 'JA_Platon - Blue', '{"skip_component_content":["182","183","184","185","186","101"],"t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"loader.js","link_titles":null,"theme":"blue","logotype":"image","sitename":"Platon","slogan":"","logoimage":"images\\/joomlart\\/logos\\/logo-blue.png","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-151\\":{\\"sub\\":{\\"width\\":\\"500\\",\\"rows\\":[]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["-1"],"theme_extras_com_kunena":["114","115","116","117","118","119","120","121","122","168","123"],"mm_config_needupdate":""}'),
(12, 'ja_platon', 0, '0', 'JA_Platon - Indigo', '{"skip_component_content":["182","183","184","185","186","101"],"t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"loader.js","link_titles":null,"theme":"indigo","logotype":"image","sitename":"Platon","slogan":"","logoimage":"images\\/joomlart\\/logos\\/logo-indigo.png","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-151\\":{\\"sub\\":{\\"width\\":\\"500\\",\\"rows\\":[]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["-1"],"theme_extras_com_kunena":["114","115","116","117","118","119","120","121","122","168","123"],"mm_config_needupdate":""}'),
(13, 'ja_platon', 0, '0', 'JA_Platon - Red', '{"skip_component_content":["182","183","184","185","186","101"],"t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"loader.js","link_titles":null,"theme":"red","logotype":"image","sitename":"Platon","slogan":"","logoimage":"images\\/joomlart\\/logos\\/logo-red.png","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-151\\":{\\"sub\\":{\\"width\\":\\"500\\",\\"rows\\":[]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["-1"],"theme_extras_com_kunena":["114","115","116","117","118","119","120","121","122","168","123"],"mm_config_needupdate":""}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES
(1, 5, 1, 0),
(2, 4, 1, 0),
(3, 2, 1, 0),
(5, 6, 1, 0),
(6, 8, 1, 0),
(7, 12, 1, 0),
(8, 13, 1, 0),
(9, 25, 1, 0),
(10, 27, 1, 0),
(11, 29, 1, 0),
(12, 31, 1, 0),
(13, 32, 1, 0),
(14, 33, 1, 0),
(15, 34, 1, 0);

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) NOT NULL DEFAULT '',
  `core_alias` varchar(400) binary NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT 0,
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `core_access` int(10) unsigned NOT NULL DEFAULT 0,
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT 0,
  `core_metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT 0,
  `core_version` int(10) unsigned NOT NULL DEFAULT 1,
  `core_ordering` int(11) NOT NULL DEFAULT 0,
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT 0,
  `core_xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_language` (`core_language`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_content_type` (`core_type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=16 COMMENT='Contains core content data in name spaced fields' DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES
(1, 'com_content.article', '60 Ways To Help Students Think For Themselves', '60-ways-to-help-students-think-for-themselves', '<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. </p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 5, 73, '{"image_intro":"images\\/joomlart\\/blog\\/blog-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-6b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 2, 6, 7, '', '', 13, '', 1),
(2, 'com_content.article', 'Why Questions Are More Important Than Answers', 'why-questions-are-more-important-than-answers', '<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 4, 74, '{"image_intro":"images\\/joomlart\\/blog\\/blog-7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-7b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 6, 8, '', '', 13, '', 1),
(3, 'com_content.article', 'Why Teaching Is Still The Best Job In The World', 'why-teaching-is-still-the-best-job-in-the-world', '<p>Sagittis tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 2, 76, '{"image_intro":"images\\/joomlart\\/blog\\/blog-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-9b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 8, 10, '', '', 13, '', 1),
(5, 'com_content.article', 'Critical Thinking Creating Students That Solve Problems', 'critical-thinking-creating-students-that-solve-problems', '<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 6, 99, '{"image_intro":"images\\/joomlart\\/blog\\/blog-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 6, 6, '', '', 13, '', 1),
(6, 'com_content.article', 'Universities and the UK’s EU referendum', 'universities-and-the-uk-s-eu-referendum', ' <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 8, 101, '{"image_intro":"images\\/joomlart\\/blog\\/blog-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-4b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 4, 5, '', '', 13, '', 1),
(7, 'com_content.article', 'A testing time for university admissions', 'a-testing-time-for-university-admissions', '<p>Fames ac turpis egestas. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione </p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 12, 106, '{"image_intro":"images\\/joomlart\\/blog\\/blog-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-1b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 3, 4, 1, '', '', 13, '', 1),
(8, 'com_content.article', 'Parental care', 'parental-care', '<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur  consequuntur magni dolores eos?</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 13, 108, '{"image_intro":"images\\/joomlart\\/blog\\/blog-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-2b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 6, 0, '', '', 13, '', 1),
(9, 'com_content.article', 'International Relations Students of Platon University Collaborate with The World Leadership Alliance', 'international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance', '<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 25, 130, '{"image_intro":"images\\/joomlart\\/news\\/news-8.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-7b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 2, 7, 3, '', '', 12, '', 1),
(10, 'com_content.article', 'Research Centres and Research Groups at the University of Nottingham Malaysia Campus', 'research-centres-and-research-groups-at-the-university-of-nottingham-malaysia-campus', '<p>Ttesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo dignissimos .</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 27, 132, '{"image_intro":"images\\/joomlart\\/news\\/news-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-4b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 4, 1, '', '', 12, '', 1),
(11, 'com_content.article', 'A postgraduate perspective on the Faculty of Arts', 'a-postgraduate-perspective-on-the-faculty-of-arts', '<p>Consectetur  pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 29, 137, '{"image_intro":"images\\/joomlart\\/news\\/news-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-5b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 4, 5, '', '', 11, '', 1),
(12, 'com_content.article', 'Hearts of Heritage project update by volunteer bloggers Laura and Caterina', 'hearts-of-heritage-project-update-by-volunteer-bloggers-laura-and-caterina', '<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora,</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 31, 140, '{"image_intro":"images\\/joomlart\\/news\\/news-3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/new-11b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 4, 3, '', '', 11, '', 1),
(13, 'com_content.article', 'Model Making: Part two by DHC Leonardo Fellow James E Smith', 'model-making-part-two-by-dhc-leonardo-fellow-james-e-smith', '<p>Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 32, 142, '{"image_intro":"images\\/joomlart\\/news\\/news-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-4b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 5, 2, '', '', 11, '', 1),
(14, 'com_content.article', '‘Lest we forget\': Life Lines’ World War I digitisation workshop in DHC', 'lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc', '<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 33, 144, '{"image_intro":"images\\/joomlart\\/news\\/news-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/news\\/news-2b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 8, 1, '', '', 11, '', 1),
(15, 'com_content.article', 'A day trip to the University’s Manuscripts and Special Collections', 'a-day-trip-to-the-university-s-manuscripts-and-special-collections', '<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend harum .</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2018-01-15 02:18:43', 42, '2018-01-15 02:18:43', '*', '2018-01-15 02:18:43', '0000-00-00 00:00:00', 34, 146, '{"image_intro":"images\\/joomlart\\/news\\/news-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/blog\\/blog-1b.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 3, 7, 0, '', '', 11, '', 1);

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `character_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` longtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB AUTO_INCREMENT=226 DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(1, 8, 5, '', '2018-01-15 02:18:43', 42, 546, '0308e662277162399e994a4171ea389e32200d49', '{"id":8,"asset_id":55,"parent_id":"1","lft":"11","rgt":12,"level":1,"path":null,"extension":"com_content","title":"Blogs","alias":"blogs","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:20","modified_user_id":null,"modified_time":"2015-11-19 07:54:20","hits":"0","language":"*","version":null}', 0),
(2, 9, 5, '', '2018-01-15 02:18:43', 42, 544, '7ba6dc0799ae48e03a9730178cfbceb185051566', '{"id":9,"asset_id":56,"parent_id":"1","lft":"13","rgt":14,"level":1,"path":null,"extension":"com_content","title":"News","alias":"news","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:46","modified_user_id":null,"modified_time":"2015-11-19 07:54:46","hits":"0","language":"*","version":null}', 0),
(3, 8, 5, '', '2018-01-15 02:18:43', 42, 569, '16280bfb894ee0720dc708c8ae12df7a83a3fb90', '{"id":8,"asset_id":"55","parent_id":"1","lft":"11","rgt":"12","level":"1","path":"blogs","extension":"com_content","title":"Blog","alias":"blog","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-19 07:56:49","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:20","modified_user_id":"42","modified_time":"2015-11-19 07:56:54","hits":"0","language":"*","version":"1"}', 0),
(4, 1, 1, '', '2018-01-15 02:18:43', 42, 3400, '8cd1ea38cecbfa41878c569cdfc6f2498dda89d4', '{"id":1,"asset_id":58,"title":"Laoreet tempus vestibulum in tortor tortor aenean fames","alias":"laoreet-tempus-vestibulum-in-tortor-tortor-aenean-fames","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n","fulltext":"","state":1,"catid":"8","created":"2015-11-19 08:07:30","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:07:30","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-19 08:07:30","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(5, 2, 1, '', '2018-01-15 02:18:43', 42, 3722, '189b27af66714ecd783c96a5046007b49b836f9b', '{"id":2,"asset_id":59,"title":"Adipiscing enim congue lobortis risus quis","alias":"adipiscing-enim-congue-lobortis-risus-quis","introtext":"<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>\\r\\n\\r\\n<p>Interdum urna cursus pretium Curabitur turpis nunc ligula eu dictumst. Sed ut est nulla sapien vivamus condimentum orci nulla vestibulum in. Adipiscing enim congue lobortis risus quis vitae ipsum tincidunt turpis ut. Lorem nec semper augue felis amet vivamus wisi non pharetra massa. Leo Vestibulum Nunc consectetuer mauris eros hac eros pede tortor Ut. Phasellus sed dui nunc laoreet nunc Curabitur sed.<\\/p>","fulltext":"","state":1,"catid":"8","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:08:12","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(6, 3, 1, '', '2018-01-15 02:18:43', 42, 3354, '729b0922e4b07753a1f864fe5c0aae2a338e70d1', '{"id":3,"asset_id":60,"title":"Mattis quis senectus lobortis adipiscing felis","alias":"mattis-quis-senectus-lobortis-adipiscing-felis","introtext":"<p>Justo elit dolor congue ligula nibh habitasse dui nullam felis Maecenas. Tincidunt dapibus sed mauris nibh nulla ullamcorper pellentesque morbi pede at. wisi dui pharetra tellus augue aenean at sit porta at fringilla. At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Mattis quis senectus lobortis adipiscing felis vel commodo integer elit vel. Ut quis at nibh quisque urna urna habitant nam morbi turpis. Vivamus tempor massa sit scelerisque parturient nibh id wisi semper elit. Justo velit malesuada ut Mauris lorem pretium tincidunt enim odio elit. Elit mauris justo magna vel consequat sit vestibulum vel nunc velit. Libero gravida.<\\/p>\\r\\n\\r\\n<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>","state":1,"catid":"8","created":"2015-11-19 08:08:36","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:08:36","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-19 08:08:36","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(7, 2, 1, '', '2018-01-15 02:18:43', 42, 3747, '53c496b229822b1b35aa692cad2f5969355024f5', '{"id":2,"asset_id":"59","title":"Adipiscing enim congue lobortis risus quis","alias":"adipiscing-enim-congue-lobortis-risus-quis","introtext":"<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>\\r\\n\\r\\n<p>Interdum urna cursus pretium Curabitur turpis nunc ligula eu dictumst. Sed ut est nulla sapien vivamus condimentum orci nulla vestibulum in. Adipiscing enim congue lobortis risus quis vitae ipsum tincidunt turpis ut. Lorem nec semper augue felis amet vivamus wisi non pharetra massa. Leo Vestibulum Nunc consectetuer mauris eros hac eros pede tortor Ut. Phasellus sed dui nunc laoreet nunc Curabitur sed.<\\/p>","state":1,"catid":"8","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:09:01","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-19 08:08:52","publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(8, 1, 1, '', '2018-01-15 02:18:43', 42, 3425, 'b5fc3eef25a714a7d230a57705da1c2906a7aa62', '{"id":1,"asset_id":"58","title":"Laoreet tempus vestibulum in tortor tortor aenean fames","alias":"laoreet-tempus-vestibulum-in-tortor-tortor-aenean-fames","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n","state":1,"catid":"8","created":"2015-11-19 08:07:30","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:09:16","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-19 08:09:06","publish_up":"2015-11-19 08:07:30","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(9, 4, 1, '', '2018-01-15 02:18:43', 42, 3423, '1f08a56b38826b7357862ae4b22561cc10b3e4fa', '{"id":4,"asset_id":61,"title":"Adipiscing enim congue lobortis risus quis vitae ipsum tincidunt turpis ut","alias":"adipiscing-enim-congue-lobortis-risus-quis-vitae-ipsum-tincidunt-turpis-ut","introtext":"<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>\\r\\n\\r\\n<p>Interdum urna cursus pretium Curabitur turpis nunc ligula eu dictumst. Sed ut est nulla sapien vivamus condimentum orci nulla vestibulum in. Adipiscing enim congue lobortis risus quis vitae ipsum tincidunt turpis ut. Lorem nec semper augue felis amet vivamus wisi non pharetra massa. Leo Vestibulum Nunc consectetuer mauris eros hac eros pede tortor Ut. Phasellus sed dui nunc laoreet nunc Curabitur sed.<\\/p>\\r\\n\\r\\n<p>Ipsum elit venenatis ac gravida condimentum Phasellus vitae interdum vivamus ut. Volutpat cursus sed vel laoreet lacinia at pellentesque adipiscing malesuada quis. Condimentum tempus id sit vel pellentesque urna sed ut curabitur ut. Elit cursus vel nam magna nam dapibus augue elit sociis non. Ridiculus aenean mollis duis neque id pellentesque tempus dolor leo ut. Quis vestibulum.<\\/p>","state":1,"catid":"8","created":"2015-11-19 08:09:43","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:09:43","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-19 08:09:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(10, 5, 1, '', '2018-01-15 02:18:43', 42, 3444, 'c3bb56c3b9c45bb79d0f29647f00193f3415743e', '{"id":5,"asset_id":62,"title":"Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem","alias":"volutpat-ac-sem-adipiscing-phasellus-nibh-pellentesque-nibh-enim-arcu-lorem","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>","state":1,"catid":"8","created":"2015-11-19 08:11:13","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:11:13","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-19 08:11:13","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(11, 6, 1, '', '2018-01-15 02:18:43', 42, 3829, '3cec7e219f631ded8fbcd5fe7faf5f19533c0046', '{"id":6,"asset_id":63,"title":"Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem","alias":"consequat-curabitur-vitae-nibh-et-ut-orci-senectus-quis-accumsan-sem","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"8","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-19 08:11:32","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(12, 7, 1, '', '2018-01-15 02:18:43', 42, 3840, '3bba8f68e85ab6f9930e9f28097284073c598813', '{"id":7,"asset_id":68,"title":"Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem","alias":"consequat-curabitur-vitae-nibh-et-ut-orci-senectus-quis-accumsan-sem","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":0,"catid":9,"created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-20 07:54:57","modified_by":"0","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"0","metakey":"","metadesc":"","access":"1","hits":0,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(13, 7, 1, '', '2018-01-15 02:18:43', 42, 3889, 'ef987912058b0be2a1575dc6d19642cc425b9502', '{"id":7,"asset_id":"68","title":"International Relations Students of Platon University Collaborate with The World Leadership Alliance","alias":"international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"9","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-20 07:55:08","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 07:54:59","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(14, 7, 1, '', '2018-01-15 02:18:43', 42, 3927, '242fc9c19385f9a32b758c7fc2fa8a8e779c40fc', '{"id":7,"asset_id":"68","title":"International Relations Students of Platon University Collaborate with The World Leadership Alliance","alias":"international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"9","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-20 07:55:26","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 07:55:11","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(15, 9, 5, '', '2018-01-15 02:18:43', 42, 596, '27710a5802b27652b14287d27cbab91a398e761e', '{"id":9,"asset_id":"56","parent_id":"1","lft":"13","rgt":"14","level":"1","path":"news","extension":"com_content","title":"Platon in the news","alias":"platon-in-the-news","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-20 08:12:18","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:46","modified_user_id":"42","modified_time":"2015-11-20 08:12:27","hits":"0","language":"*","version":"1"}', 0),
(16, 10, 5, '', '2018-01-15 02:18:43', 42, 553, '1376ab2cd5e751f9965c0ae008032a5915f4d54f', '{"id":10,"asset_id":70,"parent_id":"8","lft":"12","rgt":13,"level":2,"path":null,"extension":"com_content","title":"Teaching","alias":"teaching","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:15:03","modified_user_id":null,"modified_time":"2015-11-20 09:15:03","hits":"0","language":"*","version":null}', 0),
(17, 11, 5, '', '2018-01-15 02:18:43', 42, 553, '037fa49e013f59d345ec22fbf9bc67693c766744', '{"id":11,"asset_id":71,"parent_id":"8","lft":"14","rgt":15,"level":2,"path":null,"extension":"com_content","title":"Learning","alias":"learning","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:15:18","modified_user_id":null,"modified_time":"2015-11-20 09:15:18","hits":"0","language":"*","version":null}', 0),
(18, 12, 5, '', '2018-01-15 02:18:43', 42, 571, '4b36072aeaebd84d0dd45bd1a73d0e40a6aae555', '{"id":12,"asset_id":72,"parent_id":"8","lft":"16","rgt":17,"level":2,"path":null,"extension":"com_content","title":"Critical Thinking","alias":"critical-thinking","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:15:59","modified_user_id":null,"modified_time":"2015-11-20 09:15:59","hits":"0","language":"*","version":null}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(19, 6, 1, '', '2018-01-15 02:18:43', 42, 3645, '4a55db450a0463aa0fcd0f935f1388931ff45564', '{"id":6,"asset_id":"63","title":"Critical Thinking Creating Students That Solve Problems","alias":"critical-thinking-creating-students-that-solve-problems","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"12","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:18:31","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:17:37","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(20, 2, 8, '', '2018-01-15 02:18:43', 42, 855, 'ef6c0e4162e0003744b5d32f013a003b1e18bf4d', '{"id":2,"parent_id":"1","lft":"1","rgt":2,"level":1,"path":null,"title":"Education","alias":"education","note":"","description":"","published":"1","checked_out":null,"checked_out_time":"2015-11-20 09:18:46","access":"1","params":"{\\"tag_layout\\":\\"\\",\\"tag_link_class\\":\\"label label-info\\"}","metadesc":" ","metakey":" ","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:18:46","created_by_alias":"","modified_user_id":null,"modified_time":"2015-11-20 09:18:46","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{}","hits":"0","language":"*","version":null,"publish_up":"2015-11-20 09:18:46","publish_down":"2015-11-20 09:18:46"}', 0),
(21, 3, 8, '', '2018-01-15 02:18:43', 42, 853, '026a4c21bb402d9d92001e926ea51045900dabd8', '{"id":3,"parent_id":"1","lft":"3","rgt":4,"level":1,"path":null,"title":"Teaching","alias":"teaching","note":"","description":"","published":"1","checked_out":null,"checked_out_time":"2015-11-20 09:19:00","access":"1","params":"{\\"tag_layout\\":\\"\\",\\"tag_link_class\\":\\"label label-info\\"}","metadesc":" ","metakey":" ","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:19:00","created_by_alias":"","modified_user_id":null,"modified_time":"2015-11-20 09:19:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{}","hits":"0","language":"*","version":null,"publish_up":"2015-11-20 09:19:00","publish_down":"2015-11-20 09:19:00"}', 0),
(22, 4, 8, '', '2018-01-15 02:18:43', 42, 853, '74da2c5abfdc1150fc28182eaab21d06540a1c8d', '{"id":4,"parent_id":"1","lft":"5","rgt":6,"level":1,"path":null,"title":"Learning","alias":"learning","note":"","description":"","published":"1","checked_out":null,"checked_out_time":"2015-11-20 09:19:07","access":"1","params":"{\\"tag_layout\\":\\"\\",\\"tag_link_class\\":\\"label label-info\\"}","metadesc":" ","metakey":" ","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:19:07","created_by_alias":"","modified_user_id":null,"modified_time":"2015-11-20 09:19:07","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{}","hits":"0","language":"*","version":null,"publish_up":"2015-11-20 09:19:07","publish_down":"2015-11-20 09:19:07"}', 0),
(23, 5, 8, '', '2018-01-15 02:18:43', 42, 871, 'b00a015b204fcc5a5ad696e8ebbb394efe7197c8', '{"id":5,"parent_id":"1","lft":"7","rgt":8,"level":1,"path":null,"title":"Critical Thinking","alias":"critical-thinking","note":"","description":"","published":"1","checked_out":null,"checked_out_time":"2015-11-20 09:19:16","access":"1","params":"{\\"tag_layout\\":\\"\\",\\"tag_link_class\\":\\"label label-info\\"}","metadesc":" ","metakey":" ","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:19:16","created_by_alias":"","modified_user_id":null,"modified_time":"2015-11-20 09:19:16","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{}","hits":"0","language":"*","version":null,"publish_up":"2015-11-20 09:19:16","publish_down":"2015-11-20 09:19:16"}', 0),
(24, 5, 1, '', '2018-01-15 02:18:43', 42, 3536, '1c85981216379f5c208f6b84700c94750de70f31', '{"id":5,"asset_id":"62","title":"60 Ways To Help Students Think For Themselves","alias":"60-ways-to-help-students-think-for-themselves","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-19 08:11:13","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:20:27","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:19:23","publish_up":"2015-11-19 08:11:13","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(25, 4, 1, '', '2018-01-15 02:18:43', 42, 5108, '90834d602120f81309dcbb1962af48033a8b2a1b', '{"id":4,"asset_id":"61","title":"Why Questions Are More Important Than Answers","alias":"why-questions-are-more-important-than-answers","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n<hr title=\\"The \\u2018Never Ending Pot\\" alt=\\"The \\u2018Never Ending Pot\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n<hr title=\\"Resistance is Futile. Hand Over All Your Documents\\" alt=\\"Resistance is Futile. Hand Over All Your Documents\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-19 08:09:43","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:24:02","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:20:32","publish_up":"2015-11-19 08:09:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(26, 8, 5, '', '2018-01-15 02:18:43', 42, 568, '77dcc8c600eb203e733e06598ff9a0bc3cf1574a', '{"id":8,"asset_id":"55","parent_id":"1","lft":"11","rgt":"18","level":"1","path":"blog","extension":"com_content","title":"News","alias":"news","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-20 09:25:46","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:20","modified_user_id":"42","modified_time":"2015-11-20 09:25:57","hits":"0","language":"*","version":"1"}', 0),
(27, 13, 5, '', '2018-01-15 02:18:43', 42, 545, '96f0a01aced3132de741358ad1108019128aa6ad', '{"id":13,"asset_id":75,"parent_id":"1","lft":"21","rgt":22,"level":1,"path":null,"extension":"com_content","title":"Blog","alias":"blog","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:26:11","modified_user_id":null,"modified_time":"2015-11-20 09:26:11","hits":"0","language":"*","version":null}', 0),
(28, 3, 1, '', '2018-01-15 02:18:43', 42, 3372, '55ff3922a84489ca21d62b7cc7a4f786ae3966a7', '{"id":3,"asset_id":"60","title":"Mattis quis senectus lobortis adipiscing felis","alias":"mattis-quis-senectus-lobortis-adipiscing-felis","introtext":"<p>Justo elit dolor congue ligula nibh habitasse dui nullam felis Maecenas. Tincidunt dapibus sed mauris nibh nulla ullamcorper pellentesque morbi pede at. wisi dui pharetra tellus augue aenean at sit porta at fringilla. At porttitor ac eget justo volutpat sem enim tellus morbi porttitor. A dui tortor pellentesque duis et tellus ut tempor adipiscing nam. Vestibulum at cum accumsan.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Mattis quis senectus lobortis adipiscing felis vel commodo integer elit vel. Ut quis at nibh quisque urna urna habitant nam morbi turpis. Vivamus tempor massa sit scelerisque parturient nibh id wisi semper elit. Justo velit malesuada ut Mauris lorem pretium tincidunt enim odio elit. Elit mauris justo magna vel consequat sit vestibulum vel nunc velit. Libero gravida.<\\/p>\\r\\n\\r\\n<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>","state":1,"catid":"13","created":"2015-11-19 08:08:36","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:26:30","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:26:24","publish_up":"2015-11-19 08:08:36","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(29, 2, 1, '', '2018-01-15 02:18:43', 42, 3748, '2f2b4e7b737e12ba77c8a8b732f4761ce24af5b7', '{"id":2,"asset_id":"59","title":"Adipiscing enim congue lobortis risus quis","alias":"adipiscing-enim-congue-lobortis-risus-quis","introtext":"<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>\\r\\n\\r\\n<p>Interdum urna cursus pretium Curabitur turpis nunc ligula eu dictumst. Sed ut est nulla sapien vivamus condimentum orci nulla vestibulum in. Adipiscing enim congue lobortis risus quis vitae ipsum tincidunt turpis ut. Lorem nec semper augue felis amet vivamus wisi non pharetra massa. Leo Vestibulum Nunc consectetuer mauris eros hac eros pede tortor Ut. Phasellus sed dui nunc laoreet nunc Curabitur sed.<\\/p>","state":1,"catid":"13","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:26:39","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:26:32","publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(30, 1, 1, '', '2018-01-15 02:18:43', 42, 3426, '246d31e0ab2363409dea4f69f952da0d86486a60', '{"id":1,"asset_id":"58","title":"Laoreet tempus vestibulum in tortor tortor aenean fames","alias":"laoreet-tempus-vestibulum-in-tortor-tortor-aenean-fames","introtext":"<p>Vestibulum vel gravida nunc wisi ligula porttitor pellentesque donec suspendisse lorem. Lacinia turpis semper lobortis mollis tempus nulla at tincidunt justo id. Nibh ipsum lacus aenean curabitur ornare lobortis nunc tristique tempor in. Nam id urna magna laoreet eget maecenas orci interdum proin interdum. Magna vestibulum elit dictum sagittis nam congue vivamus sagittis neque amet. Cursus et auctor sem mattis lacus egestas nibh enim elit congue. <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:07:30","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:26:43","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:26:35","publish_up":"2015-11-19 08:07:30","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(31, 9, 5, '', '2018-01-15 02:18:43', 42, 586, 'cf8b8e06f10f036fb7be64cee5041e980df0f3ed', '{"id":9,"asset_id":"56","parent_id":"1","lft":"19","rgt":"20","level":"1","path":"platon-in-the-news","extension":"com_content","title":"Platon","alias":"platon","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-20 09:27:40","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:46","modified_user_id":"42","modified_time":"2015-11-20 09:28:01","hits":"0","language":"*","version":"1"}', 0),
(32, 8, 5, '', '2018-01-15 02:18:43', 42, 596, '6436be9701cd2d8c8373fcd078c880f5e4cfe901', '{"id":8,"asset_id":"55","parent_id":"1","lft":"11","rgt":"18","level":"1","path":"news","extension":"com_content","title":"Platon in the news","alias":"platon-in-the-news","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-20 09:27:41","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:20","modified_user_id":"42","modified_time":"2015-11-20 09:28:03","hits":"0","language":"*","version":"1"}', 0),
(33, 3, 1, '', '2018-01-15 02:18:43', 42, 3477, '524a8ae65121ffcf177adbb8ee0f376c0961195c', '{"id":3,"asset_id":"60","title":"What Close Reading Actually Means","alias":"what-close-reading-actually-means","introtext":"\\r\\n<p>Lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:36","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:32:48","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:31:32","publish_up":"2015-11-19 08:08:36","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(34, 2, 1, '', '2018-01-15 02:18:43', 42, 3499, 'ce3755847e27bc1ae13203cdccfbd45906d42238', '{"id":2,"asset_id":"59","title":"Adipiscing enim congue lobortis risus quis","alias":"adipiscing-enim-congue-lobortis-risus-quis","introtext":"<p>Sagittis tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:35:30","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:33:00","publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(35, 1, 1, '', '2018-01-15 02:18:43', 42, 3490, '02f34f66ff5f5a20c804fc8d8d10a4cef4a87dce', '{"id":1,"asset_id":"58","title":"How To Add Rigor To Anything","alias":"how-to-add-rigor-to-anything","introtext":"<p>Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:07:30","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:37:15","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:35:34","publish_up":"2015-11-19 08:07:30","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(36, 2, 1, '', '2018-01-15 02:18:43', 42, 3509, '3231de5332d8a5d03d7848aaa424dc44f3b14556', '{"id":2,"asset_id":"59","title":"Why Teaching Is Still The Best Job In The World","alias":"why-teaching-is-still-the-best-job-in-the-world","introtext":"<p>Sagittis tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-20 09:52:47","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-20 09:52:15","publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(37, 6, 1, '', '2018-01-15 02:18:43', 42, 3645, 'f1d2b0ca0f4a2ed2dcc337c54ee6a9f49802d9a6', '{"id":6,"asset_id":"63","title":"Critical Thinking Creating Students That Solve Problems","alias":"critical-thinking-creating-students-that-solve-problems","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"13","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:43:38","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-21 02:43:24","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(38, 5, 1, '', '2018-01-15 02:18:43', 42, 3536, '06738a5e0049f37dcee6db1da2f9265263c3a860', '{"id":5,"asset_id":"62","title":"60 Ways To Help Students Think For Themselves","alias":"60-ways-to-help-students-think-for-themselves","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:11:13","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:43:57","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-21 02:43:43","publish_up":"2015-11-19 08:11:13","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(39, 4, 1, '', '2018-01-15 02:18:43', 42, 5108, '01f10ea7f0999afe452a8d1427d24f1a291c21ef', '{"id":4,"asset_id":"61","title":"Why Questions Are More Important Than Answers","alias":"why-questions-are-more-important-than-answers","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n<hr title=\\"The \\u2018Never Ending Pot\\" alt=\\"The \\u2018Never Ending Pot\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n<hr title=\\"Resistance is Futile. Hand Over All Your Documents\\" alt=\\"Resistance is Futile. Hand Over All Your Documents\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:09:43","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:44:05","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-21 02:43:59","publish_up":"2015-11-19 08:09:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(40, 8, 1, '', '2018-01-15 02:18:43', 42, 5277, '6c26c2d23932b7523a6f2e27a563277b1265334a', '{"id":8,"asset_id":100,"title":"Universities and the UK\\u2019s EU referendum","alias":"universities-and-the-uk-s-eu-referendum","introtext":" <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:45:49","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:45:49","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 02:45:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(41, 9, 1, '', '2018-01-15 02:18:43', 42, 3823, 'c489d64b2fb293561bddb4894cfa24d2c56e7264', '{"id":9,"asset_id":102,"title":"Negative educational equity?","alias":"negative-educational-equity","introtext":"<p>Dignissimos  lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:46:48","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:46:48","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 02:46:48","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(42, 10, 1, '', '2018-01-15 02:18:43', 42, 3873, '3c20899b5bc439b0a513a253f7c351de5c1b7aa9', '{"id":10,"asset_id":103,"title":"The academic network","alias":"the-academic-network","introtext":"<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:47:18","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:47:18","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 02:47:18","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(43, 11, 1, '', '2018-01-15 02:18:43', 42, 4049, '013604df374b18513b2c601cb1f1584593238fb5', '{"id":11,"asset_id":104,"title":"Knocking louder on Europe\\u2019s door","alias":"knocking-louder-on-europe-s-door","introtext":"<p>Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<p>Varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:48:38","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:48:38","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 02:48:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(44, 12, 1, '', '2018-01-15 02:18:43', 42, 4106, '4c947d37a2f7e0a7a1924e371b3d10c888ec7627', '{"id":12,"asset_id":105,"title":"A testing time for university admissions","alias":"a-testing-time-for-university-admissions","introtext":"<p>Fames ac turpis egestas. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:49:46","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:49:46","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 02:49:46","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(45, 13, 1, '', '2018-01-15 02:18:43', 42, 4382, 'da77a67304fbbba40764daf529a16da8b835676e', '{"id":13,"asset_id":107,"title":"Parental care","alias":"parental-care","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur  consequuntur magni dolores eos?<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:50:49","created_by":"42","created_by_alias":"","modified":"2015-11-21 02:50:49","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 02:50:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(46, 14, 1, '', '2018-01-15 02:18:43', 42, 1994, '9263f3af32e7e1d569e22f71d09e03ff785f2131', '{"id":14,"asset_id":110,"title":"Error page","alias":"error-page","introtext":"<div class=\\"single-content\\">\\r\\n<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style<\\/strong>.<\\/center><\\/div>\\r\\n<p align=\\"center\\"><img src=\\"images\\/joomlart\\/404-page.jpg\\" alt=\\"Sample Image\\" border=\\"0\\" \\/><\\/p>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"2","created":"2015-11-21 03:37:34","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:37:34","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:37:34","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(47, 15, 1, '', '2018-01-15 02:18:43', 42, 2010, 'dfc9b62b67b34fc76b7c1658b993787deb0fea0d', '{"id":15,"asset_id":111,"title":"Offline Page","alias":"offline-page","introtext":"<div class=\\"single-content\\">\\r\\n<div class=\\"well\\"><center>Each <strong>JA Joomla Template<\\/strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style<\\/strong>.<\\/center><\\/div>\\r\\n<p align=\\"center\\"><img src=\\"images\\/joomlart\\/offline-page.jpg\\" alt=\\"Sample Image\\" border=\\"0\\" \\/><\\/p>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"2","created":"2015-11-21 03:38:04","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:38:04","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:38:04","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(48, 16, 1, '', '2018-01-15 02:18:43', 42, 3799, '6634a55d80aeb4b3ae3a480c7ecc83bcb3e73151', '{"id":16,"asset_id":112,"title":"The fear of genetics","alias":"the-fear-of-genetics","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:47:55","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(49, 17, 1, '', '2018-01-15 02:18:43', 42, 4626, '034573a871c85e5fd76b02eecd759d8fbb82b1a2', '{"id":17,"asset_id":113,"title":"From sensitivity into intellectual vacuity","alias":"from-sensitivity-into-intellectual-vacuity","introtext":" <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:49:07","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:49:07","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:49:07","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(50, 18, 1, '', '2018-01-15 02:18:43', 42, 3548, '74f078610c9093a10584210d5947d5dd58eda333', '{"id":18,"asset_id":114,"title":"All in a day\\u2019s work?","alias":"all-in-a-day-s-work","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur voluptatem accusantium?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:49:44","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(51, 19, 1, '', '2018-01-15 02:18:43', 42, 4754, '33e8b9d4308d5ab68495f78ac296279030e59850', '{"id":19,"asset_id":115,"title":"Talking points: Keeping watch","alias":"talking-points-keeping-watch","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam vestibulum <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>","state":1,"catid":"8","created":"2015-11-21 03:50:32","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:50:32","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:50:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(52, 20, 1, '', '2018-01-15 02:18:43', 42, 3781, '3b8736e74044021c572712a6586daf5627ea0d05', '{"id":20,"asset_id":116,"title":"Getting poorer students to university","alias":"getting-poorer-students-to-university","introtext":"<p> Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:51:23","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:51:23","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:51:23","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(53, 21, 1, '', '2018-01-15 02:18:43', 42, 3519, '19ebeeb1d6b54a5f2fb4e19a32c80065d51a95c5', '{"id":21,"asset_id":117,"title":"Letter (or more of a note, really) from Vienna","alias":"letter-or-more-of-a-note-really-from-vienna","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:51:51","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:51:51","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:51:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(54, 22, 1, '', '2018-01-15 02:18:43', 42, 3797, 'fb9a933ec6762562e0df8a33cd0e40845c880733', '{"id":22,"asset_id":118,"title":"Gender equality in Irish universities","alias":"gender-equality-in-irish-universities","introtext":"<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:52:31","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:52:31","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:52:31","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(55, 23, 1, '', '2018-01-15 02:18:43', 42, 3502, 'c97b2d5242332b795e6eb1351b5da160a779369a', '{"id":23,"asset_id":119,"title":"It\\u2019s time to think creatively about higher education funding","alias":"it-s-time-to-think-creatively-about-higher-education-funding","introtext":"<p> Maecenas nisl justo, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n ","fulltext":"\\r\\n\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>","state":1,"catid":"8","created":"2015-11-21 03:53:27","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:53:27","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:53:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(56, 24, 1, '', '2018-01-15 02:18:43', 42, 5536, 'b1c3471c2ed17147ddcbd9448a154e2a8233a40f', '{"id":24,"asset_id":120,"title":"Slimming down the lecture","alias":"slimming-down-the-lecture","introtext":" <p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:54:09","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:54:09","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:54:09","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(57, 25, 1, '', '2018-01-15 02:18:43', 42, 4069, 'bc9b667e51aff1142a55c6cd979c3077fa2b3719', '{"id":25,"asset_id":121,"title":"Analogue tales","alias":"analogue-tales","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:54:43","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(58, 26, 1, '', '2018-01-15 02:18:43', 42, 4430, '5ef05c64d1f2ac49f76efee3ebb9fe701a2b0c34', '{"id":26,"asset_id":122,"title":"My research says they\\u2019re out to get me","alias":"my-research-says-they-re-out-to-get-me","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"8","created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-11-21 03:55:28","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(59, 9, 5, '', '2018-01-15 02:18:43', 42, 586, '292f84a7c969f124c98e15cb65f755fec196bc4e', '{"id":9,"asset_id":"56","parent_id":"1","lft":"19","rgt":"20","level":"1","path":"platon","extension":"com_content","title":"Platon in the news","alias":"platon","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-21 04:40:36","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-19 07:54:46","modified_user_id":"42","modified_time":"2015-11-21 04:40:47","hits":"0","language":"*","version":"1"}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(60, 26, 1, '', '2018-01-15 02:18:43', 42, 4451, '586f1ab509cdb33c274b005365d5425fff902a4c', '{"id":"26","asset_id":"122","title":"My research says they\\u2019re out to get me","alias":"my-research-says-they-re-out-to-get-me","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(61, 25, 1, '', '2018-01-15 02:18:43', 42, 4090, '96f1771bbccc1a3912d99ed9cddf135e9bf94637', '{"id":"25","asset_id":"121","title":"Analogue tales","alias":"analogue-tales","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(62, 24, 1, '', '2018-01-15 02:18:43', 42, 5557, '28a1bd105b820f8720cb1c814be7c02a53b0aef4', '{"id":"24","asset_id":"120","title":"Slimming down the lecture","alias":"slimming-down-the-lecture","introtext":" <p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:54:09","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:54:09","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(63, 23, 1, '', '2018-01-15 02:18:43', 42, 3523, '3acecac6ef9e612059cf7623533f0f2b60aae3e7', '{"id":"23","asset_id":"119","title":"It\\u2019s time to think creatively about higher education funding","alias":"it-s-time-to-think-creatively-about-higher-education-funding","introtext":"<p> Maecenas nisl justo, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n ","fulltext":"\\r\\n\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>","state":"1","catid":10,"created":"2015-11-21 03:53:27","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:53:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(64, 22, 1, '', '2018-01-15 02:18:43', 42, 3818, '9ed3557519b5b2defdd7ec81e825ae262efcddd2', '{"id":"22","asset_id":"118","title":"Gender equality in Irish universities","alias":"gender-equality-in-irish-universities","introtext":"<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:52:31","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:52:31","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(65, 21, 1, '', '2018-01-15 02:18:43', 42, 3540, '4ecb7a4d44f5aa78bd29d51d8f2921136358d69a', '{"id":"21","asset_id":"117","title":"Letter (or more of a note, really) from Vienna","alias":"letter-or-more-of-a-note-really-from-vienna","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:51:51","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:51:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(66, 20, 1, '', '2018-01-15 02:18:43', 42, 3802, 'a2edbcb4798cc29a1e5c526fa8d73605ec2bc99d', '{"id":"20","asset_id":"116","title":"Getting poorer students to university","alias":"getting-poorer-students-to-university","introtext":"<p> Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:51:23","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:51:23","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(67, 19, 1, '', '2018-01-15 02:18:43', 42, 4775, '3bb6fb61e27cb20f2afd77b73fe2b1daac70ed15', '{"id":"19","asset_id":"115","title":"Talking points: Keeping watch","alias":"talking-points-keeping-watch","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam vestibulum <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>","state":"1","catid":10,"created":"2015-11-21 03:50:32","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:50:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(68, 18, 1, '', '2018-01-15 02:18:43', 42, 3569, '85857ad9f5b875cc6f01fafb2ec65f442d3b4055', '{"id":"18","asset_id":"114","title":"All in a day\\u2019s work?","alias":"all-in-a-day-s-work","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur voluptatem accusantium?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(69, 17, 1, '', '2018-01-15 02:18:43', 42, 4647, 'e06037aacd7f6ea1099848f1cd903b73a1231bfb', '{"id":"17","asset_id":"113","title":"From sensitivity into intellectual vacuity","alias":"from-sensitivity-into-intellectual-vacuity","introtext":" <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:49:07","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:49:07","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"9","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(70, 16, 1, '', '2018-01-15 02:18:43', 42, 3821, '36fb5301aa69ac24649a7ca136445dfac30d57fc', '{"id":"16","asset_id":"112","title":"The fear of genetics","alias":"the-fear-of-genetics","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":"1","catid":10,"created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-11-21 07:47:20","modified_by":"42","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"1","ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(71, 26, 1, '', '2018-01-15 02:18:43', 42, 4440, 'd0874f3676e017f5500d83295f53b20c5c860ac6', '{"id":26,"asset_id":"122","title":"My research says they\\u2019re out to get me","alias":"my-research-says-they-re-out-to-get-me","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"10","created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-11-21 08:41:49","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-21 08:41:32","publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(72, 25, 1, '', '2018-01-15 02:18:43', 42, 4079, '564daea232e0c265d66e245be14dd022522bb74f', '{"id":25,"asset_id":"121","title":"Analogue tales","alias":"analogue-tales","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>","state":1,"catid":"10","created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-11-21 08:42:07","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-21 08:41:56","publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(73, 24, 1, '', '2018-01-15 02:18:43', 42, 5520, '4c73c3552112cad2ff521ac3b7bcfd6768b4f4ce', '{"id":24,"asset_id":"120","title":"Slimming down the lecture","alias":"slimming-down-the-lecture","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":1,"catid":"10","created":"2015-11-21 03:54:09","created_by":"42","created_by_alias":"","modified":"2015-11-21 08:42:24","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-21 08:42:10","publish_up":"2015-11-21 03:54:09","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(74, 25, 1, '', '2018-01-15 02:18:43', 42, 4251, '973781d242d05c052224e4db026d4bb02d41f561', '{"id":25,"asset_id":"121","title":"International Relations Students of Platon University Collaborate with The World Leadership Alliance","alias":"international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>","state":1,"catid":"10","created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-11-23 01:52:26","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 01:52:21","publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(75, 10, 5, '', '2018-01-15 02:18:43', 42, 621, '4cdf9255a1dda5289c99d8918af5c76756db72d2', '{"id":10,"asset_id":"70","parent_id":"8","lft":"12","rgt":"13","level":"2","path":"platon-in-the-news\\/teaching","extension":"com_content","title":"Teaching & Learning","alias":"teaching-learning","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-23 02:13:08","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:15:03","modified_user_id":"42","modified_time":"2015-11-23 02:13:14","hits":"0","language":"*","version":"1"}', 0),
(76, 11, 5, '', '2018-01-15 02:18:43', 42, 617, 'fe6e7526ca81b50997a3eac2856e6158f30f4d4b', '{"id":11,"asset_id":"71","parent_id":"8","lft":"14","rgt":"15","level":"2","path":"platon-in-the-news\\/learning","extension":"com_content","title":"Medicine & Health","alias":"medicine-health","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-23 02:13:38","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:15:18","modified_user_id":"42","modified_time":"2015-11-23 02:13:44","hits":"0","language":"*","version":"1"}', 0),
(77, 25, 1, '', '2018-01-15 02:18:43', 42, 4251, '9dbe5dd91ccf3ecb767bbf551d1f556d8bcd0a64', '{"id":25,"asset_id":"121","title":"International Relations Students of Platon University Collaborate with The World Leadership Alliance","alias":"international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>","state":1,"catid":"12","created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:27:21","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:27:09","publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":""}', 0),
(78, 26, 1, '', '2018-01-15 02:18:43', 42, 4440, '8f7cbd4bf6defd673c0221206b3754c7796cddc7', '{"id":26,"asset_id":"122","title":"My research says they\\u2019re out to get me","alias":"my-research-says-they-re-out-to-get-me","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:27:26","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:27:12","publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(79, 23, 1, '', '2018-01-15 02:18:43', 42, 3520, 'c75b2114fd67563f52aa3da2d5e4f6b53ed44d11', '{"id":23,"asset_id":"119","title":"It\\u2019s time to think creatively about higher education funding","alias":"it-s-time-to-think-creatively-about-higher-education-funding","introtext":"<p> Maecenas nisl justo, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n ","fulltext":"\\r\\n\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:53:27","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:27:41","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:27:34","publish_up":"2015-11-21 03:53:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(80, 21, 1, '', '2018-01-15 02:18:43', 42, 3537, 'a9175c2ae52eff5d95181d08f303a594b5788b73', '{"id":21,"asset_id":"117","title":"Letter (or more of a note, really) from Vienna","alias":"letter-or-more-of-a-note-really-from-vienna","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-21 03:51:51","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:27:46","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:27:37","publish_up":"2015-11-21 03:51:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(81, 24, 1, '', '2018-01-15 02:18:43', 42, 5595, 'c67cfe88d5799d33645acf3b717a3cad7d632ae3', '{"id":24,"asset_id":"120","title":"Thoughts and challenges for your journey to becoming a teacher ","alias":"thoughts-and-challenges-for-your-journey-to-becoming-a-teacher","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":1,"catid":"10","created":"2015-11-21 03:54:09","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:28:41","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:28:26","publish_up":"2015-11-21 03:54:09","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(82, 22, 1, '', '2018-01-15 02:18:43', 42, 3830, '2f8451c4df79ae32bd41227d63e3175c736a438e', '{"id":22,"asset_id":"118","title":"Sustainability focus on health and gardening!","alias":"sustainability-focus-on-health-and-gardening","introtext":"<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:52:31","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:28:57","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:28:44","publish_up":"2015-11-21 03:52:31","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(83, 20, 1, '', '2018-01-15 02:18:43', 42, 3882, 'ebec1e24ef9d386ba8e8c25c1522af923a99b4ba', '{"id":20,"asset_id":"116","title":"Learn how to lead by example and empower others: the Leadership in Sport module","alias":"learn-how-to-lead-by-example-and-empower-others-the-leadership-in-sport-module","introtext":"<p> Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:51:23","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:29:12","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:28:59","publish_up":"2015-11-21 03:51:23","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(84, 19, 1, '', '2018-01-15 02:18:43', 42, 4807, '7cf166856372c9ab547c7c687a52b702458fe802', '{"id":19,"asset_id":"115","title":"On this day in AD284 Diocletian became emperor","alias":"on-this-day-in-ad284-diocletian-became-emperor","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam vestibulum <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>","state":1,"catid":"10","created":"2015-11-21 03:50:32","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:29:30","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:29:15","publish_up":"2015-11-21 03:50:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(85, 18, 1, '', '2018-01-15 02:18:43', 42, 3695, '5999ce99507dc09a0e9a71104b5ee8da970e625a', '{"id":18,"asset_id":"114","title":"Academy schools and the first 100 days of Cameron\\u2019s Majority Conservative Government","alias":"academy-schools-and-the-first-100-days-of-cameron-s-majority-conservative-government","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur voluptatem accusantium?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:29:54","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:29:32","publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(86, 16, 1, '', '2018-01-15 02:18:43', 42, 3928, '576ce04012438757fb3b08fdb46e98f2f688e2ad', '{"id":16,"asset_id":"112","title":"Volunteering in the DHC 2015; a Historian\\u2019s perspective by Depeeka Mistry","alias":"volunteering-in-the-dhc-2015-a-historian-s-perspective-by-depeeka-mistry","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:30:20","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:29:57","publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(87, 26, 1, '', '2018-01-15 02:18:43', 42, 4445, '37b583610ac2534689b6162a8a513deec384f195', '{"id":26,"asset_id":"122","title":"The 2030 Agenda for Sustainable Development","alias":"the-2030-agenda-for-sustainable-development","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:30:55","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:30:30","publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(88, 21, 1, '', '2018-01-15 02:18:43', 42, 3548, '391bcde822108984047dbc8e8b2c1678e68cee5f', '{"id":21,"asset_id":"117","title":"Discovering the Future of Gen Y in Health Sciences","alias":"discovering-the-future-of-gen-y-in-health-sciences","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-21 03:51:51","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:31:15","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 02:31:00","publish_up":"2015-11-21 03:51:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(89, 27, 1, '', '2018-01-15 02:18:43', 42, 3951, '143bc6775ff664e8bdd0d6e5d0eeea985771dd10', '{"id":27,"asset_id":131,"title":"Research Centres and Research Groups at the University of Nottingham Malaysia Campus","alias":"research-centres-and-research-groups-at-the-university-of-nottingham-malaysia-campus","introtext":"\\r\\n<p>Ttesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo dignissimos .<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:44:27","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:44:27","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 02:44:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(90, 28, 1, '', '2018-01-15 02:18:43', 42, 3953, '61cae9437d560268b84a54673c7490b978ceeae6', '{"id":28,"asset_id":133,"title":"Tracking the progress of a Hotline query","alias":"tracking-the-progress-of-a-hotline-query","introtext":"<p>Accusantium  nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:45:22","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:45:22","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 02:45:22","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(91, 11, 5, '', '2018-01-15 02:18:43', 42, 624, 'b0405d675d3ee79f306685e8a68cea3bbc0f1aed', '{"id":11,"asset_id":"71","parent_id":"8","lft":"14","rgt":"15","level":"2","path":"platon-in-the-news\\/medicine-health","extension":"com_content","title":"Arts & Humanities","alias":"arts-humanities","note":"","description":"","published":"1","checked_out":"42","checked_out_time":"2015-11-23 02:53:39","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-20 09:15:18","modified_user_id":"42","modified_time":"2015-11-23 02:53:45","hits":"0","language":"*","version":"1"}', 0),
(92, 29, 1, '', '2018-01-15 02:18:43', 42, 3962, '48baefaceee7261a248fb6c87c02202b2a809ef2', '{"id":29,"asset_id":136,"title":"A postgraduate perspective on the Faculty of Arts","alias":"a-postgraduate-perspective-on-the-faculty-of-arts","introtext":"<p>Consectetur  pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:56:01","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:56:01","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 02:56:01","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(93, 6, 8, '', '2018-01-15 02:18:43', 42, 846, 'ac4000227d9c121a4f8cb8782e2e1a8c6e6cadfa', '{"id":6,"parent_id":"1","lft":"9","rgt":10,"level":1,"path":null,"title":"Arts","alias":"arts","note":"","description":"","published":"1","checked_out":null,"checked_out_time":"2015-11-23 02:56:22","access":"1","params":"{\\"tag_layout\\":\\"\\",\\"tag_link_class\\":\\"label label-info\\"}","metadesc":" ","metakey":" ","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-11-23 02:56:22","created_by_alias":"","modified_user_id":null,"modified_time":"2015-11-23 02:56:22","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{}","hits":"0","language":"*","version":null,"publish_up":"2015-11-23 02:56:22","publish_down":"2015-11-23 02:56:22"}', 0),
(94, 30, 1, '', '2018-01-15 02:18:43', 42, 4241, 'e2f08f741c114456fafbcf55f98289fec6d507dc', '{"id":30,"asset_id":138,"title":"Digital Time Travellers: MayFest 2015 at the Digital Humanities Centre.","alias":"digital-time-travellers-mayfest-2015-at-the-digital-humanities-centre","introtext":"<p>Perspiciatis unde Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:58:38","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:58:38","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 02:58:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(95, 31, 1, '', '2018-01-15 02:18:43', 42, 4381, '1dbc9e10d41f13751b190a04ec2aa5ebcdb11bab', '{"id":31,"asset_id":139,"title":"Hearts of Heritage project update by volunteer bloggers Laura and Caterina","alias":"hearts-of-heritage-project-update-by-volunteer-bloggers-laura-and-caterina","introtext":"<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora,<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:59:38","created_by":"42","created_by_alias":"","modified":"2015-11-23 02:59:38","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 02:59:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(96, 32, 1, '', '2018-01-15 02:18:43', 42, 4311, 'e5716096cb85a01c2178cc26fe7d6815dc74a7b4', '{"id":32,"asset_id":141,"title":"Model Making: Part two by DHC Leonardo Fellow James E Smith","alias":"model-making-part-two-by-dhc-leonardo-fellow-james-e-smith","introtext":"<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n<hr title=\\"The \\u2018Never Ending Pot\\u2019 That Feeds India\\u2019s Needy Children\\" alt=\\"The \\u2018Never Ending Pot\\u2019 That Feeds India\\u2019s Needy Children\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:00:33","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:00:33","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 03:00:33","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(97, 33, 1, '', '2018-01-15 02:18:43', 42, 3592, 'ccada1674355f12bf265bcbc7d3effe0b2f237be', '{"id":33,"asset_id":143,"title":"\\u2018Lest we forget\': Life Lines\\u2019 World War I digitisation workshop in DHC","alias":"lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc","introtext":"<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:01:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:01:28","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 03:01:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(98, 34, 1, '', '2018-01-15 02:18:43', 42, 3908, '3d99d981ccaed05a805612156b65839cbe91fa6d', '{"id":34,"asset_id":145,"title":"A day trip to the University\\u2019s Manuscripts and Special Collections","alias":"a-day-trip-to-the-university-s-manuscripts-and-special-collections","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend harum .<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:03:39","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:03:39","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-11-23 03:03:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(99, 32, 1, '', '2018-01-15 02:18:43', 42, 3890, '098cac66b4528781b682dcfb0f9bee2b5b846210', '{"id":32,"asset_id":"141","title":"Model Making: Part two by DHC Leonardo Fellow James E Smith","alias":"model-making-part-two-by-dhc-leonardo-fellow-james-e-smith","introtext":"<p>Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat.<\\/p>\\r\\n\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:00:33","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:04:39","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:04:16","publish_up":"2015-11-23 03:00:33","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(100, 34, 1, '', '2018-01-15 02:18:43', 42, 3965, 'f7062a079763ba8c107864032a3c8c477dac66c3', '{"id":34,"asset_id":"145","title":"A day trip to the University\\u2019s Manuscripts and Special Collections","alias":"a-day-trip-to-the-university-s-manuscripts-and-special-collections","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend harum .<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:03:39","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:16:50","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:15:13","publish_up":"2015-11-23 03:03:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(101, 33, 1, '', '2018-01-15 02:18:43', 42, 3649, 'f431174fb534c70e4bee0ede25503ec68bbbee0e', '{"id":33,"asset_id":"143","title":"\\u2018Lest we forget\': Life Lines\\u2019 World War I digitisation workshop in DHC","alias":"lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc","introtext":"<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:01:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:17:07","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:16:56","publish_up":"2015-11-23 03:01:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(102, 33, 1, '', '2018-01-15 02:18:43', 42, 3653, '9fcc11e18f3b3e58af34fab59cec67d2d77dd437', '{"id":33,"asset_id":"143","title":"\\u2018Lest we forget\': Life Lines\\u2019 World War I digitisation workshop in DHC","alias":"lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc","introtext":"<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:01:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:18:06","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:17:07","publish_up":"2015-11-23 03:01:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(103, 34, 1, '', '2018-01-15 02:18:43', 42, 3969, '11f66a4e85269c42f457bd6f358639929a0f637c', '{"id":34,"asset_id":"145","title":"A day trip to the University\\u2019s Manuscripts and Special Collections","alias":"a-day-trip-to-the-university-s-manuscripts-and-special-collections","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend harum .<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:03:39","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:18:40","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:18:34","publish_up":"2015-11-23 03:03:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(104, 22, 1, '', '2018-01-15 02:18:43', 42, 3870, '4aac1aed4b7553b0f1ccf29a5108701b5a104dab', '{"id":22,"asset_id":"118","title":"Sustainability focus on health and gardening!","alias":"sustainability-focus-on-health-and-gardening","introtext":"<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:52:31","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:28:07","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:27:55","publish_up":"2015-11-21 03:52:31","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(105, 20, 1, '', '2018-01-15 02:18:43', 42, 3922, '6a0fc305449e92b9994b923fdbda953e31ff88ec', '{"id":20,"asset_id":"116","title":"Learn how to lead by example and empower others: the Leadership in Sport module","alias":"learn-how-to-lead-by-example-and-empower-others-the-leadership-in-sport-module","introtext":"<p> Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:51:23","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:28:20","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:27:57","publish_up":"2015-11-21 03:51:23","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(106, 33, 1, '', '2018-01-15 02:18:43', 42, 3609, 'fab6d3493f3ed4f1a41afc5c73d8fd4375edb2f6', '{"id":33,"asset_id":"143","title":"\\u2018Lest we forget\': Life Lines\\u2019 World War I digitisation workshop in DHC","alias":"lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc","introtext":"<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:01:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 03:28:38","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 03:18:06","publish_up":"2015-11-23 03:01:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(107, 31, 1, '', '2018-01-15 02:18:43', 42, 4438, 'fc686411516bdfa307e446bd053448703ed1d322', '{"id":31,"asset_id":"139","title":"Hearts of Heritage project update by volunteer bloggers Laura and Caterina","alias":"hearts-of-heritage-project-update-by-volunteer-bloggers-laura-and-caterina","introtext":"<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora,<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:59:38","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:16:37","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:16:18","publish_up":"2015-11-23 02:59:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(108, 30, 1, '', '2018-01-15 02:18:43', 42, 4298, '6411a8c2e38a9841ed622500254fe3e7f62ba3d6', '{"id":30,"asset_id":"138","title":"Digital Time Travellers: MayFest 2015 at the Digital Humanities Centre.","alias":"digital-time-travellers-mayfest-2015-at-the-digital-humanities-centre","introtext":"<p>Perspiciatis unde Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:58:38","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:16:50","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:16:21","publish_up":"2015-11-23 02:58:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(109, 29, 1, '', '2018-01-15 02:18:43', 42, 4019, 'f0942ac75df86721153931f94ccc10fef4575e9c', '{"id":29,"asset_id":"136","title":"A postgraduate perspective on the Faculty of Arts","alias":"a-postgraduate-perspective-on-the-faculty-of-arts","introtext":"<p>Consectetur  pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:56:01","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:27:52","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:27:31","publish_up":"2015-11-23 02:56:01","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(110, 28, 1, '', '2018-01-15 02:18:43', 42, 4010, '6d947a17933c81675aac1d2ed3bc5e2457e8ca2a', '{"id":28,"asset_id":"133","title":"Tracking the progress of a Hotline query","alias":"tracking-the-progress-of-a-hotline-query","introtext":"<p>Accusantium  nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:45:22","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:28:35","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:27:54","publish_up":"2015-11-23 02:45:22","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(111, 27, 1, '', '2018-01-15 02:18:43', 42, 4004, '2670bb4437b6022bde96d91cbb5747b4c3122da7', '{"id":27,"asset_id":"131","title":"Research Centres and Research Groups at the University of Nottingham Malaysia Campus","alias":"research-centres-and-research-groups-at-the-university-of-nottingham-malaysia-campus","introtext":"<p>Ttesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo dignissimos .<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:44:27","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:29:03","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:28:51","publish_up":"2015-11-23 02:44:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(112, 25, 1, '', '2018-01-15 02:18:43', 42, 4253, 'c7c0277000d13afd4f7cae31c42a639666205abd', '{"id":25,"asset_id":"121","title":"International Relations Students of Platon University Collaborate with The World Leadership Alliance","alias":"international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>","state":1,"catid":"12","created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:29:33","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:29:17","publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(113, 24, 1, '', '2018-01-15 02:18:43', 42, 5597, '53369433ae2be6df6187258888597411bd0e6611', '{"id":24,"asset_id":"120","title":"Thoughts and challenges for your journey to becoming a teacher ","alias":"thoughts-and-challenges-for-your-journey-to-becoming-a-teacher","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":1,"catid":"10","created":"2015-11-21 03:54:09","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:30:07","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:29:58","publish_up":"2015-11-21 03:54:09","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-9.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(114, 26, 1, '', '2018-01-15 02:18:43', 42, 4448, '90aa1790df177904088480edc55f412c0ddc9aca', '{"id":26,"asset_id":"122","title":"The 2030 Agenda for Sustainable Development","alias":"the-2030-agenda-for-sustainable-development","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:30:27","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:30:10","publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-10.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(115, 23, 1, '', '2018-01-15 02:18:43', 42, 3561, 'f7aa6e02414309241bf0c4f69530a61198aebd99', '{"id":23,"asset_id":"119","title":"It\\u2019s time to think creatively about higher education funding","alias":"it-s-time-to-think-creatively-about-higher-education-funding","introtext":"<p> Maecenas nisl justo, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n ","fulltext":"\\r\\n\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:53:27","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:32:01","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:31:10","publish_up":"2015-11-21 03:53:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(116, 21, 1, '', '2018-01-15 02:18:43', 42, 3588, '2db4e175717f1bc0d02a37b390fdaa786cb7bda5', '{"id":21,"asset_id":"117","title":"Discovering the Future of Gen Y in Health Sciences","alias":"discovering-the-future-of-gen-y-in-health-sciences","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-21 03:51:51","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:32:33","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:32:16","publish_up":"2015-11-21 03:51:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(117, 19, 1, '', '2018-01-15 02:18:43', 42, 4847, 'f9871b3ec465796b7cc1bccece90a5fb08e68560', '{"id":19,"asset_id":"115","title":"On this day in AD284 Diocletian became emperor","alias":"on-this-day-in-ad284-diocletian-became-emperor","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam vestibulum <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>","state":1,"catid":"10","created":"2015-11-21 03:50:32","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:32:55","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:32:39","publish_up":"2015-11-21 03:50:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(118, 18, 1, '', '2018-01-15 02:18:43', 42, 3735, '0e9bf8e0946ae42b95d943ada30fe0eee79d7c54', '{"id":18,"asset_id":"114","title":"Academy schools and the first 100 days of Cameron\\u2019s Majority Conservative Government","alias":"academy-schools-and-the-first-100-days-of-cameron-s-majority-conservative-government","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur voluptatem accusantium?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:33:17","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:32:57","publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(119, 17, 1, '', '2018-01-15 02:18:43', 42, 4685, '9256f1676995bc01ee44917dd8ec5f3ce4ba5818', '{"id":17,"asset_id":"113","title":"From sensitivity into intellectual vacuity","alias":"from-sensitivity-into-intellectual-vacuity","introtext":" <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:07","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:33:57","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:33:19","publish_up":"2015-11-21 03:49:07","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(120, 16, 1, '', '2018-01-15 02:18:43', 42, 3968, '2fec090d2a94dbf49e559dd1d45beaf03edda873', '{"id":16,"asset_id":"112","title":"Volunteering in the DHC 2015; a Historian\\u2019s perspective by Depeeka Mistry","alias":"volunteering-in-the-dhc-2015-a-historian-s-perspective-by-depeeka-mistry","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:34:22","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:34:02","publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-9.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":""}', 0),
(121, 33, 1, '', '2018-01-15 02:18:43', 42, 3649, '7b21b08c37d1a1d0b0aefd36a9303fd0b500131e', '{"id":33,"asset_id":"143","title":"\\u2018Lest we forget\': Life Lines\\u2019 World War I digitisation workshop in DHC","alias":"lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc","introtext":"<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:01:28","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:36:21","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:36:04","publish_up":"2015-11-23 03:01:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(122, 32, 1, '', '2018-01-15 02:18:43', 42, 3930, '9fcc1e9aab8a78cfc213ac5981d2eca484e8548d', '{"id":32,"asset_id":"141","title":"Model Making: Part two by DHC Leonardo Fellow James E Smith","alias":"model-making-part-two-by-dhc-leonardo-fellow-james-e-smith","introtext":"<p>Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat.<\\/p>\\r\\n\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:00:33","created_by":"42","created_by_alias":"","modified":"2015-11-23 07:36:47","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-23 07:36:25","publish_up":"2015-11-23 03:00:33","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(123, 1, 2, '', '2018-01-15 02:18:43', 42, 2279, 'c3c73c85e24570b548d8a3f34ef018508892d00c', '{"id":1,"name":"Platon Infomations","alias":"platon-infomations","con_position":"","address":"","suburb":"12 consectetur, Adipiscing, Elit","state":"","country":"New York","postcode":"","telephone":"864-770-1299","fax":"","misc":"<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.<\\/p>","image":"","email_to":"admin@localhost.com","default_con":0,"published":"1","checked_out":null,"checked_out_time":null,"ordering":1,"params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"plain\\",\\"show_tags\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"1\\",\\"linka_name\\":\\"Twitter\\",\\"linka\\":\\"http:\\\\\\/\\\\\\/twitter.com\\\\\\/joomla\\",\\"linkb_name\\":\\"YouTube\\",\\"linkb\\":\\"http:\\\\\\/\\\\\\/www.youtube.com\\\\\\/user\\\\\\/joomla\\",\\"linkc_name\\":\\"Facebook\\",\\"linkc\\":\\"http:\\\\\\/\\\\\\/www.facebook.com\\\\\\/joomla\\",\\"linkd_name\\":\\"FriendFeed\\",\\"linkd\\":\\"http:\\\\\\/\\\\\\/friendfeed.com\\\\\\/joomla\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"1\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"","webpage":"http:\\/\\/www.joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2015-11-25 07:40:12","created_by":"42","created_by_alias":"","modified":"2015-11-25 07:40:12","modified_by":null,"metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":1,"hits":null}', 0),
(124, 13, 1, '', '2018-01-15 02:18:43', 42, 4439, 'c77b59fd2b45564dfbe25b4336d88577ff415398', '{"id":13,"asset_id":"107","title":"Parental care","alias":"parental-care","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur  consequuntur magni dolores eos?<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:50:49","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:42:23","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:41:19","publish_up":"2015-11-21 02:50:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(125, 12, 1, '', '2018-01-15 02:18:43', 42, 4163, 'dcc094a12d52040a1822edeb317ae2da00a89514', '{"id":12,"asset_id":"105","title":"A testing time for university admissions","alias":"a-testing-time-for-university-admissions","introtext":"<p>Fames ac turpis egestas. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:49:46","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:42:39","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:42:25","publish_up":"2015-11-21 02:49:46","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(126, 11, 1, '', '2018-01-15 02:18:43', 42, 4106, 'cf6bff1937ac7bb8573c47135eec3df29e433472', '{"id":11,"asset_id":"104","title":"Knocking louder on Europe\\u2019s door","alias":"knocking-louder-on-europe-s-door","introtext":"<p>Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<p>Varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:48:38","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:43:01","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:42:45","publish_up":"2015-11-21 02:48:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(127, 10, 1, '', '2018-01-15 02:18:43', 42, 3930, 'e2484cff1e970d720e4271cc6da1656b44a7e541', '{"id":10,"asset_id":"103","title":"The academic network","alias":"the-academic-network","introtext":"<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:47:18","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:43:10","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:42:48","publish_up":"2015-11-21 02:47:18","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(128, 9, 1, '', '2018-01-15 02:18:43', 42, 3881, 'd19d25aaa8d03197f2dfc55768efa4e14e46e4bc', '{"id":9,"asset_id":"102","title":"Negative educational equity?","alias":"negative-educational-equity","introtext":"<p>Dignissimos  lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:46:48","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:43:39","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:43:19","publish_up":"2015-11-21 02:46:48","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(129, 8, 1, '', '2018-01-15 02:18:43', 42, 5334, '3d4dc294dc79cf556e322a420c3ec306129c679f', '{"id":8,"asset_id":"100","title":"Universities and the UK\\u2019s EU referendum","alias":"universities-and-the-uk-s-eu-referendum","introtext":" <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:45:49","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:43:50","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:43:21","publish_up":"2015-11-21 02:45:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(130, 6, 1, '', '2018-01-15 02:18:43', 42, 3686, '61f3b7aeee46b150b73d6389d5588390b21416d9', '{"id":6,"asset_id":"63","title":"Critical Thinking Creating Students That Solve Problems","alias":"critical-thinking-creating-students-that-solve-problems","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"13","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:44:12","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:43:56","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-10.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(131, 5, 1, '', '2018-01-15 02:18:43', 42, 3576, '9b6886b5b218c4991413eaef7694401c40e392cb', '{"id":5,"asset_id":"62","title":"60 Ways To Help Students Think For Themselves","alias":"60-ways-to-help-students-think-for-themselves","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:11:13","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:44:38","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:43:57","publish_up":"2015-11-19 08:11:13","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(132, 4, 1, '', '2018-01-15 02:18:43', 42, 5148, '0cae7f46dcf0e45319b87f0b0b1be8dff86ef3e5', '{"id":4,"asset_id":"61","title":"Why Questions Are More Important Than Answers","alias":"why-questions-are-more-important-than-answers","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n<hr title=\\"The \\u2018Never Ending Pot\\" alt=\\"The \\u2018Never Ending Pot\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n<hr title=\\"Resistance is Futile. Hand Over All Your Documents\\" alt=\\"Resistance is Futile. Hand Over All Your Documents\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:09:43","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:44:54","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:44:42","publish_up":"2015-11-19 08:09:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(133, 3, 1, '', '2018-01-15 02:18:43', 42, 3513, 'dd345d53b0ffc103979b047025c83e50462d35f1', '{"id":3,"asset_id":"60","title":"What Close Reading Actually Means","alias":"what-close-reading-actually-means","introtext":"<p>Lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:36","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:45:10","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:44:44","publish_up":"2015-11-19 08:08:36","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(134, 2, 1, '', '2018-01-15 02:18:43', 42, 3550, 'd1bc8ab3cfce698423eb86a7258dfd13eb9203b8', '{"id":2,"asset_id":"59","title":"Why Teaching Is Still The Best Job In The World","alias":"why-teaching-is-still-the-best-job-in-the-world","introtext":"<p>Sagittis tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:45:30","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:45:14","publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(135, 1, 1, '', '2018-01-15 02:18:43', 42, 3531, '43c98beece18e93d7c726d5abebc0703186ce8d1', '{"id":1,"asset_id":"58","title":"How To Add Rigor To Anything","alias":"how-to-add-rigor-to-anything","introtext":"<p>Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:07:30","created_by":"42","created_by_alias":"","modified":"2015-11-27 02:45:39","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 02:45:16","publish_up":"2015-11-19 08:07:30","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"11","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(136, 13, 1, '', '2018-01-15 02:18:43', 42, 4439, 'fc73d359dc0a46a5dcc447e0f6b64dc49bbeaf00', '{"id":13,"asset_id":"107","title":"Parental care","alias":"parental-care","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur  consequuntur magni dolores eos?<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:50:49","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:00:53","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:00:35","publish_up":"2015-11-21 02:50:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(137, 12, 1, '', '2018-01-15 02:18:43', 42, 4163, '9f51e323f6a6df9f3539308d61092a8bbf315440', '{"id":12,"asset_id":"105","title":"A testing time for university admissions","alias":"a-testing-time-for-university-admissions","introtext":"<p>Fames ac turpis egestas. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:49:46","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:01:07","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:00:55","publish_up":"2015-11-21 02:49:46","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(138, 11, 1, '', '2018-01-15 02:18:43', 42, 4107, 'e6f1b7b4024286fac57f5c3391237bf587015d43', '{"id":11,"asset_id":"104","title":"Knocking louder on Europe\\u2019s door","alias":"knocking-louder-on-europe-s-door","introtext":"<p>Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<p>Varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:48:38","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:01:19","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:01:09","publish_up":"2015-11-21 02:48:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-10.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(139, 10, 1, '', '2018-01-15 02:18:43', 42, 3931, '78476ab91d6f31f54015c8113b3667d88db36884', '{"id":10,"asset_id":"103","title":"The academic network","alias":"the-academic-network","introtext":"<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:47:18","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:01:33","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:01:22","publish_up":"2015-11-21 02:47:18","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(140, 9, 1, '', '2018-01-15 02:18:43', 42, 3880, '9f9317b0c5c0a5abb8464a61b72ba6a07df8c544', '{"id":9,"asset_id":"102","title":"Negative educational equity?","alias":"negative-educational-equity","introtext":"<p>Dignissimos  lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:46:48","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:02:00","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:01:48","publish_up":"2015-11-21 02:46:48","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(141, 8, 1, '', '2018-01-15 02:18:43', 42, 5334, 'a5f678d6483ddf5ce6aca6214e9155591455210d', '{"id":8,"asset_id":"100","title":"Universities and the UK\\u2019s EU referendum","alias":"universities-and-the-uk-s-eu-referendum","introtext":" <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:45:49","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:02:08","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:01:51","publish_up":"2015-11-21 02:45:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(142, 6, 1, '', '2018-01-15 02:18:43', 42, 3685, '7a3096fad694930be20a7bfb0eccc57cf5ebf03a', '{"id":6,"asset_id":"63","title":"Critical Thinking Creating Students That Solve Problems","alias":"critical-thinking-creating-students-that-solve-problems","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"13","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:02:27","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:02:15","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(143, 5, 1, '', '2018-01-15 02:18:43', 42, 3576, '29472753ad8b866b5beaa73b7ed47ca3d1114856', '{"id":5,"asset_id":"62","title":"60 Ways To Help Students Think For Themselves","alias":"60-ways-to-help-students-think-for-themselves","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:11:13","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:02:37","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:02:17","publish_up":"2015-11-19 08:11:13","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(144, 4, 1, '', '2018-01-15 02:18:43', 42, 5148, '1d874f9be4434c21478100f984e328c724817a7a', '{"id":4,"asset_id":"61","title":"Why Questions Are More Important Than Answers","alias":"why-questions-are-more-important-than-answers","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n<hr title=\\"The \\u2018Never Ending Pot\\" alt=\\"The \\u2018Never Ending Pot\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n<hr title=\\"Resistance is Futile. Hand Over All Your Documents\\" alt=\\"Resistance is Futile. Hand Over All Your Documents\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:09:43","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:02:59","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:02:44","publish_up":"2015-11-19 08:09:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(145, 3, 1, '', '2018-01-15 02:18:43', 42, 3513, '1e848aaff9ea549509cf8c17c12861be9918c36d', '{"id":3,"asset_id":"60","title":"What Close Reading Actually Means","alias":"what-close-reading-actually-means","introtext":"<p>Lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:36","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:03:09","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:02:50","publish_up":"2015-11-19 08:08:36","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(146, 2, 1, '', '2018-01-15 02:18:43', 42, 3550, '154bc246e0412e5b15d99f8ec29138d7e1ddf6c1', '{"id":2,"asset_id":"59","title":"Why Teaching Is Still The Best Job In The World","alias":"why-teaching-is-still-the-best-job-in-the-world","introtext":"<p>Sagittis tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:03:24","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:03:14","publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-9.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(147, 1, 1, '', '2018-01-15 02:18:43', 42, 3532, '19cc4c7d99c60944f238d90b94c058058ddcd867', '{"id":1,"asset_id":"58","title":"How To Add Rigor To Anything","alias":"how-to-add-rigor-to-anything","introtext":"<p>Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:07:30","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:03:37","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:03:16","publish_up":"2015-11-19 08:07:30","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"11","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(148, 13, 1, '', '2018-01-15 02:18:43', 42, 4480, '687a191b75084e956b27d082eaf6c9a21b90ac82', '{"id":13,"asset_id":"107","title":"Parental care","alias":"parental-care","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur  consequuntur magni dolores eos?<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:50:49","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:22:45","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:22:25","publish_up":"2015-11-21 02:50:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-1b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(149, 12, 1, '', '2018-01-15 02:18:43', 42, 4204, 'bdeef73ed29a23745d9996830c9beff213470c27', '{"id":12,"asset_id":"105","title":"A testing time for university admissions","alias":"a-testing-time-for-university-admissions","introtext":"<p>Fames ac turpis egestas. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:49:46","created_by":"42","created_by_alias":"","modified":"2015-11-27 04:23:23","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 04:23:11","publish_up":"2015-11-21 02:49:46","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-1b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"3","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(150, 13, 1, '', '2018-01-15 02:18:43', 42, 4480, '17d394a72c3d43dfdef006ef09e629ec840b44de', '{"id":13,"asset_id":"107","title":"Parental care","alias":"parental-care","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur  consequuntur magni dolores eos?<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:50:49","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:09:23","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:09:06","publish_up":"2015-11-21 02:50:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-2.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-2b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(151, 11, 1, '', '2018-01-15 02:18:43', 42, 4149, '84f44715ff147572add2608a4eff3b8199eb413b', '{"id":11,"asset_id":"104","title":"Knocking louder on Europe\\u2019s door","alias":"knocking-louder-on-europe-s-door","introtext":"<p>Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<p>Varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:48:38","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:09:38","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:09:25","publish_up":"2015-11-21 02:48:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-10.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-10b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(152, 10, 1, '', '2018-01-15 02:18:43', 42, 3973, '271217cd5454e89ab312b1aac3f70b58674af6cb', '{"id":10,"asset_id":"103","title":"The academic network","alias":"the-academic-network","introtext":"<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:47:18","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:09:52","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:09:40","publish_up":"2015-11-21 02:47:18","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-11b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(153, 9, 1, '', '2018-01-15 02:18:43', 42, 3921, 'e479be5d996ab4aa6dc8fbd7a417031d90dd8b33', '{"id":9,"asset_id":"102","title":"Negative educational equity?","alias":"negative-educational-equity","introtext":"<p>Dignissimos  lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>","state":1,"catid":"13","created":"2015-11-21 02:46:48","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:10:13","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:09:58","publish_up":"2015-11-21 02:46:48","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-3.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-3b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(154, 8, 1, '', '2018-01-15 02:18:43', 42, 5375, 'bab0f4fc7eca746ec7331246b6d03eac2e553ac3', '{"id":8,"asset_id":"100","title":"Universities and the UK\\u2019s EU referendum","alias":"universities-and-the-uk-s-eu-referendum","introtext":" <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-21 02:45:49","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:10:23","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:10:00","publish_up":"2015-11-21 02:45:49","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-4.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-4b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(155, 6, 1, '', '2018-01-15 02:18:43', 42, 3726, '5f99cdd9d53a7086d244955e9732d14e8b39c88c', '{"id":6,"asset_id":"63","title":"Critical Thinking Creating Students That Solve Problems","alias":"critical-thinking-creating-students-that-solve-problems","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Laoreet tempus vestibulum in tortor tortor aenean fames id wisi enim. Quis id consequat nulla tempus maecenas est lorem parturient ante pretium. Lacinia faucibus consectetuer vestibulum elit quisque at et ultrices sed libero. Ut nam eu nunc enim curabitur non metus eu turpis eget. Aenean laoreet vitae morbi vestibulum vestibulum sociis tellus interdum cras.<\\/p>\\r\\n\\r\\n<p>Sed nam cursus velit pede ut sit vitae In proin porttitor. Volutpat ac sem adipiscing phasellus nibh pellentesque nibh enim arcu lorem. Tempor natoque pulvinar lacinia semper in auctor quam fringilla tortor id. Ut ut lacus arcu justo quis vitae congue dui lorem nam. Convallis turpis convallis nec lorem magna orci euismod velit pellentesque orci. Ornare nulla proin adipiscing.<\\/p>\\r\\n\\r\\n<p>Consequat curabitur vitae nibh et ut orci senectus quis accumsan sem. Leo sed hendrerit libero nunc mattis vestibulum morbi morbi phasellus morbi. Curabitur congue enim consectetuer massa vivamus lorem at curabitur augue urna. Dolor egestas orci eleifend Sed convallis nullam morbi ut quis tincidunt. Amet sed condimentum fusce nascetur euismod massa venenatis ipsum convallis ut. Id elit eros a dictum.<\\/p>\\r\\n\\r\\n<p>Et neque vestibulum id nisl est in semper convallis elit eu. Pellentesque porta dui feugiat dictumst maecenas ut laoreet orci et diam. Pede Pellentesque magna accumsan felis ligula enim suspendisse dapibus auctor rutrum. Lorem libero vel eget ultrices gravida et at vivamus justo ut. Faucibus aliquet lorem lacinia eget et ligula pede sed ut nibh. Leo montes leo sed et pellentesque.<\\/p>","state":1,"catid":"13","created":"2015-11-19 08:11:32","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:10:42","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:10:28","publish_up":"2015-11-19 08:11:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(156, 5, 1, '', '2018-01-15 02:18:43', 42, 3617, '204ecdd1dd88fd81a21e325207e1e14edadd8c23', '{"id":5,"asset_id":"62","title":"60 Ways To Help Students Think For Themselves","alias":"60-ways-to-help-students-think-for-themselves","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:11:13","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:12:24","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:10:30","publish_up":"2015-11-19 08:11:13","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-6.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-6b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(157, 4, 1, '', '2018-01-15 02:18:43', 42, 5189, '6a4763327f714a23260afcd992e4962c2f32c135', '{"id":4,"asset_id":"61","title":"Why Questions Are More Important Than Answers","alias":"why-questions-are-more-important-than-answers","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n<hr title=\\"The \\u2018Never Ending Pot\\" alt=\\"The \\u2018Never Ending Pot\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n<hr title=\\"Resistance is Futile. Hand Over All Your Documents\\" alt=\\"Resistance is Futile. Hand Over All Your Documents\\" class=\\"system-pagebreak\\" \\/>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:09:43","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:12:44","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:12:31","publish_up":"2015-11-19 08:09:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-7b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(158, 3, 1, '', '2018-01-15 02:18:43', 42, 3554, '13fff66064f9747490440c8217bf0677ab87b1b4', '{"id":3,"asset_id":"60","title":"What Close Reading Actually Means","alias":"what-close-reading-actually-means","introtext":"<p>Lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:36","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:12:56","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:12:33","publish_up":"2015-11-19 08:08:36","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-8.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-8b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(159, 2, 1, '', '2018-01-15 02:18:43', 42, 3591, '8a23b0cd1a4b31009b097e55bcd61c3e96e38bde', '{"id":2,"asset_id":"59","title":"Why Teaching Is Still The Best Job In The World","alias":"why-teaching-is-still-the-best-job-in-the-world","introtext":"<p>Sagittis tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:08:12","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:13:15","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:13:01","publish_up":"2015-11-19 08:08:12","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-9.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-9b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(160, 1, 1, '', '2018-01-15 02:18:43', 42, 3574, '15e5ffbfd32b329262da23071484a2c3b2c051b5', '{"id":1,"asset_id":"58","title":"How To Add Rigor To Anything","alias":"how-to-add-rigor-to-anything","introtext":"<p>Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n\\r\\n","state":1,"catid":"13","created":"2015-11-19 08:07:30","created_by":"42","created_by_alias":"","modified":"2015-11-27 08:13:25","modified_by":"42","checked_out":"42","checked_out_time":"2015-11-27 08:13:02","publish_up":"2015-11-19 08:07:30","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-11.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-11b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"11","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(170, 22, 1, '', '2018-01-15 02:18:43', 42, 3874, 'b913b5a9508291dac91f31dc3e7af970b3d170b2', '{"id":22,"asset_id":"118","title":"Sustainability focus on health and gardening!","alias":"sustainability-focus-on-health-and-gardening","introtext":"<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:52:31","created_by":"42","created_by_alias":"","modified":"2015-12-01 09:52:39","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 09:52:25","publish_up":"2015-11-21 03:52:31","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(171, 19, 1, '', '2018-01-15 02:18:43', 42, 4851, 'd8101f306c520ae92fbcdb13fe4b801e5b025c01', '{"id":19,"asset_id":"115","title":"On this day in AD284 Diocletian became emperor","alias":"on-this-day-in-ad284-diocletian-became-emperor","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam vestibulum <\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>","state":1,"catid":"10","created":"2015-11-21 03:50:32","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:02:21","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:02:12","publish_up":"2015-11-21 03:50:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(172, 20, 1, '', '2018-01-15 02:18:43', 42, 3926, '33a14462158760be21df9c13191fd741406e8319', '{"id":20,"asset_id":"116","title":"Learn how to lead by example and empower others: the Leadership in Sport module","alias":"learn-how-to-lead-by-example-and-empower-others-the-leadership-in-sport-module","introtext":"<p> Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:51:23","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:02:47","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:02:38","publish_up":"2015-11-21 03:51:23","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(173, 18, 1, '', '2018-01-15 02:18:43', 42, 3739, '456d6e84a0898f7adf1cf783abd41e949718ce7d', '{"id":18,"asset_id":"114","title":"Academy schools and the first 100 days of Cameron\\u2019s Majority Conservative Government","alias":"academy-schools-and-the-first-100-days-of-cameron-s-majority-conservative-government","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur voluptatem accusantium?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:03:12","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:03:04","publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(174, 16, 1, '', '2018-01-15 02:18:43', 42, 3972, '16b605e7a2799c2c902eea0958e5a46b5cc02f8f', '{"id":16,"asset_id":"112","title":"Volunteering in the DHC 2015; a Historian\\u2019s perspective by Depeeka Mistry","alias":"volunteering-in-the-dhc-2015-a-historian-s-perspective-by-depeeka-mistry","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:08:11","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:08:03","publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-9.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":""}', 0),
(175, 32, 1, '', '2018-01-15 02:18:43', 42, 3934, '9a953e0d6eed2897020063c2842ccbcb0aee67e8', '{"id":32,"asset_id":"141","title":"Model Making: Part two by DHC Leonardo Fellow James E Smith","alias":"model-making-part-two-by-dhc-leonardo-fellow-james-e-smith","introtext":"<p>Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat.<\\/p>\\r\\n\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:00:33","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:09:28","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:09:20","publish_up":"2015-11-23 03:00:33","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-7.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(176, 17, 1, '', '2018-01-15 02:18:43', 42, 4689, '1f853d3be149d85122b7ffc1b96db3c00fb2c881', '{"id":17,"asset_id":"113","title":"From sensitivity into intellectual vacuity","alias":"from-sensitivity-into-intellectual-vacuity","introtext":" <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:07","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:16:25","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:16:17","publish_up":"2015-11-21 03:49:07","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(177, 31, 1, '', '2018-01-15 02:18:43', 42, 4442, '4355483682a41c1086957d7149e0529f6d314ded', '{"id":31,"asset_id":"139","title":"Hearts of Heritage project update by volunteer bloggers Laura and Caterina","alias":"hearts-of-heritage-project-update-by-volunteer-bloggers-laura-and-caterina","introtext":"<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora,<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:59:38","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:16:57","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:16:46","publish_up":"2015-11-23 02:59:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(178, 29, 1, '', '2018-01-15 02:18:43', 42, 4023, '1ff76f6da99b7929953b1c064b90f5a99fa6eb3f', '{"id":29,"asset_id":"136","title":"A postgraduate perspective on the Faculty of Arts","alias":"a-postgraduate-perspective-on-the-faculty-of-arts","introtext":"<p>Consectetur  pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:56:01","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:17:19","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:17:10","publish_up":"2015-11-23 02:56:01","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(179, 30, 1, '', '2018-01-15 02:18:43', 42, 4302, '7b1ab11bad233670ef6d0c5fc1fce8a19fa2e8ef', '{"id":30,"asset_id":"138","title":"Digital Time Travellers: MayFest 2015 at the Digital Humanities Centre.","alias":"digital-time-travellers-mayfest-2015-at-the-digital-humanities-centre","introtext":"<p>Perspiciatis unde Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:58:38","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:17:44","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:17:36","publish_up":"2015-11-23 02:58:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-4.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(180, 28, 1, '', '2018-01-15 02:18:43', 42, 4014, '89069680c87cdbea402fb1dc9537980b87f18aec', '{"id":28,"asset_id":"133","title":"Tracking the progress of a Hotline query","alias":"tracking-the-progress-of-a-hotline-query","introtext":"<p>Accusantium  nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:45:22","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:18:03","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:17:55","publish_up":"2015-11-23 02:45:22","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(181, 26, 1, '', '2018-01-15 02:18:43', 42, 4452, '2373deb1e3e1c43e95fa55b36d94612e2fee7a54', '{"id":26,"asset_id":"122","title":"The 2030 Agenda for Sustainable Development","alias":"the-2030-agenda-for-sustainable-development","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:18:50","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:18:43","publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-10.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"3","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(182, 23, 1, '', '2018-01-15 02:18:43', 42, 3565, '59aff6a4467f5ed48403e4f1d1332c37b9a2d9b3', '{"id":23,"asset_id":"119","title":"It\\u2019s time to think creatively about higher education funding","alias":"it-s-time-to-think-creatively-about-higher-education-funding","introtext":"<p> Maecenas nisl justo, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n ","fulltext":"\\r\\n\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:53:27","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:19:11","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:19:03","publish_up":"2015-11-21 03:53:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(183, 25, 1, '', '2018-01-15 02:18:43', 42, 4285, 'f2be7a123f803d08d526f4352133d834870a1442', '{"id":25,"asset_id":"121","title":"International Relations Students of Platon University Collaborate with The World Leadership Alliance","alias":"international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>","state":1,"catid":"12","created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:19:46","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:19:27","publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-8.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(184, 21, 1, '', '2018-01-15 02:18:43', 42, 3592, '513a8f4e05902dd7f5b0f016b41b93ff1e40ed7b', '{"id":21,"asset_id":"117","title":"Discovering the Future of Gen Y in Health Sciences","alias":"discovering-the-future-of-gen-y-in-health-sciences","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-21 03:51:51","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:20:53","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:20:45","publish_up":"2015-11-21 03:51:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-5.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(185, 22, 1, '', '2018-01-15 02:18:43', 42, 3742, '89bbfb8ad3efff60514b621c28ca0277081f7f2a', '{"id":22,"asset_id":"118","title":"Sustainability focus on health and gardening!","alias":"sustainability-focus-on-health-and-gardening","introtext":"<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:52:31","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:31:23","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:31:09","publish_up":"2015-11-21 03:52:31","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(186, 19, 1, '', '2018-01-15 02:18:43', 42, 4765, '9f25663dc7fe127c92138372bc645deba2af26c5', '{"id":19,"asset_id":"115","title":"On this day in AD284 Diocletian became emperor","alias":"on-this-day-in-ad284-diocletian-became-emperor","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>","state":1,"catid":"10","created":"2015-11-21 03:50:32","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:32:05","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:31:46","publish_up":"2015-11-21 03:50:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(187, 17, 1, '', '2018-01-15 02:18:43', 42, 4588, '5d5fe8b4e7435e1d4d2566fd339978d818fc6949', '{"id":17,"asset_id":"113","title":"From sensitivity into intellectual vacuity","alias":"from-sensitivity-into-intellectual-vacuity","introtext":" <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget tempor sit amet.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:07","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:36:29","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:36:02","publish_up":"2015-11-21 03:49:07","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(188, 20, 1, '', '2018-01-15 02:18:43', 42, 3785, '3f06009da2e931f78fac442c183a07b05aca8ae5', '{"id":20,"asset_id":"116","title":"Learn how to lead by example and empower others: the Leadership in Sport module","alias":"learn-how-to-lead-by-example-and-empower-others-the-leadership-in-sport-module","introtext":"<p> Morbi faucibus id nibh proin fusce lacinia phasellus leo turpis duis mauris egestas vitae pellentesque. Accumsan mus pellentesque et lacus vitae dui<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:51:23","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:38:28","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:37:35","publish_up":"2015-11-21 03:51:23","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(189, 18, 1, '', '2018-01-15 02:18:43', 42, 3589, '0a6accac7159ccd988e77deea2ef3eab84e3f4ae', '{"id":18,"asset_id":"114","title":"Academy schools and the first 100 days of Cameron\\u2019s Majority Conservative Government","alias":"academy-schools-and-the-first-100-days-of-cameron-s-majority-conservative-government","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderi.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:39:39","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:39:13","publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(190, 16, 1, '', '2018-01-15 02:18:43', 42, 3840, '7559d0f00ce7704e2ac6856b16c750f0f122b5e0', '{"id":16,"asset_id":"112","title":"Volunteering in the DHC 2015; a Historian\\u2019s perspective by Depeeka Mistry","alias":"volunteering-in-the-dhc-2015-a-historian-s-perspective-by-depeeka-mistry","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae ultricies eget<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-12-01 10:40:41","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-01 10:40:11","publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-9.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":""}', 0),
(191, 18, 1, '', '2018-01-15 02:18:43', 42, 3579, '0fcb67fe6ed7a7fa89c206ebf7b54f828a3143a1', '{"id":18,"asset_id":"114","title":"Study questions whether elite college courses are of higher quality than others","alias":"academy-schools-and-the-first-100-days-of-cameron-s-majority-conservative-government","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderi.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-12-02 10:01:24","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-02 10:00:16","publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(192, 16, 1, '', '2018-01-15 02:18:43', 42, 3846, 'c835552cecb3cee96af1f60a7fc0a2f0c0e0682e', '{"id":16,"asset_id":"112","title":"Skills Fund aims to be an accreditor and private lender for growing boot camp sector","alias":"volunteering-in-the-dhc-2015-a-historian-s-perspective-by-depeeka-mistry","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae ultricies eget<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-12-02 10:03:04","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-02 10:02:44","publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-9.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":""}', 0),
(193, 16, 1, '', '2018-01-15 02:18:43', 42, 3812, '79edfa7072cdc3308ef4f1db17641fa930d03b47', '{"id":16,"asset_id":"112","title":"National Census of Writing releases survey results","alias":"volunteering-in-the-dhc-2015-a-historian-s-perspective-by-depeeka-mistry","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae ultricies eget<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:47:55","created_by":"42","created_by_alias":"","modified":"2015-12-02 10:03:23","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-02 10:03:04","publish_up":"2015-11-21 03:47:55","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-9.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"1","language":"*","xreference":""}', 0),
(194, 1, 2, '', '2018-01-15 02:18:43', 42, 2300, '20cdd23bd384624513c5932784c1c985833b08b0', '{"id":1,"name":"Platon Infomations","alias":"platon-infomations","con_position":"","address":"","suburb":"12 consectetur, Adipiscing, Elit","state":"","country":"New York","postcode":"","telephone":"864-770-1299","fax":"","misc":"<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.<\\/p>","image":"","email_to":"admin@localhost.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2015-12-03 02:56:59","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"sliders\\",\\"show_tags\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"1\\",\\"linka_name\\":\\"Twitter\\",\\"linka\\":\\"http:\\\\\\/\\\\\\/twitter.com\\\\\\/joomla\\",\\"linkb_name\\":\\"YouTube\\",\\"linkb\\":\\"http:\\\\\\/\\\\\\/www.youtube.com\\\\\\/user\\\\\\/joomla\\",\\"linkc_name\\":\\"Facebook\\",\\"linkc\\":\\"http:\\\\\\/\\\\\\/www.facebook.com\\\\\\/joomla\\",\\"linkd_name\\":\\"FriendFeed\\",\\"linkd\\":\\"http:\\\\\\/\\\\\\/friendfeed.com\\\\\\/joomla\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"1\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"","webpage":"http:\\/\\/www.joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2015-11-25 07:40:12","created_by":"42","created_by_alias":"","modified":"2015-12-03 02:57:13","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":2,"hits":"32"}', 0),
(195, 1, 2, '', '2018-01-15 02:18:43', 42, 2297, '64356d0d61dada81b15d1ad010ab82428f441662', '{"id":1,"name":"Platon Infomations","alias":"platon-infomations","con_position":"","address":"","suburb":"12 consectetur, Adipiscing, Elit","state":"","country":"New York","postcode":"","telephone":"864-770-1299","fax":"","misc":"<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.<\\/p>","image":"","email_to":"admin@localhost.com","default_con":0,"published":"1","checked_out":"42","checked_out_time":"2015-12-03 03:13:23","ordering":"1","params":"{\\"show_contact_category\\":\\"\\",\\"show_contact_list\\":\\"\\",\\"presentation_style\\":\\"tabs\\",\\"show_tags\\":\\"\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"articles_display_num\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"1\\",\\"linka_name\\":\\"Twitter\\",\\"linka\\":\\"http:\\\\\\/\\\\\\/twitter.com\\\\\\/joomla\\",\\"linkb_name\\":\\"YouTube\\",\\"linkb\\":\\"http:\\\\\\/\\\\\\/www.youtube.com\\\\\\/user\\\\\\/joomla\\",\\"linkc_name\\":\\"Facebook\\",\\"linkc\\":\\"http:\\\\\\/\\\\\\/www.facebook.com\\\\\\/joomla\\",\\"linkd_name\\":\\"FriendFeed\\",\\"linkd\\":\\"http:\\\\\\/\\\\\\/friendfeed.com\\\\\\/joomla\\",\\"linke_name\\":\\"\\",\\"linke\\":false,\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"1\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":0,"catid":"4","access":"1","mobile":"","webpage":"http:\\/\\/www.joomlart.com","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2015-11-25 07:40:12","created_by":"42","created_by_alias":"","modified":"2015-12-03 03:18:06","modified_by":"42","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":7,"hits":"44"}', 0),
(196, 14, 5, '', '2018-01-15 02:18:43', 42, 548, '575fb05c7fd8e53ff5e8d960dafa9a9955f77eaf', '{"id":14,"asset_id":171,"parent_id":"1","lft":"23","rgt":24,"level":1,"path":null,"extension":"com_content","title":"Pages","alias":"pages","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\",\\"image_alt\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"42","created_time":"2015-12-03 03:43:37","modified_user_id":null,"modified_time":"2015-12-03 03:43:37","hits":"0","language":"*","version":null}', 0),
(197, 35, 1, '', '2018-01-15 02:18:43', 42, 5448, '50220d6905fbc145581b6a91512f2f7771df84d5', '{"id":35,"asset_id":172,"title":"One Sidebar Left","alias":"one-sidebar-left","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n ","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":1,"catid":"14","created":"2015-12-03 03:45:47","created_by":"42","created_by_alias":"","modified":"2015-12-03 03:45:47","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-12-03 03:45:47","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(198, 36, 1, '', '2018-01-15 02:18:43', 42, 5431, 'c792b1069fdb8d74ae2c73ea7a59b2fe53328a91', '{"id":36,"asset_id":180,"title":"One Sidebar Right","alias":"one-sidebar-right","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n ","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":0,"catid":"14","created":"2015-12-03 03:45:47","created_by":"42","created_by_alias":"","modified":"2015-12-03 08:19:51","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-12-03 03:45:47","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(199, 36, 1, '', '2018-01-15 02:18:43', 42, 5467, 'ed0e0869b0385320dc92326eba5e8e975f3d03ba', '{"id":36,"asset_id":"180","title":"One Sidebar Right","alias":"one-sidebar-right","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n ","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":1,"catid":"14","created":"2015-12-03 03:45:47","created_by":"42","created_by_alias":"","modified":"2015-12-03 08:19:57","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-03 08:19:51","publish_up":"2015-12-03 03:45:47","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(200, 37, 1, '', '2018-01-15 02:18:43', 42, 5417, '506358ae880614a5bfc8f71a01b87413705eddbf', '{"id":37,"asset_id":181,"title":"No Sidebar","alias":"no-sidebar","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n ","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":0,"catid":"14","created":"2015-12-03 03:45:47","created_by":"42","created_by_alias":"","modified":"2015-12-03 08:20:17","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-12-03 03:45:47","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(201, 37, 1, '', '2018-01-15 02:18:43', 42, 5453, 'e4560c7a328b814939cd928ce1ee35b803d556e7', '{"id":37,"asset_id":"181","title":"No Sidebar","alias":"no-sidebar","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n ","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":1,"catid":"14","created":"2015-12-03 03:45:47","created_by":"42","created_by_alias":"","modified":"2015-12-03 08:20:47","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-03 08:20:17","publish_up":"2015-12-03 03:45:47","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(202, 38, 1, '', '2018-01-15 02:18:43', 42, 5419, '0ecb575d25987d2e4257b7d3c108e8b6de27daf9', '{"id":38,"asset_id":182,"title":"Two Sidebar","alias":"two-sidebar","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n ","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":0,"catid":"14","created":"2015-12-03 03:45:47","created_by":"42","created_by_alias":"","modified":"2015-12-03 08:20:59","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-12-03 03:45:47","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(203, 38, 1, '', '2018-01-15 02:18:43', 42, 5455, 'adec43176a8bf92566f942874aad5525394f029e', '{"id":38,"asset_id":"182","title":"Two Sidebar","alias":"two-sidebar","introtext":"<p>Llentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n ","fulltext":"\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n<blockquote>\\r\\n<p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p>\\r\\n<\\/blockquote>\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>","state":1,"catid":"14","created":"2015-12-03 03:45:47","created_by":"42","created_by_alias":"","modified":"2015-12-03 08:21:04","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-03 08:20:59","publish_up":"2015-12-03 03:45:47","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(204, 39, 1, '', '2018-01-15 02:18:43', 42, 25358, '7f470bf4812e7287b0b72309b5121a401d943769', '{"id":39,"asset_id":183,"title":"Typography","alias":"typography","introtext":"<!-- CORE TYPOGRAPHY\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-typo\\">Core Typography<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Headings -->\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Heading Text<\\/h2>\\r\\n\\t\\t\\t<h1>h1. Heading <small>Secondary text<\\/small><\\/h1>\\r\\n\\t\\t\\t<h2>h2. Heading <small>Secondary text<\\/small><\\/h2>\\r\\n\\t\\t\\t<h3>h3. Heading <small>Secondary text<\\/small><\\/h3>\\r\\n\\t\\t\\t<h4>h4. Heading <small>Secondary text<\\/small><\\/h4>\\r\\n\\t\\t\\t<h5>h5. Heading <small>Secondary text<\\/small><\\/h5>\\r\\n\\t\\t\\t<h6>h6. Heading <small>Secondary text<\\/small><\\/h6>\\r\\n\\t\\t\\t<div class=\\"alert alert-warning\\">\\r\\n\\t\\t\\t\\t<p><strong>TIPS:<\\/strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;<\\/code> tag or the <code>.small<\\/code> class.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Example body text<\\/h2>\\r\\n\\t\\t\\t<p class=\\"lead\\">This is a <strong>lead paragraph<\\/strong>. <br \\/>Make a paragraph stand out by adding <code>.lead<\\/code>.<\\/p>\\r\\n\\t\\t\\t<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t<p>Nullam quis risus eget <a href=\\"#\\">urna mollis ornare<\\/a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.<\\/p>\\r\\n\\t\\t\\t<p>The following snippet of text is <strong>rendered as bold text<\\/strong>.<\\/p>\\r\\n\\t\\t\\t<p>The following snippet of text is <em>rendered as italicized text<\\/em>.<\\/p>\\r\\n\\t\\t\\t<p>An abbreviation of the word attribute is <abbr title=\\"attribute\\">attr<\\/abbr>.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Headings --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Address & Emphasis -->\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t<h2 class=\\"sub-title\\">Address<\\/h2>\\r\\n\\t\\t\\t<address><strong>Company Name<\\/strong><br \\/> 795 Folsom Ave, Suite 600<br \\/> San Francisco, CA 94107<br \\/> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<\\/address><address><strong>Full Name<\\/strong><br \\/> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<br \\/> <a href=\\"mailto:first.last@example.com\\">first.last@example.com<\\/a><\\/address>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Emphasis classes<\\/h2>\\r\\n\\t\\t\\t<p class=\\"text-muted\\">This is a <code>.mute<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-primary\\">This is a <code>.text-primary<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-warning\\">This is a <code>.text-warning<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-danger\\">This is a <code>.text-danger<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-success\\">This is a <code>.text-success<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-info\\">This is a <code>.text-info<\\/code> paragraph.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Alignment classes<\\/h2>\\r\\n\\t\\t\\t<p class=\\"text-left\\">This is a left aligned text <code>.text-left<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-center\\">This is a center aligned text <code>.text-center<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-right\\">This is a right aligned text <code>.text-right<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-justify\\">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify<\\/code> class.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Address & Emphasis --> \\r\\n\\t\\r\\n<\\/div>\\r\\n<!-- \\/\\/CORE TYPOGRAPHY -->\\r\\n\\r\\n<!-- Blockquotes -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Blockquotes<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<blockquote>\\r\\n\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<blockquote class=\\"pull-right\\">\\r\\n\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/Blockquotes -->\\r\\n\\r\\n<!-- TAGS\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Tags<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"tags\\">\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">hotel<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">booking<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">discount<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">location<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">map<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">travel<\\/a><\\/span>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/TAGS -->\\r\\n\\r\\n\\r\\n<!-- COLOR SWATCHES\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-color\\">Color Swatches<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Brand Colors -->\\r\\n\\t<h2 class=\\"sub-title\\">Brand Colors<\\/h2>\\r\\n\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-primary\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#00bfe6<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Primary<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-secondary\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#428bca<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Secondary<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-warning\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#f0ad4e<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Warning<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-danger\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#fbe57c<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Danger<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-info\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#5bc0de<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Info<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-success\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#4db18d<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Success<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Brand Colors --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Grayscale -->\\r\\n\\t<h2 class=\\"sub-title\\">Grayscale Levels<\\/h2>\\r\\n\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-darker\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#262626<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Darker<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-dark\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#3c3c3c<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Dark<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#555555<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-light\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#999999<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Light<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-lighter\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#eaeaea<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Lighter<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-lightest\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#f7f7f7<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Lightest<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Grayscale -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/COLOR SWATCHES -->\\r\\n\\r\\n<!-- BUTTON\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Buttons<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-md-8\\">\\r\\n\\t\\t\\t<!-- Button --->\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Buttons<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example-button clearfix\\"><a class=\\"btn btn-default\\" href=\\"#\\">Normal Button<\\/a> <a class=\\"btn btn-primary\\" href=\\"#\\">Primary Button<\\/a> <a class=\\"btn btn-second\\" href=\\"#\\">Second Button<\\/a><\\/div>\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n\\t\\t\\t<div class=\\"example-button clearfix\\"><a class=\\"btn btn-warning\\" href=\\"#\\">Warning Button<\\/a> <a class=\\"btn btn-danger\\" href=\\"#\\">Danger Button<\\/a> <a class=\\"btn btn-info\\" href=\\"#\\">Info Button<\\/a><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Button --->\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-4\\">\\r\\n\\t\\t\\t<!-- Action Link --->\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Action Link<\\/h2>\\r\\n\\t\\t\\t<a class=\\"btn btn-link\\" href=\\"#\\">Action<\\/a> \\r\\n\\t\\t\\t<!-- \\/\\/Action Link --->\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/BUTTON -->\\r\\n\\r\\n<!-- NAVIGATIONS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-navigation\\">Navigations<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Tabs & Vertical Menus -->\\r\\n\\t<div class=\\"row example-row example-navigation\\"><!-- Tabs -->\\r\\n\\t\\t<div class=\\"col-lg-8\\">\\r\\n\\t\\t<h2 class=\\"sub-title\\">Tabs<\\/h2>\\r\\n\\t\\t<ul class=\\"nav nav-tabs\\">\\r\\n\\t\\t\\t<li class=\\"active\\"><a href=\\"#home\\" data-toggle=\\"tab\\">Home<\\/a><\\/li>\\r\\n\\t\\t\\t<li><a href=\\"#profile\\" data-toggle=\\"tab\\">Profile<\\/a><\\/li>\\r\\n\\t\\t\\t<li class=\\"disabled\\"><a>Disabled<\\/a><\\/li>\\r\\n\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown1\\" data-toggle=\\"tab\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t\\t\\t<div id=\\"myTabContent\\" class=\\"tab-content\\">\\r\\n\\t\\t\\t\\t<div id=\\"home\\" class=\\"tab-pane fade active in\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"profile\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"dropdown1\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"dropdown2\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Tabs --> \\r\\n\\t\\t<!-- Vertical Menus -->\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Vertical Menus<\\/h2>\\r\\n\\t\\t\\t<ul class=\\"nav nav-pills nav-stacked\\">\\r\\n\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Active Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"disabled\\"><a href=\\"#\\">Disabled Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Something else here<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Separated link<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\t<!-- Vertical Menus -->\\r\\n\\t<\\/div>\\r\\n<!-- Tabs & Vertical Menus -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/NAVIGATIONS -->\\r\\n\\r\\n<!-- FORMS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-typo\\">Inputs<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Inputs -->\\r\\n\\t<div class=\\"row example-row example-forms example-inputs\\">\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-success\\"><label class=\\"control-label\\" for=\\"inputSuccess\\">Input success<\\/label> <input id=\\"inputSuccess\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-error\\"><label class=\\"control-label\\" for=\\"inputError\\">Input error<\\/label> <input id=\\"inputError\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-warning\\"><label class=\\"control-label\\" for=\\"inputWarning\\">Input warning<\\/label> <input id=\\"inputWarning\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group\\"><label class=\\"control-label\\" for=\\"disabledInput\\">Disabled input<\\/label> <input id=\\"disabledInput\\" class=\\"form-control\\" disabled=\\"disabled\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Inputs --> \\r\\n<\\/div>\\r\\n<!-- \\/\\/FORMS -->\\r\\n\\r\\n\\r\\n<!-- INDICATORS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-indicators\\">Indicators<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Alerts -->\\r\\n\\t<h2 class=\\"sub-title\\">Alerts and Notifications<\\/h2>\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-danger\\">\\r\\n\\t\\t\\t\\t<h4>error message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-success\\">\\r\\n\\t\\t\\t\\t<h4>sussess message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-info\\">\\r\\n\\t\\t\\t\\t<h4>info message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-warning\\">\\r\\n\\t\\t\\t\\t<h4>warning message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Alerts --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Labels & Badges -->\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Badges<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example\\">\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-pills\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Home <span class=\\"badge\\">42<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Profile <\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Messages <span class=\\"badge\\">25<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Notices <span class=\\"badge\\">2<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Labels<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example\\"><span class=\\"label label-default\\">Default<\\/span> <span class=\\"label label-primary\\">Primary<\\/span> <span class=\\"label label-success\\">Success<\\/span> <span class=\\"label label-info\\">Info<\\/span> <span class=\\"label label-warning\\">Warning<\\/span> <span class=\\"label label-danger\\">Danger<\\/span><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<!-- Labels & Badges -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/INDICATORS -->\\r\\n\\r\\n<!-- MISC\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-misc\\">Misc<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<!-- List Groups -->\\r\\n\\t<h2 class=\\"sub-title\\">List groups<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<ul class=\\"list-group\\">\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">14<\\/span> Cras justo odio<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\">Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">1<\\/span> Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"list-group\\"><a class=\\"list-group-item active\\" href=\\"#\\"><span class=\\"badge\\">9<\\/span> Cras justo odio<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Dapibus ac facilisis in<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Morbi leo risus<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Porta ac consectetur ac<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Vestibulum at eros<\\/a><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t<a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item active\\">\\r\\n                                  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus risus varius blandit.<\\/p>\\r\\n                                <\\/a>\\r\\n                                <a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item\\">\\r\\n\\t\\t\\t\\t  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n                                <\\/a>\\r\\n                                <a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item\\">\\r\\n\\t\\t\\t\\t  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n                                <\\/a>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/List Groups --> \\r\\n\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Panels -->\\r\\n\\t<h2 class=\\"sub-title\\">Panels<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-default\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">Panel heading<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-primary\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel primary<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-success\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel success<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-warning\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel warning<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-danger\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel danger<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-info\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel info<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Panels --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Wells -->\\r\\n\\t<h2 class=\\"sub-title\\">Wells<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well well-sm\\">Look, I\'m in a small well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well\\">Look, I\'m in a well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well well-lg\\">Look, I\'m in a large well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Wells -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/ MISC -->","fulltext":"","state":1,"catid":"2","created":"2015-12-03 10:00:32","created_by":"42","created_by_alias":"","modified":"2015-12-03 10:00:32","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-12-03 10:00:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(205, 39, 1, '', '2018-01-15 02:18:43', 42, 25390, 'feb79b2a70998b9d8a17409e93b881f362935e5b', '{"id":39,"asset_id":"183","title":"Typography","alias":"typography","introtext":"<!-- CORE TYPOGRAPHY\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-typo\\">Core Typography<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Headings -->\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Heading Text<\\/h2>\\r\\n\\t\\t\\t<h1>h1. Heading <small>Secondary text<\\/small><\\/h1>\\r\\n\\t\\t\\t<h2>h2. Heading <small>Secondary text<\\/small><\\/h2>\\r\\n\\t\\t\\t<h3>h3. Heading <small>Secondary text<\\/small><\\/h3>\\r\\n\\t\\t\\t<h4>h4. Heading <small>Secondary text<\\/small><\\/h4>\\r\\n\\t\\t\\t<h5>h5. Heading <small>Secondary text<\\/small><\\/h5>\\r\\n\\t\\t\\t<h6>h6. Heading <small>Secondary text<\\/small><\\/h6>\\r\\n\\t\\t\\t<div class=\\"alert alert-warning\\">\\r\\n\\t\\t\\t\\t<p><strong>TIPS:<\\/strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;<\\/code> tag or the <code>.small<\\/code> class.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Example body text<\\/h2>\\r\\n\\t\\t\\t<p class=\\"lead\\">This is a <strong>lead paragraph<\\/strong>. <br \\/>Make a paragraph stand out by adding <code>.lead<\\/code>.<\\/p>\\r\\n\\t\\t\\t<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t<p>Nullam quis risus eget <a href=\\"#\\">urna mollis ornare<\\/a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.<\\/p>\\r\\n\\t\\t\\t<p>The following snippet of text is <strong>rendered as bold text<\\/strong>.<\\/p>\\r\\n\\t\\t\\t<p>The following snippet of text is <em>rendered as italicized text<\\/em>.<\\/p>\\r\\n\\t\\t\\t<p>An abbreviation of the word attribute is <abbr title=\\"attribute\\">attr<\\/abbr>.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Headings --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Address & Emphasis -->\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t<h2 class=\\"sub-title\\">Address<\\/h2>\\r\\n\\t\\t\\t<address><strong>Company Name<\\/strong><br \\/> 795 Folsom Ave, Suite 600<br \\/> San Francisco, CA 94107<br \\/> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<\\/address><address><strong>Full Name<\\/strong><br \\/> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<br \\/> <a href=\\"mailto:first.last@example.com\\">first.last@example.com<\\/a><\\/address>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Emphasis classes<\\/h2>\\r\\n\\t\\t\\t<p class=\\"text-muted\\">This is a <code>.mute<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-primary\\">This is a <code>.text-primary<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-warning\\">This is a <code>.text-warning<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-danger\\">This is a <code>.text-danger<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-success\\">This is a <code>.text-success<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-info\\">This is a <code>.text-info<\\/code> paragraph.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Alignment classes<\\/h2>\\r\\n\\t\\t\\t<p class=\\"text-left\\">This is a left aligned text <code>.text-left<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-center\\">This is a center aligned text <code>.text-center<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-right\\">This is a right aligned text <code>.text-right<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-justify\\">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify<\\/code> class.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Address & Emphasis --> \\r\\n\\t\\r\\n<\\/div>\\r\\n<!-- \\/\\/CORE TYPOGRAPHY -->\\r\\n\\r\\n<!-- Blockquotes -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Blockquotes<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<blockquote>\\r\\n\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<blockquote class=\\"pull-right\\">\\r\\n\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/Blockquotes -->\\r\\n\\r\\n<!-- TAGS\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Tags<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"tags\\">\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">hotel<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">booking<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">discount<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">location<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">map<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">travel<\\/a><\\/span>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/TAGS -->\\r\\n\\r\\n\\r\\n<!-- COLOR SWATCHES\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-color\\">Color Swatches<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Brand Colors -->\\r\\n\\t<h2 class=\\"sub-title\\">Brand Colors<\\/h2>\\r\\n\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-primary\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#00bfe6<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Primary<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-secondary\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#428bca<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Secondary<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-warning\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#f0ad4e<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Warning<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-danger\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#fbe57c<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Danger<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-info\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#5bc0de<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Info<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-success\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#4db18d<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Success<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Brand Colors --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Grayscale -->\\r\\n\\t<h2 class=\\"sub-title\\">Grayscale Levels<\\/h2>\\r\\n\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-darker\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#262626<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Darker<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-dark\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#3c3c3c<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Dark<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#555555<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-light\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#999999<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Light<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-lighter\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#eaeaea<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Lighter<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-lightest\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#f7f7f7<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Lightest<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Grayscale -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/COLOR SWATCHES -->\\r\\n\\r\\n<!-- BUTTON\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Buttons<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-md-8\\">\\r\\n\\t\\t\\t<!-- Button --->\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Buttons<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example-button clearfix\\"><a class=\\"btn btn-default\\" href=\\"#\\">Normal Button<\\/a> <a class=\\"btn btn-primary\\" href=\\"#\\">Primary Button<\\/a> <a class=\\"btn btn-second\\" href=\\"#\\">Second Button<\\/a><\\/div>\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n\\t\\t\\t<div class=\\"example-button clearfix\\"><a class=\\"btn btn-warning\\" href=\\"#\\">Warning Button<\\/a> <a class=\\"btn btn-danger\\" href=\\"#\\">Danger Button<\\/a> <a class=\\"btn btn-info\\" href=\\"#\\">Info Button<\\/a><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Button --->\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-4\\">\\r\\n\\t\\t\\t<!-- Button Border --->\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Button Border<\\/h2>\\r\\n\\t\\t\\t<a class=\\"btn btn-border\\" href=\\"#\\">Button Border<\\/a> \\r\\n\\t\\t\\t<!-- \\/\\/Button Border --->\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/BUTTON -->\\r\\n\\r\\n<!-- NAVIGATIONS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-navigation\\">Navigations<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Tabs & Vertical Menus -->\\r\\n\\t<div class=\\"row example-row example-navigation\\"><!-- Tabs -->\\r\\n\\t\\t<div class=\\"col-lg-8\\">\\r\\n\\t\\t<h2 class=\\"sub-title\\">Tabs<\\/h2>\\r\\n\\t\\t<ul class=\\"nav nav-tabs\\">\\r\\n\\t\\t\\t<li class=\\"active\\"><a href=\\"#home\\" data-toggle=\\"tab\\">Home<\\/a><\\/li>\\r\\n\\t\\t\\t<li><a href=\\"#profile\\" data-toggle=\\"tab\\">Profile<\\/a><\\/li>\\r\\n\\t\\t\\t<li class=\\"disabled\\"><a>Disabled<\\/a><\\/li>\\r\\n\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown1\\" data-toggle=\\"tab\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t\\t\\t<div id=\\"myTabContent\\" class=\\"tab-content\\">\\r\\n\\t\\t\\t\\t<div id=\\"home\\" class=\\"tab-pane fade active in\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"profile\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"dropdown1\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"dropdown2\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Tabs --> \\r\\n\\t\\t<!-- Vertical Menus -->\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Vertical Menus<\\/h2>\\r\\n\\t\\t\\t<ul class=\\"nav nav-pills nav-stacked\\">\\r\\n\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Active Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"disabled\\"><a href=\\"#\\">Disabled Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Something else here<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Separated link<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\t<!-- Vertical Menus -->\\r\\n\\t<\\/div>\\r\\n<!-- Tabs & Vertical Menus -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/NAVIGATIONS -->\\r\\n\\r\\n<!-- FORMS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-typo\\">Inputs<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Inputs -->\\r\\n\\t<div class=\\"row example-row example-forms example-inputs\\">\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-success\\"><label class=\\"control-label\\" for=\\"inputSuccess\\">Input success<\\/label> <input id=\\"inputSuccess\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-error\\"><label class=\\"control-label\\" for=\\"inputError\\">Input error<\\/label> <input id=\\"inputError\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-warning\\"><label class=\\"control-label\\" for=\\"inputWarning\\">Input warning<\\/label> <input id=\\"inputWarning\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group\\"><label class=\\"control-label\\" for=\\"disabledInput\\">Disabled input<\\/label> <input id=\\"disabledInput\\" class=\\"form-control\\" disabled=\\"disabled\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Inputs --> \\r\\n<\\/div>\\r\\n<!-- \\/\\/FORMS -->\\r\\n\\r\\n\\r\\n<!-- INDICATORS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-indicators\\">Indicators<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Alerts -->\\r\\n\\t<h2 class=\\"sub-title\\">Alerts and Notifications<\\/h2>\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-danger\\">\\r\\n\\t\\t\\t\\t<h4>error message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-success\\">\\r\\n\\t\\t\\t\\t<h4>sussess message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-info\\">\\r\\n\\t\\t\\t\\t<h4>info message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-warning\\">\\r\\n\\t\\t\\t\\t<h4>warning message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Alerts --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Labels & Badges -->\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Badges<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example\\">\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-pills\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Home <span class=\\"badge\\">42<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Profile <\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Messages <span class=\\"badge\\">25<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Notices <span class=\\"badge\\">2<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Labels<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example\\"><span class=\\"label label-default\\">Default<\\/span> <span class=\\"label label-primary\\">Primary<\\/span> <span class=\\"label label-success\\">Success<\\/span> <span class=\\"label label-info\\">Info<\\/span> <span class=\\"label label-warning\\">Warning<\\/span> <span class=\\"label label-danger\\">Danger<\\/span><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<!-- Labels & Badges -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/INDICATORS -->\\r\\n\\r\\n<!-- MISC\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-misc\\">Misc<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<!-- List Groups -->\\r\\n\\t<h2 class=\\"sub-title\\">List groups<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<ul class=\\"list-group\\">\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">14<\\/span> Cras justo odio<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\">Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">1<\\/span> Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"list-group\\"><a class=\\"list-group-item active\\" href=\\"#\\"><span class=\\"badge\\">9<\\/span> Cras justo odio<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Dapibus ac facilisis in<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Morbi leo risus<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Porta ac consectetur ac<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Vestibulum at eros<\\/a><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t<a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item active\\">\\r\\n                                  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus risus varius blandit.<\\/p>\\r\\n                                <\\/a>\\r\\n                                <a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item\\">\\r\\n\\t\\t\\t\\t  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n                                <\\/a>\\r\\n                                <a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item\\">\\r\\n\\t\\t\\t\\t  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n                                <\\/a>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/List Groups --> \\r\\n\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Panels -->\\r\\n\\t<h2 class=\\"sub-title\\">Panels<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-default\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">Panel heading<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-primary\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel primary<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-success\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel success<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-warning\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel warning<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-danger\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel danger<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-info\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel info<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Panels --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Wells -->\\r\\n\\t<h2 class=\\"sub-title\\">Wells<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well well-sm\\">Look, I\'m in a small well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well\\">Look, I\'m in a well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well well-lg\\">Look, I\'m in a large well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Wells -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/ MISC -->","fulltext":"","state":1,"catid":"2","created":"2015-12-03 10:00:32","created_by":"42","created_by_alias":"","modified":"2015-12-03 10:17:51","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-03 10:16:38","publish_up":"2015-12-03 10:00:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"4","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(206, 39, 1, '', '2018-01-15 02:18:43', 42, 25392, '1bec967183bbafb4607e0e53d52898ec4b0f6a90', '{"id":39,"asset_id":"183","title":"Typography","alias":"typography","introtext":"<!-- CORE TYPOGRAPHY\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-typo\\">Core Typography<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Headings -->\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Heading Text<\\/h2>\\r\\n\\t\\t\\t<h1>h1. Heading <small>Secondary text<\\/small><\\/h1>\\r\\n\\t\\t\\t<h2>h2. Heading <small>Secondary text<\\/small><\\/h2>\\r\\n\\t\\t\\t<h3>h3. Heading <small>Secondary text<\\/small><\\/h3>\\r\\n\\t\\t\\t<h4>h4. Heading <small>Secondary text<\\/small><\\/h4>\\r\\n\\t\\t\\t<h5>h5. Heading <small>Secondary text<\\/small><\\/h5>\\r\\n\\t\\t\\t<h6>h6. Heading <small>Secondary text<\\/small><\\/h6>\\r\\n\\t\\t\\t<div class=\\"alert alert-warning\\">\\r\\n\\t\\t\\t\\t<p><strong>TIPS:<\\/strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;<\\/code> tag or the <code>.small<\\/code> class.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Example body text<\\/h2>\\r\\n\\t\\t\\t<p class=\\"lead\\">This is a <strong>lead paragraph<\\/strong>. <br \\/>Make a paragraph stand out by adding <code>.lead<\\/code>.<\\/p>\\r\\n\\t\\t\\t<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n\\t\\t\\t<p>Nullam quis risus eget <a href=\\"#\\">urna mollis ornare<\\/a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.<\\/p>\\r\\n\\t\\t\\t<p>The following snippet of text is <strong>rendered as bold text<\\/strong>.<\\/p>\\r\\n\\t\\t\\t<p>The following snippet of text is <em>rendered as italicized text<\\/em>.<\\/p>\\r\\n\\t\\t\\t<p>An abbreviation of the word attribute is <abbr title=\\"attribute\\">attr<\\/abbr>.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Headings --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Address & Emphasis -->\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t<h2 class=\\"sub-title\\">Address<\\/h2>\\r\\n\\t\\t\\t<address><strong>Company Name<\\/strong><br \\/> 795 Folsom Ave, Suite 600<br \\/> San Francisco, CA 94107<br \\/> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<\\/address><address><strong>Full Name<\\/strong><br \\/> <abbr title=\\"Phone\\">P:<\\/abbr> (123) 456-7890<br \\/> <a href=\\"mailto:first.last@example.com\\">first.last@example.com<\\/a><\\/address>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Emphasis classes<\\/h2>\\r\\n\\t\\t\\t<p class=\\"text-muted\\">This is a <code>.mute<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-primary\\">This is a <code>.text-primary<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-warning\\">This is a <code>.text-warning<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-danger\\">This is a <code>.text-danger<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-success\\">This is a <code>.text-success<\\/code> paragraph.<\\/p>\\r\\n\\t\\t\\t<p class=\\"text-info\\">This is a <code>.text-info<\\/code> paragraph.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Alignment classes<\\/h2>\\r\\n\\t\\t\\t<p class=\\"text-left\\">This is a left aligned text <code>.text-left<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-center\\">This is a center aligned text <code>.text-center<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-right\\">This is a right aligned text <code>.text-right<\\/code><\\/p>\\r\\n\\t\\t\\t<p class=\\"text-justify\\">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify<\\/code> class.<\\/p>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Address & Emphasis --> \\r\\n\\t\\r\\n<\\/div>\\r\\n<!-- \\/\\/CORE TYPOGRAPHY -->\\r\\n\\r\\n<!-- Blockquotes -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Blockquotes<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<blockquote>\\r\\n\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<blockquote class=\\"pull-right\\">\\r\\n\\t\\t\\t<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n\\t\\t\\t<small>Quote\'s author in <cite title=\\"Source Title\\">Source Title<\\/cite><\\/small><\\/blockquote>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/Blockquotes -->\\r\\n\\r\\n<!-- TAGS\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Tags<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"tags\\">\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">hotel<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">booking<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">discount<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">location<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">map<\\/a><\\/span>\\r\\n\\t\\t<span class=\\"tag\\"><a class=\\"label label-info\\" href=\\"#\\">travel<\\/a><\\/span>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/TAGS -->\\r\\n\\r\\n\\r\\n<!-- COLOR SWATCHES\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-color\\">Color Swatches<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Brand Colors -->\\r\\n\\t<h2 class=\\"sub-title\\">Brand Colors<\\/h2>\\r\\n\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-primary\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#fab325<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Primary<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-secondary\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#428bca<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Secondary<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-warning\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#f0ad4e<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Warning<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-danger\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#d9534f<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Danger<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-info\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#5bc0de<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Info<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-brand-success\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#5cb85c<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Brand Success<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Brand Colors --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Grayscale -->\\r\\n\\t<h2 class=\\"sub-title\\">Grayscale Levels<\\/h2>\\r\\n\\t<div class=\\"row example-row example-colors\\">\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-darker\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#222222<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Darker<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-dark\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#333333<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Dark<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#575757<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-light\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#9e9e9e9<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Light<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-lighter\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#eeeeee<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Lighter<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-xs-5 col-md-4 col-lg-2\\">\\r\\n\\t\\t\\t<div class=\\"swatch-item color-gray-lightest\\">\\r\\n\\t\\t\\t\\t<dl>\\r\\n\\t\\t\\t\\t\\t<dt>#f7f7f7<\\/dt>\\r\\n\\t\\t\\t\\t\\t<dd>Gray Lightest<\\/dd>\\r\\n\\t\\t\\t\\t<\\/dl>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Grayscale -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/COLOR SWATCHES -->\\r\\n\\r\\n<!-- BUTTON\\r\\n=======================================================-->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-colors\\">Buttons<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-type\\">\\r\\n\\t\\t<div class=\\"col-md-8\\">\\r\\n\\t\\t\\t<!-- Button --->\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Buttons<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example-button clearfix\\"><a class=\\"btn btn-default\\" href=\\"#\\">Normal Button<\\/a> <a class=\\"btn btn-primary\\" href=\\"#\\">Primary Button<\\/a> <a class=\\"btn btn-second\\" href=\\"#\\">Second Button<\\/a><\\/div>\\r\\n\\t\\t\\t<p> <\\/p>\\r\\n\\t\\t\\t<div class=\\"example-button clearfix\\"><a class=\\"btn btn-warning\\" href=\\"#\\">Warning Button<\\/a> <a class=\\"btn btn-danger\\" href=\\"#\\">Danger Button<\\/a> <a class=\\"btn btn-info\\" href=\\"#\\">Info Button<\\/a><\\/div>\\r\\n\\t\\t\\t<!-- \\/\\/Button --->\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-4\\">\\r\\n\\t\\t\\t<!-- Button Border --->\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Button Border<\\/h2>\\r\\n\\t\\t\\t<a class=\\"btn btn-border\\" href=\\"#\\">Button Border<\\/a> \\r\\n\\t\\t\\t<!-- \\/\\/Button Border --->\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<\\/div>\\r\\n<!-- \\/\\/BUTTON -->\\r\\n\\r\\n<!-- NAVIGATIONS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-navigation\\">Navigations<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Tabs & Vertical Menus -->\\r\\n\\t<div class=\\"row example-row example-navigation\\"><!-- Tabs -->\\r\\n\\t\\t<div class=\\"col-lg-8\\">\\r\\n\\t\\t<h2 class=\\"sub-title\\">Tabs<\\/h2>\\r\\n\\t\\t<ul class=\\"nav nav-tabs\\">\\r\\n\\t\\t\\t<li class=\\"active\\"><a href=\\"#home\\" data-toggle=\\"tab\\">Home<\\/a><\\/li>\\r\\n\\t\\t\\t<li><a href=\\"#profile\\" data-toggle=\\"tab\\">Profile<\\/a><\\/li>\\r\\n\\t\\t\\t<li class=\\"disabled\\"><a>Disabled<\\/a><\\/li>\\r\\n\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown1\\" data-toggle=\\"tab\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#dropdown2\\" data-toggle=\\"tab\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/li>\\r\\n\\t\\t<\\/ul>\\r\\n\\t\\t\\t<div id=\\"myTabContent\\" class=\\"tab-content\\">\\r\\n\\t\\t\\t\\t<div id=\\"home\\" class=\\"tab-pane fade active in\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"profile\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"dropdown1\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div id=\\"dropdown2\\" class=\\"tab-pane fade\\">\\r\\n\\t\\t\\t\\t\\t<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface<\\/strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.<\\/p>\\r\\n\\t\\t\\t\\t\\t<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).<\\/p>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<!-- \\/\\/Tabs --> \\r\\n\\t\\t<!-- Vertical Menus -->\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Vertical Menus<\\/h2>\\r\\n\\t\\t\\t<ul class=\\"nav nav-pills nav-stacked\\">\\r\\n\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Active Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li><a href=\\"#\\">Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"disabled\\"><a href=\\"#\\">Disabled Menu Item<\\/a><\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"dropdown\\"><a class=\\"dropdown-toggle\\" href=\\"#\\" data-toggle=\\"dropdown\\"> Dropdown <\\/a>\\r\\n\\t\\t\\t\\t\\t<ul class=\\"dropdown-menu\\">\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Another action<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Something else here<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t\\t<li><a href=\\"#\\">Separated link<\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t\\t<\\/li>\\r\\n\\t\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\t<!-- Vertical Menus -->\\r\\n\\t<\\/div>\\r\\n<!-- Tabs & Vertical Menus -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/NAVIGATIONS -->\\r\\n\\r\\n<!-- FORMS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-typo\\">Inputs<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Inputs -->\\r\\n\\t<div class=\\"row example-row example-forms example-inputs\\">\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-success\\"><label class=\\"control-label\\" for=\\"inputSuccess\\">Input success<\\/label> <input id=\\"inputSuccess\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-error\\"><label class=\\"control-label\\" for=\\"inputError\\">Input error<\\/label> <input id=\\"inputError\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group has-warning\\"><label class=\\"control-label\\" for=\\"inputWarning\\">Input warning<\\/label> <input id=\\"inputWarning\\" class=\\"form-control\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-md-3\\">\\r\\n\\t\\t\\t<div class=\\"form-group\\"><label class=\\"control-label\\" for=\\"disabledInput\\">Disabled input<\\/label> <input id=\\"disabledInput\\" class=\\"form-control\\" disabled=\\"disabled\\" type=\\"text\\" \\/><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Inputs --> \\r\\n<\\/div>\\r\\n<!-- \\/\\/FORMS -->\\r\\n\\r\\n\\r\\n<!-- INDICATORS\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-indicators\\">Indicators<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\r\\n\\t<!-- Alerts -->\\r\\n\\t<h2 class=\\"sub-title\\">Alerts and Notifications<\\/h2>\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-danger\\">\\r\\n\\t\\t\\t\\t<h4>error message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-success\\">\\r\\n\\t\\t\\t\\t<h4>sussess message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-info\\">\\r\\n\\t\\t\\t\\t<h4>info message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<div class=\\"alert  alert-warning\\">\\r\\n\\t\\t\\t\\t<h4>warning message title<\\/h4>\\r\\n\\t\\t\\t\\t<p>Donec eget purus nec tellus tincidunt lacinia et sed lorem. Cras ac dignissim mauris. Duis odio diam, rutrum ut est at, scelerisque malesuada risus.<\\/p>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- Alerts --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Labels & Badges -->\\r\\n\\t<div class=\\"row example-row example-indicators\\">\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Badges<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example\\">\\r\\n\\t\\t\\t\\t<ul class=\\"nav nav-pills\\">\\r\\n\\t\\t\\t\\t\\t<li class=\\"active\\"><a href=\\"#\\">Home <span class=\\"badge\\">42<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Profile <\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Messages <span class=\\"badge\\">25<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t\\t<li><a href=\\"#\\">Notices <span class=\\"badge\\">2<\\/span><\\/a><\\/li>\\r\\n\\t\\t\\t\\t<\\/ul>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-6\\">\\r\\n\\t\\t\\t<h2 class=\\"sub-title\\">Labels<\\/h2>\\r\\n\\t\\t\\t<div class=\\"example\\"><span class=\\"label label-default\\">Default<\\/span> <span class=\\"label label-primary\\">Primary<\\/span> <span class=\\"label label-success\\">Success<\\/span> <span class=\\"label label-info\\">Info<\\/span> <span class=\\"label label-warning\\">Warning<\\/span> <span class=\\"label label-danger\\">Danger<\\/span><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n<!-- Labels & Badges -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/INDICATORS -->\\r\\n\\r\\n<!-- MISC\\r\\n================================================== -->\\r\\n<div class=\\"docs-section\\">\\r\\n\\t<div class=\\"page-header\\">\\r\\n\\t\\t<h1 id=\\"example-misc\\">Misc<\\/h1>\\r\\n\\t<\\/div>\\r\\n\\t<!-- List Groups -->\\r\\n\\t<h2 class=\\"sub-title\\">List groups<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<ul class=\\"list-group\\">\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">14<\\/span> Cras justo odio<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\">Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">1<\\/span> Morbi leo risus<\\/li>\\r\\n\\t\\t\\t\\t<li class=\\"list-group-item\\"><span class=\\"badge\\">2<\\/span> Dapibus ac facilisis in<\\/li>\\r\\n\\t\\t\\t<\\/ul>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"list-group\\"><a class=\\"list-group-item active\\" href=\\"#\\"><span class=\\"badge\\">9<\\/span> Cras justo odio<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Dapibus ac facilisis in<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Morbi leo risus<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Porta ac consectetur ac<\\/a> <a class=\\"list-group-item\\" href=\\"#\\">Vestibulum at eros<\\/a><\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"list-group\\">\\r\\n\\t\\t\\t\\t<a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item active\\">\\r\\n                                  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus risus varius blandit.<\\/p>\\r\\n                                <\\/a>\\r\\n                                <a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item\\">\\r\\n\\t\\t\\t\\t  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n                                <\\/a>\\r\\n                                <a title=\\"List group\\" href=\\"#\\" class=\\"list-group-item\\">\\r\\n\\t\\t\\t\\t  <h4 class=\\"list-group-item-heading\\">List group item heading<\\/h4>\\r\\n\\t\\t\\t\\t  <p class=\\"list-group-item-text\\">Donec id elit non mi porta gravida at eget metus.<\\/p>\\r\\n                                <\\/a>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/List Groups --> \\r\\n\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Panels -->\\r\\n\\t<h2 class=\\"sub-title\\">Panels<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-default\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">Panel heading<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-primary\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel primary<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-success\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel success<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-warning\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel warning<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"panel panel-danger\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel danger<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t<div class=\\"panel panel-info\\">\\r\\n\\t\\t\\t\\t<div class=\\"panel-heading\\">\\r\\n\\t\\t\\t\\t\\t<h3 class=\\"panel-title\\">Panel info<\\/h3>\\r\\n\\t\\t\\t\\t<\\/div>\\r\\n\\t\\t\\t\\t<div class=\\"panel-body\\">Panel content<\\/div>\\r\\n\\t\\t\\t<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Panels --> \\r\\n\\t\\t\\r\\n\\t<p> <\\/p>\\r\\n\\t<!-- Wells -->\\r\\n\\t<h2 class=\\"sub-title\\">Wells<\\/h2>\\r\\n\\t<div class=\\"row example-row example-misc\\">\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well well-sm\\">Look, I\'m in a small well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well\\">Look, I\'m in a well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t\\t<div class=\\"col-lg-4\\">\\r\\n\\t\\t\\t<div class=\\"well well-lg\\">Look, I\'m in a large well!<\\/div>\\r\\n\\t\\t<\\/div>\\r\\n\\t<\\/div>\\r\\n\\t<!-- \\/\\/Wells -->\\r\\n<\\/div>\\r\\n<!-- \\/\\/ MISC -->","fulltext":"","state":1,"catid":"2","created":"2015-12-03 10:00:32","created_by":"42","created_by_alias":"","modified":"2015-12-04 03:16:48","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-04 03:16:40","publish_up":"2015-12-03 10:00:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"15","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(207, 22, 1, '', '2018-01-15 02:18:43', 42, 3783, 'cc6dffd7f0b66bdbed119633f3a91c0774b6d409', '{"id":22,"asset_id":"118","title":"Sustainability focus on health and gardening!","alias":"sustainability-focus-on-health-and-gardening","introtext":"<p>Aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet.<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.  At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam.<\\/p>\\r\\n\\r\\n\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:52:31","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:21:34","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:20:41","publish_up":"2015-11-21 03:52:31","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-1b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(208, 18, 1, '', '2018-01-15 02:18:43', 42, 3620, '42203bcc0c5d5c3e30d13be24b23b006a2f91316', '{"id":18,"asset_id":"114","title":"Study questions whether elite college courses are of higher quality than others","alias":"academy-schools-and-the-first-100-days-of-cameron-s-majority-conservative-government","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderi.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:44","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:26:31","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:25:59","publish_up":"2015-11-21 03:49:44","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(209, 20, 1, '', '2018-01-15 02:18:43', 42, 3826, '0d50ba3e2db0c1c38bb5fe8d301b0b4ee88dc63a', '{"id":20,"asset_id":"116","title":"Learn how to lead by example and empower others: the Leadership in Sport module","alias":"learn-how-to-lead-by-example-and-empower-others-the-leadership-in-sport-module","introtext":"<p> Morbi faucibus id nibh proin fusce lacinia phasellus leo turpis duis mauris egestas vitae pellentesque. Accumsan mus pellentesque et lacus vitae dui<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:51:23","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:28:59","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:25:02","publish_up":"2015-11-21 03:51:23","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(210, 17, 1, '', '2018-01-15 02:18:43', 42, 4629, '6a29d76070ab61fb92e05003a9d8a28921c227a3', '{"id":17,"asset_id":"113","title":"From sensitivity into intellectual vacuity","alias":"from-sensitivity-into-intellectual-vacuity","introtext":" <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget tempor sit amet.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:07","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:31:10","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:29:05","publish_up":"2015-11-21 03:49:07","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/new-11b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"6","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(211, 19, 1, '', '2018-01-15 02:18:43', 42, 4806, '598712000c3e43db7d5dd06bf43f7382d785b52f', '{"id":19,"asset_id":"115","title":"On this day in AD284 Diocletian became emperor","alias":"on-this-day-in-ad284-diocletian-became-emperor","introtext":"<p>Tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p><em>Aenean ultricies mi vitae est.<\\/em> Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.<\\/p>\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>","state":1,"catid":"10","created":"2015-11-21 03:50:32","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:32:32","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:32:07","publish_up":"2015-11-21 03:50:32","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/new-11b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(212, 34, 1, '', '2018-01-15 02:18:43', 42, 4010, '54791ddc14b5f4b0eae0fd718966764475495437', '{"id":34,"asset_id":"145","title":"A day trip to the University\\u2019s Manuscripts and Special Collections","alias":"a-day-trip-to-the-university-s-manuscripts-and-special-collections","introtext":"<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend harum .<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:03:39","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:33:29","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:33:11","publish_up":"2015-11-23 03:03:39","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-1.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-1b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"3","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(213, 33, 1, '', '2018-01-15 02:18:43', 42, 3694, '40860d4233545f2faf89e430e4be769f54cef46d', '{"id":33,"asset_id":"143","title":"\\u2018Lest we forget\': Life Lines\\u2019 World War I digitisation workshop in DHC","alias":"lest-we-forget-life-lines-world-war-i-digitisation-workshop-in-dhc","introtext":"<p>Sagittis Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n","fulltext":"\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:01:28","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:33:49","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:33:31","publish_up":"2015-11-23 03:01:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-2b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(214, 32, 1, '', '2018-01-15 02:18:43', 42, 3975, '41a4a525f3668ca782c1253f6d039cf963327aab', '{"id":32,"asset_id":"141","title":"Model Making: Part two by DHC Leonardo Fellow James E Smith","alias":"model-making-part-two-by-dhc-leonardo-fellow-james-e-smith","introtext":"<p>Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat.<\\/p>\\r\\n\\r\\n\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 03:00:33","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:34:08","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:33:52","publish_up":"2015-11-23 03:00:33","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-7.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-4b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(215, 31, 1, '', '2018-01-15 02:18:43', 42, 4483, '2531837b62609a14762866c4f1eb991cf93ecb46', '{"id":31,"asset_id":"139","title":"Hearts of Heritage project update by volunteer bloggers Laura and Caterina","alias":"hearts-of-heritage-project-update-by-volunteer-bloggers-laura-and-caterina","introtext":"<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora,<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n \\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:59:38","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:34:28","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:34:11","publish_up":"2015-11-23 02:59:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-3.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/new-11b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(216, 30, 1, '', '2018-01-15 02:18:43', 42, 4343, '0d2fa04c94ef8dca81043fc2e45cbc82b9d563c8', '{"id":30,"asset_id":"138","title":"Digital Time Travellers: MayFest 2015 at the Digital Humanities Centre.","alias":"digital-time-travellers-mayfest-2015-at-the-digital-humanities-centre","introtext":"<p>Perspiciatis unde Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:58:38","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:36:11","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:34:31","publish_up":"2015-11-23 02:58:38","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-4.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-4b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(217, 29, 1, '', '2018-01-15 02:18:43', 42, 4064, 'acdb19081afd23e8fe73401a047b9248770bd53c', '{"id":29,"asset_id":"136","title":"A postgraduate perspective on the Faculty of Arts","alias":"a-postgraduate-perspective-on-the-faculty-of-arts","introtext":"<p>Consectetur  pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n","state":1,"catid":"11","created":"2015-11-23 02:56:01","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:36:30","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:36:14","publish_up":"2015-11-23 02:56:01","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(218, 28, 1, '', '2018-01-15 02:18:43', 42, 4055, 'bc8412b4bc3394092bddf356018a6da3cd69bda9', '{"id":28,"asset_id":"133","title":"Tracking the progress of a Hotline query","alias":"tracking-the-progress-of-a-hotline-query","introtext":"<p>Accusantium  nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:45:22","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:36:59","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:36:39","publish_up":"2015-11-23 02:45:22","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-6.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(219, 27, 1, '', '2018-01-15 02:18:43', 42, 4045, '5d6409158dbd8b8901e7f4dc6aa1070edcfac8b4', '{"id":27,"asset_id":"131","title":"Research Centres and Research Groups at the University of Nottingham Malaysia Campus","alias":"research-centres-and-research-groups-at-the-university-of-nottingham-malaysia-campus","introtext":"<p>Ttesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo dignissimos .<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:44:27","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:37:11","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:36:43","publish_up":"2015-11-23 02:44:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-7.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-4b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(220, 26, 1, '', '2018-01-15 02:18:43', 42, 4494, '3418250a2a41da770281661c48d58de34fd50f04', '{"id":26,"asset_id":"122","title":"The 2030 Agenda for Sustainable Development","alias":"the-2030-agenda-for-sustainable-development","introtext":"<p>Accusantium doloremque laudantium. Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n","fulltext":"\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.<\\/p>\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:55:28","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:38:13","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:37:17","publish_up":"2015-11-21 03:55:28","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-10.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-11b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"3","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);
INSERT INTO `#__ucm_history` (`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES
(221, 25, 1, '', '2018-01-15 02:18:43', 42, 4326, '05fbfe9de25688af9748a32386850bf42be854bb', '{"id":25,"asset_id":"121","title":"International Relations Students of Platon University Collaborate with The World Leadership Alliance","alias":"international-relations-students-of-platon-university-collaborate-with-the-world-leadership-alliance","introtext":"<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur dolore magnam aliquam quaerat ?<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione<\\/p>\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet, Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<ol>\\r\\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n<li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>","state":1,"catid":"12","created":"2015-11-21 03:54:43","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:38:34","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:38:15","publish_up":"2015-11-21 03:54:43","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-8.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-7b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(222, 23, 1, '', '2018-01-15 02:18:43', 42, 3606, 'cd190a92000e2a6fdeb1d010d70b8d88f4816cb6', '{"id":23,"asset_id":"119","title":"It\\u2019s time to think creatively about higher education funding","alias":"it-s-time-to-think-creatively-about-higher-education-funding","introtext":"<p> Maecenas nisl justo, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n ","fulltext":"\\r\\n\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. <\\/p>\\r\\n\\r\\n<nav>\\r\\n <ul>\\r\\n  <li><a href=\\"#\\">Home<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">About<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Clients<\\/a><\\/li>\\r\\n  <li><a href=\\"#\\">Contact Us<\\/a><\\/li>\\r\\n <\\/ul>\\r\\n<\\/nav>\\r\\n\\r\\n<h3>Lorem ipsum dolor sit amet<\\/h3>\\r\\n\\r\\n<ul>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ul>\\r\\n\\r\\n <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget, tempor sit amet,  Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend<\\/p>","state":1,"catid":"12","created":"2015-11-21 03:53:27","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:39:00","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:38:37","publish_up":"2015-11-21 03:53:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(223, 21, 1, '', '2018-01-15 02:18:43', 42, 3633, '0d396468fbf50e063ca8695c417a8a3b21d04d01', '{"id":21,"asset_id":"117","title":"Discovering the Future of Gen Y in Health Sciences","alias":"discovering-the-future-of-gen-y-in-health-sciences","introtext":"<p>Odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n","fulltext":"\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-21 03:51:51","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:41:42","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:38:50","publish_up":"2015-11-21 03:51:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-5.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-5b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(224, 17, 1, '', '2018-01-15 02:18:43', 42, 4629, '7dc8efdbcf4dec2a5ea9c5fe2c393699c597041b', '{"id":17,"asset_id":"113","title":"From sensitivity into intellectual vacuity","alias":"from-sensitivity-into-intellectual-vacuity","introtext":" <p>Habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien ultricies eget tempor sit amet.<\\/p>\\r\\n\\r\\n","fulltext":"\\r\\n\\r\\n<p><strong>Pellentesque habitant morbi tristique<\\/strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.<\\/em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae<\\/code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href=\\"#\\">Donec non enim<\\/a> in turpis pulvinar facilisis. Ut felis.<\\/p>\\r\\n\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n<h2>Vestibulum erat wisi<\\/h2>\\r\\n        \\r\\n<ol>\\r\\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.<\\/li>\\r\\n   <li>Aliquam tincidunt mauris eu risus.<\\/li>\\r\\n<\\/ol>\\r\\n\\r\\n<blockquote><p>Consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.<\\/p><\\/blockquote> \\r\\n\\r\\n<p>Lentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.<\\/p>\\r\\n\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n","state":1,"catid":"10","created":"2015-11-21 03:49:07","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:42:37","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:42:15","publish_up":"2015-11-21 03:49:07","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-11.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-5b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"7","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0),
(225, 27, 1, '', '2018-01-15 02:18:43', 42, 4049, '8099bc1de436ac0a2db368d97d1845c349dd91f9', '{"id":27,"asset_id":"131","title":"Research Centres and Research Groups at the University of Nottingham Malaysia Campus","alias":"research-centres-and-research-groups-at-the-university-of-nottingham-malaysia-campus","introtext":"<p>Ttesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo dignissimos .<\\/p>\\r\\n","fulltext":"\\r\\n\\r\\n<p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. <\\/p>\\r\\n\\r\\n<p>Cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?<\\/p>\\r\\n\\r\\n\\r\\n\\r\\n<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. sed quia consequuntur magni dolores eos qui ratione <\\/p>\\r\\n\\r\\n\\r\\n<p>Emo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam. <\\/p>\\r\\n","state":1,"catid":"12","created":"2015-11-23 02:44:27","created_by":"42","created_by_alias":"","modified":"2015-12-07 02:43:05","modified_by":"42","checked_out":"42","checked_out_time":"2015-12-07 02:42:58","publish_up":"2015-11-23 02:44:27","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/joomlart\\\\\\/news\\\\\\/news-7.jpg\\",\\"float_intro\\":\\"none\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/joomlart\\\\\\/blog\\\\\\/blog-4b.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}', 0);

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` mediumtext NOT NULL,
  `enabled` int(11) DEFAULT 0,
  `last_check_timestamp` bigint(20) DEFAULT 0,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 COMMENT='Update Sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', 1, 1515983215, ''),
(2, 'Joomla! Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 1, 1515983216, ''),
(5, 'Joomla! Update Component Update Site', 'extension', 'https://update.joomla.org/core/extensions/com_joomlaupdate.xml', 1, 1515983105, ''),
(7, 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_3.xml', 1, 1515983112, ''),
(10, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/mod_ja_acm.xml', 1, 1515983113, ''),
(11, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/mod_jamasthead.xml', 1, 1515983113, ''),
(12, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/mod_jalogin.xml', 1, 1515983115, ''),
(13, '', 'extension', 'http://update.joomlart.com/service/tracking/j16/plg_system_t3.xml', 1, 1515983116, ''),
(14, '', 'extension', 'http://update.joomlart.com/service/tracking/j31/ja_platon.xml', 1, 1515983117, ''),
(15, 'JA Extension Manager', 'extension', 'http://update.joomlart.com/service/tracking/j16/com_com_jaextmanager.xml', 1, 1515983118, ''),
(16, 'Kunena 5.0 Update Site', 'collection', 'https://update.kunena.org/5.0/list.xml', 1, 1515983120, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT 0,
  `extension_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB COMMENT='Links extensions to update sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(3, 600),
(5, 28),
(7, 10101),
(10, 10000),
(11, 10001),
(12, 10055),
(13, 10002),
(14, 10003),
(15, 10056),
(16, 10009);
INSERT IGNORE INTO `#__update_sites_extensions` VALUES
(1, 700),
(2, 700),
(3, 600);

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT 0,
  `extension_id` int(11) DEFAULT 0,
  `name` varchar(100) DEFAULT '',
  `description` mediumtext NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT 0,
  `version` varchar(32) DEFAULT '',
  `data` mediumtext NOT NULL,
  `detailsurl` mediumtext NOT NULL,
  `infourl` mediumtext NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB AUTO_INCREMENT=86 COMMENT='Available Updates' DEFAULT CHARSET=utf8;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(1, 7, 0, 'Armenian', '', 'pkg_hy-AM', 'package', '', 0, '3.4.4.1', '', 'https://update.joomla.org/language/details3/hy-AM_details.xml', '', ''),
(2, 7, 0, 'Malay', '', 'pkg_ms-MY', 'package', '', 0, '3.4.1.2', '', 'https://update.joomla.org/language/details3/ms-MY_details.xml', '', ''),
(3, 7, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.7.3.1', '', 'https://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(4, 7, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(5, 7, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/zh-TW_details.xml', '', ''),
(6, 7, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.8.3.2', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(7, 7, 0, 'Galician', '', 'pkg_gl-ES', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/gl-ES_details.xml', '', ''),
(8, 7, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(9, 7, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.8.3.4', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(10, 7, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(11, 7, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.1', '', 'https://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(12, 7, 0, 'Bengali', '', 'pkg_bn-BD', 'package', '', 0, '3.8.2.1', '', 'https://update.joomla.org/language/details3/bn-BD_details.xml', '', ''),
(13, 7, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.8.2.1', '', 'https://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(14, 7, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(15, 7, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(16, 7, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(17, 7, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.6.5.2', '', 'https://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(18, 7, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.8.3.3', '', 'https://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(19, 7, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(20, 7, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(21, 7, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(22, 7, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(23, 7, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(24, 7, 0, 'Esperanto', '', 'pkg_eo-XX', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/eo-XX_details.xml', '', ''),
(25, 7, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.7.0.1', '', 'https://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(26, 7, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(27, 7, 0, 'Khmer', '', 'pkg_km-KH', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/km-KH_details.xml', '', ''),
(28, 7, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(29, 7, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.7.3.1', '', 'https://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(30, 7, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(31, 7, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.7.4.1', '', 'https://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(32, 7, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '3.4.2.1', '', 'https://update.joomla.org/language/details3/nn-NO_details.xml', '', ''),
(33, 7, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.8.3.2', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(34, 7, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(35, 7, 0, 'Portuguese', '', 'pkg_pt-PT', 'package', '', 0, '3.8.2.1', '', 'https://update.joomla.org/language/details3/pt-PT_details.xml', '', ''),
(36, 7, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.8.2.1', '', 'https://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(37, 7, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '3.8.3.2', '', 'https://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(38, 7, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(39, 7, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '3.8.3.2', '', 'https://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(40, 7, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(41, 7, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(42, 7, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(43, 7, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(44, 7, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.8.2.1', '', 'https://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(45, 7, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.7.1.1', '', 'https://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(46, 7, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(47, 7, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/sq-AL_details.xml', '', ''),
(48, 7, 0, 'Basque', '', 'pkg_eu-ES', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/eu-ES_details.xml', '', ''),
(49, 7, 0, 'Hindi', '', 'pkg_hi-IN', 'package', '', 0, '3.3.6.2', '', 'https://update.joomla.org/language/details3/hi-IN_details.xml', '', ''),
(50, 7, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(51, 7, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(52, 7, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(53, 7, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.7.2.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(54, 7, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(55, 7, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(56, 7, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(57, 7, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(58, 7, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(59, 7, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(60, 7, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/srp-ME_details.xml', '', ''),
(61, 7, 0, 'English CA', '', 'pkg_en-CA', 'package', '', 0, '3.8.3.2', '', 'https://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(62, 7, 0, 'French CA', '', 'pkg_fr-CA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/fr-CA_details.xml', '', ''),
(63, 7, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.8.2.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(64, 7, 0, 'Sinhala', '', 'pkg_si-LK', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/si-LK_details.xml', '', ''),
(65, 7, 0, 'Dari Persian', '', 'pkg_prs-AF', 'package', '', 0, '3.4.4.2', '', 'https://update.joomla.org/language/details3/prs-AF_details.xml', '', ''),
(66, 7, 0, 'Turkmen', '', 'pkg_tk-TM', 'package', '', 0, '3.5.0.2', '', 'https://update.joomla.org/language/details3/tk-TM_details.xml', '', ''),
(67, 7, 0, 'Irish', '', 'pkg_ga-IE', 'package', '', 0, '3.8.2.1', '', 'https://update.joomla.org/language/details3/ga-IE_details.xml', '', ''),
(68, 7, 0, 'Dzongkha', '', 'pkg_dz-BT', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/dz-BT_details.xml', '', ''),
(69, 7, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(70, 7, 0, 'Spanish CO', '', 'pkg_es-CO', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/es-CO_details.xml', '', ''),
(71, 7, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(72, 7, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(73, 7, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(74, 7, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.8.3.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(75, 7, 0, 'English NZ', '', 'pkg_en-NZ', 'package', '', 0, '3.8.3.2', '', 'https://update.joomla.org/language/details3/en-NZ_details.xml', '', '');

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(191) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` mediumtext NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB COMMENT='Simple user profile storage table' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES
(43, 2),
(44, 2),
(45, 2),
(46, 2);

DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 18, 'Public'),
(2, 1, 8, 15, 'Registered'),
(3, 2, 9, 14, 'Author'),
(4, 3, 10, 13, 'Editor'),
(5, 4, 11, 12, 'Publisher'),
(6, 1, 4, 7, 'Manager'),
(7, 6, 5, 6, 'Administrator'),
(8, 1, 16, 17, 'Super Users'),
(9, 1, 2, 3, 'Guest');

DROP TABLE IF EXISTS `#__users`;
CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(400) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT 0,
  `sendEmail` tinyint(4) DEFAULT 0,
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT 0 COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`),
  KEY `idx_name` (`name`(100))
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8;

INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`, `otpKey`, `otep`, `requireReset`) VALUES
(43, 'Cormier', 'cormier', 'Cormier@gmail.com', '$2y$10$QDFHeD//1cA5VSOFYJptoOtJ.heT/v6dlA9FPYEbuUHSsmcnCcafy', 0, 0, '2018-01-15 02:18:43', '2018-01-15 02:18:43', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":"","update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(44, 'Garrison', 'garrison', 'garrison@gmail.com', '$2y$10$XnOnp7cR5PpGk8hrTCbJxuk1TqTAbHoAn4jSKeCT4d10AQ6E7Rw0m', 0, 0, '2018-01-15 02:18:43', '2018-01-15 02:18:43', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":"","update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(45, 'Aldridge', 'aldridge', 'aldridge@gmail.com', '$2y$10$0MXFgXnX2S7yJJHss.DmPufSnxVxgyHLKUJ/5Wm.clDgE3WJc.Kdi', 0, 0, '2018-01-15 02:18:43', '2018-01-15 02:18:43', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":"","update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(46, 'demo', 'demo', 'demo@gmail.com', '$2y$10$aCK5FRM2HFUUMX0iESD4Z.M5O3cxKl855lLyqIFQndSVLTFNKprEy', 0, 0, '2018-01-15 02:18:43', '2018-01-15 02:18:43', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":"","update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0);

DROP TABLE IF EXISTS `#__utf8_conversion`;
CREATE TABLE `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__utf8_conversion` (`converted`) VALUES
(2);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 2, '[6,2,8]'),
(3, 'Special', 3, '[6,3,8]'),
(5, 'Guest', 1, '[9]'),
(6, 'Super Users', 4, '[8]');

